dictionaries-common (1.28.12) unstable; urgency=medium

  * Debian/DictionariesCommon.pm.in::dc_merge_installed_hunspell_dicts:
    - Improve error message when affix file cannot be opened.
    - Skip aff broken symlinks.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 04 Oct 2021 16:49:12 +0200

dictionaries-common (1.28.11) unstable; urgency=medium

  * Debian/DictionariesCommon.pm.in::dc_merge_installed_hunspell_dicts:
    Do no fail if no hunspell dicts are available. Thanks Nelson A. de
    Oliveira (Closes: #995685).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 04 Oct 2021 09:24:21 +0200

dictionaries-common (1.28.10) unstable; urgency=medium

  * Parse installed hunspell dicts for relevant info and merge it with
    declared info.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 04 Oct 2021 00:00:56 +0200

dictionaries-common (1.28.7) unstable; urgency=medium

  * Use "command -v" instead of "which" in scripts. The 'which' utility
    will be removed from debianutils in the future.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 01 Sep 2021 13:49:21 +0200

dictionaries-common (1.28.6) unstable; urgency=medium

  * Devel/DictionariesCommon.pm.in: Fix $package/elanguages description.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 18 Aug 2021 19:57:36 +0200

dictionaries-common (1.28.5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on quilt.
    + dictionaries-common: Drop versioned constraint on debconf and
      emacsen-common in Depends.
    + dictionaries-common: Drop versioned constraint on hunspell-ar,
      hunspell-en-us, hunspell-gl-es, hunspell-kk, hunspell-se, myspell-el-gr,
      myspell-fa, myspell-hr, myspell-hy, myspell-lv, myspell-pt-br and
      myspell-sk in Breaks.
    + dictionaries-common-dev: Drop versioned constraint on debhelper and
      dictionaries-common in Depends.

  [ Agustin Martin Domingo ]
  * Devel/DictionariesCommon.pm.in: Add "for internal use" to a couple of
    auto-generated templates for internal use only.
  * debian-ispell.el: Move ispell-dictionary defcustom outside of
    conditional and use customization machinery to set default if not
    previously done. This should help with some warnings about void
    ispell-dictionary variable. Thanks Maxim Nikulin (Closes: #990346).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 17 Aug 2021 20:21:49 +0200

dictionaries-common (1.28.4) unstable; urgency=medium

  * Make dictionaries-common-dev provide dh-sequence-aspell-simple. Thanks
    Andreas Beckmann (Closes: #983337).
  * {a,i}spell-autobuiildhash: Show compat info in one more place in debug
    mode.
  * 470_ispell.el_XEmacs-non-unified-chars-latin01.patch: Fix typo in
    description.
  * debian/control:
    - Add Rules-Requires-Root: no
    - Bump Standards-Version.
  * Recode some files to UTF-8.
    - debian/README.Debian.
    - debian-ispell.el and startup.el.in.
    - debian/po/es.po.
    - support/mutt/ispell-init.
  * debian/dictionaries-common.lintian-overrides: More overrides.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 22 Feb 2021 19:03:21 +0100

dictionaries-common (1.28.3) unstable; urgency=medium

  * support/emacsen/debian-ispell.el: No longer use obsolete
    `ispell-menu-map-needed' when creating spellchecking menu
    (Closes: #969032, #968955).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 26 Aug 2020 22:27:57 +0200

dictionaries-common (1.28.2) unstable; urgency=medium

  [ Debian Janitor ]
  * Upgrade to newer source format.
  * Bump debhelper from old 11 to 12.
  * Wrap long lines in changelog entries: 0.95.0, 0.60.1.

  [ Agustin Martin Domingo ]
  * scripts/maintainer/templates.in: Add "for internal use" string instead
    of leaving description empty. This should deal with lintian
    complaining about no-template-description. Thanks, Roland Roselfeld
    (Closes: #966120).
  * debian/control:
    - Bump debhelper compat level to 13.
    - Bump Standards-Version. No changes required.
  * debian/copyright: Remove leading "./" from paths.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 23 Jul 2020 15:31:04 +0200

dictionaries-common (1.28.1) unstable; urgency=medium

  * dc-debconf-default-value.pl: Remove ancient code directly accessing
    dpkg internal database. Thanks Guillem Jover  (Closes: #913691).
  * debian/control: Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 15 Nov 2018 16:24:46 +0100

dictionaries-common (1.28.0) unstable; urgency=medium

  * Really byte compile files for unversioned emacs flavour. This should
    be the last required step for transition to unversioned Emacs.
  * debian/control: Update Homepage field to our salsa site.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 31 Jul 2018 13:57:47 +0200

dictionaries-common (1.27.9) unstable; urgency=medium

  * support/emacsen/startup.el.in: Make debian-ispell.el check more
    generic, so it can be used for both versioned and unversioned Emacs.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 30 Jul 2018 16:46:58 +0200

dictionaries-common (1.27.8) unstable; urgency=medium

  * Update for new emacsen-common supporting unversioned Emacs. Place
    elisp sources outside the load-path.
  * Bump Standards-version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 30 Jul 2018 14:53:39 +0200

dictionaries-common (1.27.7) unstable; urgency=medium

  * Use .nosearch flag to inhibit subdirs.el path auto-search in
    dictionaries-common dirs.
  * dictionaries-common-dev: Replace priority extra by priority optional.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 03 Jul 2018 17:10:52 +0200

dictionaries-common (1.27.6) unstable; urgency=medium

  * Revert "debian/emacsen-*: No longer fail for plain 'emacs' flavour in
    preparation for unversioned emacs packages." (Closes: #901575).

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 15 Jun 2018 14:20:01 +0200

dictionaries-common (1.27.5) unstable; urgency=medium

  * debian/emacsen-*: No longer fail for plain 'emacs' flavour in
    preparation for unversioned emacs packages.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 14 Jun 2018 17:28:20 +0200

dictionaries-common (1.27.4) unstable; urgency=medium

  * Debian/DictionariesCommon.pm.in::build_emacsen_support:
    Make sure coding-system is passed lowercase, Emacs
    `decode-coding-string' complains otherwise.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 18 May 2018 13:15:49 +0200

dictionaries-common (1.27.3) unstable; urgency=medium

  * debian/control:
    - Update Vcs* headers for salsa migration.
    - Bump Standards-Version. No changes required.
  * Bump debhelper compat level to 11.
  * debian/dictionaries-common.triggers: Declare triggers no-await (They
    are explicitly called as such).
  * debian/copyright: Use secure format uri.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 14 May 2018 17:46:26 +0200

dictionaries-common (1.27.2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Also mark dictionaries-common-dev with Multi-Arch: foreign
    (Closes: #840212).

  [ Agustin Martin Domingo ]
  * policy/dsdt-policy.xml.in: Update suggests line for myspell/hunspell.
  * scripts/*spell-autobuildhash: Typo fixes. Update copyright years.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 10 Oct 2016 11:58:21 +0200

dictionaries-common (1.27.1) unstable; urgency=medium

  * debian/copyright: Make DEP-5.
  * Remove jade dependency. Use openjade instead. Thanks, Neil Roth
    (Closes: #835155).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 29 Aug 2016 12:55:56 +0200

dictionaries-common (1.27.0) unstable; urgency=medium

  * New "/var/lib/dictionaries-common/hunspell" file trigger to run
    update-dictcommon-hunspell when dir contents are touched.
  * installdeb.in: when called for multiple packages (e.g. with -i)
    warn about not found info-hunspell files and try for next package
    instead of exiting after first not found file.
  * debian/control:
    - Bump Standards-Version. No changes required.
    - Use encrypted transport protocol for URIs in Vcs-* fields.
  * Bump debhelper compatibility level to 9.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 19 May 2016 15:49:04 +0200

dictionaries-common (1.26.3) unstable; urgency=medium

  * 500_flyspell-el_resurrect-doublons-highlighting.patch:
    New patch by Eli Zaretskii to resurrect highlighting of repeated words
    by Flyspell Mode.
  * debian/po/tr.po: New Turkish translation of debconf templates. Thanks
    Mert Dirik (Closes: #796546).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 31 Aug 2015 12:08:21 +0200

dictionaries-common (1.26.2) unstable; urgency=medium

  * debian/README.Debian:
    - Remove outdated pre-depend notice (Closes: #790888).
    - Mention aspell and myspell/hunspell dictionaries.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 03 Jul 2015 11:55:50 +0200

dictionaries-common (1.26.1) unstable; urgency=medium

  * debian/rules: Build in reproducible and known to work LC_ALL=C
    language environment.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 30 Jun 2015 11:31:59 +0200

dictionaries-common (1.26.0) unstable; urgency=medium

  * support/emacsen/debian-ispell.el: Fix regression accidentally
    introduced in 1.20.3, make sure `debian-ispell-set-default-dictionary'
    is evaluated right after init files loading.
  * debian/emacsen-install: Do not byte-compile ispell-el and flyspell.el
    for Emacs 24.5 or higher, use upstream files instead.
  * Upgrade spellchecking lisp files to 24.5 Emacs version in upstream GNU
    Emacs git repo (Closes: #787884),
    + ispell.el upgraded to 20150303 commit in emacs-24 branch.
    + flyspell.el upgraded to 20150213 commit in emacs-24 branch.
    + Remove general patches already included upstream:
      - 050_ispell.el_fix-add-comment-for-dnl.patch
      - 480_ispell.el_UPSTREAM_search-aspell-dict+data-dirs.patch
      - 9991_ispell.el_default-dicts-matching-found-locale.patch
      - 9992_flyspell.el_search-word-improvements.patch
    + Remove general patches discarded for upstream:
      - 100_ispell.el_ispell-comment-or-string.patch
    + New patches for XEmacs (or older Emacs) compatibility.
      - 200_ispell.el_Xemacs-obsolete-function-alias.patch
      - 300_ispell.el_XEmacs_window-dedicated-p_syntax.patch

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 24 Jun 2015 20:07:16 +0200

dictionaries-common (1.25.2) unstable; urgency=medium

  * Upload to sid.
  * debian/changelog: Minor fixes in 1.25.0~exp1 entry.
  * select-default.in: Explain in pod section why, because of debconf,
    --show-choices cannot send output to STDOUT.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 27 Apr 2015 18:43:25 +0200

dictionaries-common (1.25.0~exp1) experimental; urgency=medium

  * Make build reproducible (Closes: #777420).
  * Debian/DictionariesCommon.pm.in: Easier 'dico_debug' interface
    function to enable debug mode.
  * Allow explicit default selection from the command line in
    select-default.in  (Closes: #778727):
    - Debian/DictionariesCommon.pm.in: New `dico_find_matching_choice'
      function to find a matching choice.
    - scripts/system/select-default.in: New --set-default='regexp' option
      to explicitly pass regexp for desired default.
  * scripts/system/select-default.in:
    - New --show-choices option.
    - Add --debug option.
    - Add myself as author.
  * scripts/system/{a,i}spell-autobuildhash:
    - Keep showing info about files newly added to remove file, but only
      in debug mode (Closes: #781134).
    - Update copyright years.
    - Honour 'DICT_COMMON_DEBUG' environment variable.
  * Ship /var/lib/{a,i}spell dirs with explanatory README file
    (Closes: #781068).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 08 Apr 2015 18:26:10 +0200

dictionaries-common (1.23.17) unstable; urgency=medium

  * installdeb.in: Important documentation fix (Closes: #770484).
    - Fix info about this script automatically creating symlinks for
      hashes created by {a,i}spell-autobuildhash.  This is not true
      since 1.23.0.
    - Add info about specific substvar variables.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 21 Nov 2014 17:36:35 +0100

dictionaries-common (1.23.16) unstable; urgency=medium

  * aspell-autobuildhash: Do not return a '0' string on failed autobuild,
    just nil. Will otherwise trigger an installation error if that happens
    instead of a loud warning as expected.
    Fixes RC bug report (Closes: #767968).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 03 Nov 2014 20:13:55 +0100

dictionaries-common (1.23.15) unstable; urgency=medium

  * aspell-autobuildhash: Revert accidental disabling of debconf
    interface. Fixes RC bug report (Closes: #767940).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 03 Nov 2014 16:51:46 +0100

dictionaries-common (1.23.14) unstable; urgency=low

  * 480_ispell.el_UPSTREAM_search-aspell-dict+data-dirs.patch:
    Make (ispell.el::ispell-aspell-find-dictionary) also look into aspell
    `dict-dir' for .dat files (Closes: #765349). This is needed for new
    aspell semi-multiarch structure and should have been done anyway by
    ispell.el.
  * Makefile.in:
    - Really clean auto-generated perl modules in distclean target.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 14 Oct 2014 17:57:11 +0200

dictionaries-common (1.23.13) unstable; urgency=low

  * policy/dsdt-policy.xml.in:
    - Clean old stuff from Local Variables.
    - Cosmetic changes and typo fixes. Update copyright dates.
    - Upgrade for some minor things in today's usage of myspell/hunspell
      dicts.
  * debian/control:
    - Bump Standards-Version. No changes required.
    - Upgrade Vcs-Browser for cgit address.
  * debian/po:
    - Updated Dutch translation of dictionaries-common debconf
      messages. Thanks Frans Spiesschaert (Closes: #763460).

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 10 Oct 2014 11:50:31 +0200

dictionaries-common (1.23.12) unstable; urgency=low

  * changelog: Fix date of last release.
  * DictionariesCommon.pm.in::dico_clean_orphaned_removefiles:
    Do not remove "/var/lib/$class" if elements are installed.
    Will not fix the local issue, but provide more info
    (Closes: #756083).
  * postinst-compatfile.in: Simplify compat file creation/reset
    now that --no-await triggers are used.
  * control:
    - Relax emacsen-common dependency.
    - Mark dictionaries-common as Multi-Arch: foreign, to make
      sure it matches multi-arch dependencies for any architecture.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 24 Sep 2014 12:37:11 +0200

dictionaries-common (1.23.11) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #752045
  * [Debconf translation updates]
  * Slovak (Ivan Masár).  Closes: #755776
  * Hebrew (fr33domlover).  Closes: #755786
  * Esperanto (Felipe Castro).  Closes: #755791
  * Swedish (Martin Bagge / brother).  Closes: #755803
  * Thai (Theppitak Karoonboonyanan).  Closes: #755865
  * Spanish; (Agustin Martin Domingo).  Closes: #755916
  * Hebrew (fr33domlover).  Closes: #755927
  * Russian (Yuri Kozlov).  Closes: #755938
  * Korean (Changwoo Ryu).  Closes: #755946
  * Danish (Joe Hansen).  Closes: #756192
  * Indonesian (T. Surya Fajri).  Closes: #756210
  * Portuguese (Miguel Figueiredo).  Closes: #756857
  * German (Chris Leick).  Closes: #756951
  * Japanese (Kenshi Muto).  Closes: #756962
  * Italian (Beatrice Torracca).  Closes: #757359
  * Polish (Michał Kułach).  Closes: #757411
  * Brazilian Portuguese (Fred Ulisses Maranhão).  Closes: #757457
  * Bokmål, (Bjørn Steensrud).  Closes: #757482
  * French (Christian Perrier).  Closes: #757646

 -- Christian Perrier <bubulle@debian.org>  Mon, 11 Aug 2014 09:06:29 +0200

dictionaries-common (1.23.10) unstable; urgency=low

  * Make all triggers "no-await" by default.
  * update-default.in: No need to check for apt-extractemplates, triggers
    are run --no-await.
  * startup.el.in: Do not try to load "debian-ispell.el" if called under
    dpkg-control.
  * dictionaries-common.postinst: No longer use no-op --rebuild option.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Jul 2014 17:56:22 +0200

dictionaries-common (1.23.9) unstable; urgency=low

  * Remove no longer used "dictionaries-common/remove_old_usr_dict_link"
    and "dictionaries-common/move_old_usr_dict" debconf questions.
  * debian/control: Reword descriptions after suggestions by Justin B. Rye
    in #752045. Thanks!
  * Debian/DictionariesCommon.pm.in::updatedb:
    - Add package name to all entries.
  * New wording of "debconf_database_corruption" debconf question. Adapt
    everything to start trying it.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Jul 2014 18:30:34 +0200

dictionaries-common (1.23.8) unstable; urgency=low

  * dictionaries-common.templates: make sure question for debconf database
    corruption is temporarily set as non-translatable.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 20 Jun 2014 13:22:59 +0200

dictionaries-common (1.23.7) unstable; urgency=low

  * dictionaries-common.checklist: Document 1.23.3 changes in
    postinst-compatfile.in to have /var/lib/$class available
    in all cases.
  * dictionaries-common.templates,po/*: Revert 1.23.6 changes.
  * Use a standalone debconf question for debconf database corruption.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 20 Jun 2014 11:04:17 +0200

dictionaries-common (1.23.6) unstable; urgency=low

  * Better handle debconf database corruption (Closes: #751367).
    - update-default.in:
      + Improve warning about debconf database corruption ($class elements
        installed, but empty question).
      + Try harder to get a default value after defaults file.
      + Use /var/lib/dictionaries-common info as last resource to try
        getting a default in case of debconf database corruption.
    - update-default.in, dictionaries-common.templates, debian/po/*:
      - Better wording of messages about debconf database corruption.
  * debian/control:
    - No need to suggest dictionaries-common-dev (Closes: #751656).
    - Minor changes in wording of long descriptions.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 17 Jun 2014 14:51:05 +0200

dictionaries-common (1.23.5) unstable; urgency=low

  * debian/control:
    - No longer suggest emacsen-common, we now depend on it.
    - Fix wording in long description (Closes: #750882).
    - No longer suggest jed-extra. jed packages should
      suggest it if needed (Closes: #750970).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 10 Jun 2014 16:58:33 +0200

dictionaries-common (1.23.4) unstable; urgency=low

  * debian/control:
    - Depend on (emacsen-common >= 2.0.8) as required by new
      emacsen-common policy. This should not be a problem at all, since
      emacsen-common is now a tiny package. No longer conflict with older
      emacsen-common (Closes: #736572).
    - Fix dictionaries-common-dev dependency on dictionaries-common.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 22 May 2014 12:37:14 +0200

dictionaries-common (1.23.3) unstable; urgency=low

  * postinst-compatfile.in: Make sure /var/lib/$class is available if
    needed (Closes: #748331).
  * 9991_ispell.el_default-dicts-matching-found-locale.patch: New patch
    to try matching aspell dicts found by locale to not yet associated
    ispell.el standard dict names (Closes: #745613).
  * 9992_flyspell.el_search-word-improvements.patch: Improve
    flyspell-word-search-* search quality by looking for full word match.
    Limit default search distance for duplicated words to 40000.
    (Closes: #739412).
  * Devel/DictionariesCommon.pm.in::dico_process_{aspell_simple,autocompat}:
    Return early unless valid info is found.
  * Debian/DictionariesCommon.pm.in: Experimental support for
    "emacsen-names" in info files.
  * installdeb.in: Do nothing for autocompat unless ispell or aspell.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 19 May 2014 13:00:59 +0200

dictionaries-common (1.23.2) unstable; urgency=low

  * postrm-varlibrm.in: Do not remove empty /var/lib/{a,i}spell if owned.
  * installdeb.in: Run for normal autoscripts first so they are installed
    later in maintainer scripts.
  * Debian/DictionariesCommon.pm.in::dico_clean_orphaned_removefiles:
    No need to check if $varlibdir is empty unless it exists.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Apr 2014 18:52:54 +0200

dictionaries-common (1.23.1) unstable; urgency=low

  * dh_aspell-simple: Fix calling syntax in pod section.
  * postrm-varlibrm.in:
    - Support directories to remove in rmfile.
    - Remove /var/lib/{aspell,ispell} if empty.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 10 Apr 2014 15:07:30 +0200

dictionaries-common (1.23.0) unstable; urgency=low

  * dictionaries-common-dev.doc-base.dsdt-policy: Add missing Files field
    for html version of policy.
  * {a,i}spell-autobuildhash: Automatically create autobuildhash symlinks
    along with hashes. Create remove files with those symlinks.
  * installdeb.in: No longer create automatically /usr/lib symlinks for
    ispell and aspell hashes.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 04 Apr 2014 17:43:44 +0200

dictionaries-common (1.22.8) unstable; urgency=low

  * dictionaries-common-dev.doc-base.dsdt-policy:
    - Fix document name for doc-base.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 20 Mar 2014 18:31:26 +0100

dictionaries-common (1.22.7) unstable; urgency=low

  * installdeb-myspell:
    - Use some Devel::DictionariesCommon functions.
    - Use some debhelper Dh_Lib functions.
    - Drop o2 mode support for ancient and obsolete Openoffice.org v2.
  * Register policy document in doc-base.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 20 Mar 2014 12:28:25 +0100

dictionaries-common (1.22.6) unstable; urgency=low

  * installdeb.in,Devel/DictionariesCommon.pm.in: Really fix working with
    cdbs snippets. If info file is not found just warn, but do not fail.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 06 Mar 2014 11:50:59 +0100

dictionaries-common (1.22.5) unstable; urgency=low

  * scripts/perl5/Devel/DictionariesCommon.pm.in: Use new dico_warning
    function instead of no longer available mywarn.
  * scripts/debhelper/installdeb-myspell:
    - Use debhelper warn and error functions.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 05 Mar 2014 19:45:27 +0100

dictionaries-common (1.22.4) unstable; urgency=low

  * Fix $class:Depends substvar population for different classes.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 05 Mar 2014 11:57:10 +0100

dictionaries-common (1.22.3) unstable; urgency=low

  * Add lintian override for preinst "diversion-for-unknown-file"
    (usr/share/dict/words). It is no longer shipped as a hardcoded
    symlink but dynamically created from postinst by
    dictionaries-common. Since it is also provided by wamerican the
    diversion is still needed.
  * Devel::DictionariesCommon.pm: New perl module for
    dictionaries-common-dev to contain common stuff from installdeb-*
    scripts.
    - Migrate most functions to that module.
    - Use debhelper functions where appropriate.
  * Move perl modules under scripts/perl5.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 04 Mar 2014 12:08:40 +0100

dictionaries-common (1.22.2) unstable; urgency=low

  * postrm-varlibrm.in: Improve wording of warning message for already
    removed files.
  * dictionaries-common.prerm: Unconditionally remove
    "/etc/dictionaries-common/ispell-default" on removal.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 26 Feb 2014 12:31:14 +0100

dictionaries-common (1.22.1) unstable; urgency=medium

  * 601_flyspell.el_bad-Emacs-defface.patch: Fix color for duplicate
    face in old Emacs.
  * dc-debconf-select.pl::dico_get_default_value:
    - Warn about wrong $sys_default_value only when running config
      or in debug mode.
  * Do not ship hardcoded symlinks at default /usr/{share/dict,lib/ispell}.
    Create and remove them as needed (Closes: #625278).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 25 Feb 2014 13:15:37 +0100

dictionaries-common (1.22.0) unstable; urgency=low

  * First cut for aspell-simple debhelper sequence and processing for use
    with standard aspell dicts. Thanks Andreas Beckmann and Tobias Frost
    for proposal, initial implementation and testing (Closes: #737515):
     - aspell_simple.pm: New debhelper sequence to be used in simple
       debhelper debian/rules.
     - dh_aspell-simple: Wrapper to installdeb-aspell with --aspell-simple
       option enabled, intended for use from aspell_simple.pm debhelper
       sequence.
     - installdeb.in: New --aspell-simple option for aspell. When enabled
       for an official aspell dictionary will try to make a Debian install
       for aspell-autobuildhash ... after the initial 'make install' run.
     - dictionaries-common.checklist: Upgrade devel versions for this.
  * Do not use debconf as only registry:
     - DictionariesCommon.pm.in, update-default.in: Write defaults in
       $cachedir.
     - dc-debconf-select.pl: Honour defaults stored in $cachedir if
       available.
  *  First cut for using /var/lib/$class/$lang.remove files to be
     populated by autobuildhash scripts. Not yet done, but these files
     will contain a list of files under /var/lib/$class to be removed at
     postrm.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 19 Feb 2014 12:21:48 +0100

dictionaries-common (1.21.0) unstable; urgency=medium

  * installdeb.in: Some suggestions by Andreas Beckmann.
    - Populate substvars $class:Depends.
    - Use doit('ln', '-sf', ...) instead of symlink(...).
  * debian/rules:
    - Use dh_lintian to install overrides.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 13 Feb 2014 12:47:16 +0100

dictionaries-common (1.20.5) unstable; urgency=low

  * Move default symlink creation to the common perl module.
  * debian/control: Bump Standards-Version. No changes required.
  * Fully migrate to emacsen-common 2.0.
  * DictionariesCommon.pm.in:
    - Add dico_debugprint function to simplify handling of debug
      messages.
  * update-default.in:
    - Improve comments about symlink creation.
  * 050_ispell.el_fix-add-comment-for-dnl.patch:
    - Reset `in-comment' for new line instead of `add-comment'
      (Closes: #733675).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 14 Jan 2014 11:25:16 +0100

dictionaries-common (1.20.4) unstable; urgency=low

  * Set default wordlists symlink also from dictionaries-common
    postinst (Closes: #683024, #729185).
  * scripts/system/update-default.in:
    - Some fixes and updates in pod section.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 27 Nov 2013 12:02:15 +0100

dictionaries-common (1.20.3) unstable; urgency=low

  * support/emacsen/debian-ispell.el: Merge some improvements
    by Jari Aalto, thanks (Closes: #721797).
    - Check debian-pkg-add-load-path-item before use
    - Do not display extra messages at debian-ispell-set-startup-menu
  * debian/control: Canonicalize Vcs-* headers

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 16 Sep 2013 15:46:35 +0200

dictionaries-common (1.20.2) unstable; urgency=low

  * support/emacsen/debian-ispell.el:
    - No need to guess default dict for Emacs+hunspell. This will be done
      through hunspell dict auto-detection, not available for XEmacs
      (no [:alpha:] regexps).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 27 Jun 2013 12:15:56 +0200

dictionaries-common (1.20.1) unstable; urgency=low

  * debian-ispell.el: Use defcustoms for `ispell-program-name' and
    `ispell-dictionary' (Closes: #683858).
  * debian/control: Bump Standards-version. No changes needed.
  * support/emacsen/ispell.el: Upgrade to FSF upstream bzr r112316.
    - Add hunspell dicts auto-detection.
    - Experimental support for better debugging.
    - Different bug fixes.
  * support/emacsen/flyspell.el: Upgrade to FSF upstream bzr r112317.
    - Use underline style wave on terminals that support it.
    - Different bug fixes.
  * 700_ispell.el_initial_defs.patch:
    - Cleanup. Remove variable setting on customization.
  * Some changes to cope with new upstream version, some of them
    to be merged upstream:
    - 100_ispell.el_line-number-at-pos.patch: Protect against
      different line-number/line-number-at-pos in XEmacs/Emacs.
    - 500_ispell.el_protect-xemacs-undefined-file-name-base.diff:
      Protect XEmacs against undefined (file-name-base).
    - 600_flyspell.el_unsupported-wave-defface.patch: Protect
      XEmacs against undefined wave underline style.
    - 601_flyspell.el_bad-Emacs-defface.patch: Protect against
      defface definition syntax not available until 24.4.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 04 Jun 2013 14:33:39 +0200

dictionaries-common (1.12.11) unstable; urgency=low

  * debian/control: Add Breaks against ancient myspell-cs-cz,
    myspell-eu-es and myspell-gl-es to have them removed before
    new dictionaries-common is installed (Closes: #698574).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Jan 2013 14:51:11 +0100

dictionaries-common (1.12.10) unstable; urgency=medium

  * support/emacsen/debian-ispell.el: Fix misplaced parenthesis
    that can cause Emacs hang when switching to hunspell
    spell-checker (Closes: #683034).

 -- Agustin Martin Domingo <agmartin@debian.org>  Sat, 28 Jul 2012 09:57:09 +0200

dictionaries-common (1.12.9) unstable; urgency=low

  * debian/po:
    - Updated Slovak translation of debconf templates. Thanks
      Ivan Masár (Closes: #677920).
  * scripts/debhelper/installdeb.in:
    - Improve docstrings, pod and debug messages. Enable debugging
      if DICT_COMMON_DEBUG is set to non-nil.
    - Do not automatically create symlinks for extra hashes for
      the clean list.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 19 Jun 2012 17:57:18 +0200

dictionaries-common (1.12.8) unstable; urgency=low

  * ispell.el, flyspell.el: Upgraded to upstream bzr r108407.
    - Show spellchecker when starting new Ispell process.
    - Use `string-match' for XEmacs compatibility.
    - Merge some of the XEmacs compatibility stuff.
    - Misc changes.
    - Removed patches. Integrated upstream:
      o 430_ispell.el_region-p+transient.patch.
      o 900_ispell.el_ispell-program-name.patch.
      o 950_ispell.el_with-no-warnings.patch.
      o 200_flyspell.el_remove-overlays.patch.
      o 300_flyspell.el_query-on-exit.patch.
      o 580_flyspell.el_called-interactively-p.patch.
      o 600_flyspell.el_ispell-define-obsolete-face-alias.patch.
    - Upgraded patches:
      o 400_flyspell.el_external-point-words-debug.patch.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 May 2012 19:05:15 +0200

dictionaries-common (1.12.7) unstable; urgency=low

  * flyspell.el: Upgraded to upstream r108285:
    - Protect otherchars delay against empty otherchars.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 18 May 2012 09:38:01 +0200

dictionaries-common (1.12.6) unstable; urgency=low

  * postinst,prerm: Adapt for new emacsen-common (>= 2.0)
  * ispell.el, flyspell.el: Upgraded to upstream r108006:
    - Better hunspell support.
    - Delay for otherchars as for normal word components.
    - Use [:alpha:] when possible.
    - Removed patches. Integrated upstream:
      o 471_ispell.el_hunspell-nil-character-mode.patch.
      o 750_ispell.el_avoid-alpha-regexp.patch
      o 210_{fly,i}spell.el_session-localwords.patch.
      o 440_ispell.el_remove-ispell-insert-word.patch
    - Removed patches. No longer needed:
      o 490_ispell.el_dicts_list.patch
      o 050_ispell.el_ensure-localdicts-parsing.patch.
  * 00_flyspell.el_ispell-define-obsolete-face-alias.patch:
    - Put changes after each definition.
  * debian-ispell.el:
    - Make sure otherchars are read as chars in proper encoding.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 16 May 2012 13:44:17 +0200

dictionaries-common (1.12.5) unstable; urgency=low

  * scripts/system/aspell-autobuildhash:
    - Use "--per-conf=/dev/null" instead of "--per-conf= ". Seems that
      aspell no longer accepts the last form under kfreebsd-amd64
      (Closes: #644725).
  * debian/control: Bump Standards-Version. No changes needed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 06 Mar 2012 17:21:33 +0100

dictionaries-common (1.12.4) unstable; urgency=low

  * debian/po:
    - Updated Indonesian translation of debconf templates.
      Thanks Mahyuddin Susanto (Closes: #660310).
    - Normalize po files with debconf-updatepo.
  * dc-debconf-default-value.pl, DictionariesCommon.pm.in:
    - Minor changes.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 20 Feb 2012 13:05:47 +0100

dictionaries-common (1.12.3) unstable; urgency=low

  * debian/po:
    - Updated German translation of debconf templates.
      Thanks Chris Leick (Closes: #655418).
  * dc-debconf-select.pl:
    - Try harder to get a default if there are possible values,
      but is empty.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 12 Jan 2012 11:35:03 +0100

dictionaries-common (1.12.2) unstable; urgency=low

  * debian/po:
    - Updated Norwegian Bokmål translation of debconf templates.
      Thanks Bjørn Steensrud (Closes: #653581).
  * scripts/system/dc-debconf-select.pl:
    - Improve error messages in case default question is unset
      or wrong but wordlists/ispell dictionaries are installed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 10 Jan 2012 15:50:44 +0100

dictionaries-common (1.12.1) unstable; urgency=low

  * debian/po:
    - Updated Danish translation of debconf templates.
      Thanks Joe Dalton (Closes: #650939).
  * policy/*:
    - Update info about update-openoffice-dicts removal in policy
      documents.
    - Remove ancient section about building myspell/hunspell dicts
      for lenny OpenOffice.org and Mozilla*/ice*.
  * debian/control:
    - Remove ancient Conflicts against woody packages.
    - Break myspell-el-gr (<= 0.8-1) (Closes: #619246).
    - Bump myspell-gv break to (<= 0.50-9).
    - Add Breaks against old hyphen-en-us and mythes-it.
    - Add/update Breaks to some of the Ubuntu versions to make
      if fit also Ubuntu. Not for myspell-hu where Ubuntu has a
      higher version number. Thanks Martin Pitt for the Ubuntu work.
  * 410_ispell-el_kill-ispell-if-other-frame.patch:
    - Preserve kill-ispell-if-other-frame original behavior
      for FSF Emacs.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 29 Dec 2011 12:46:11 +0100

dictionaries-common (1.12.0) unstable; urgency=low

  * No longer install update-openoffice-dicts (Closes: #619246).
  * Add list of old packages broken by update-openoffice-dicts removal.
  * ispell-autobuildhash: Make mktemp call compatible with non-coreutils
    standalone mktemp in case someone prefers it (Closes: #648211).
  * Migrate handling of {ispell,flyspell}.el changes from dpatch to quilt.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 18 Nov 2011 13:23:40 +0100

dictionaries-common (1.11.8) unstable; urgency=low

  * flyspell.el: Upgraded to upstream bzr #106081.
    300_flyspell.el_query-on-exit.dpatch updated for it.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 14 Oct 2011 12:09:36 +0200

dictionaries-common (1.11.7) unstable; urgency=low

  * ispell.el: Upgraded to upstream bzr r105805.
  * flyspell.el: Upgrade to upstream bzr #105715.
  * 440_ispell.el_remove-ispell-insert-word.dpatch:
    - Renamed from 440_ispell.el_protect-translation-table.
    - Remove (ispell-insert-word) definition and usage. Use plain (insert).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 10 Oct 2011 15:38:26 +0200

dictionaries-common (1.11.6) unstable; urgency=low

  * installdeb.in: Minor changes and pod language fixes.
  * ispell-autobuildhash: Remove left over /tmp/ispell-auto.stat.
    Thanks Guillem Jover for debugging the problem and providing
    patch (Closes: #639203).
  * debian/rules: Fix lintian debian-rules-missing-recommended-target
    build-{arch,indep}

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 25 Aug 2011 13:20:02 +0200

dictionaries-common (1.11.5) unstable; urgency=low

  * ispell-autobuildhash: Do not load no longer needed File::Temp.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 22 Jun 2011 11:12:14 +0200

dictionaries-common (1.11.4) unstable; urgency=low

  * Do not use File::Temp, but only stuff in Debian perl-base
    (Closes: #630323).
  * 440_ispell.el_protect-translation-table: re-add missing line
    to protect against nil translation table (Closes: #631156).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 21 Jun 2011 11:37:50 +0200

dictionaries-common (1.11.3) unstable; urgency=low

  * debian/control: No need to break old myspell/hunspell
    packages until update-openoffice-dicts is actually removed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 07 Jun 2011 14:57:11 +0200

dictionaries-common (1.11.2) unstable; urgency=low

  * dictionaries-common.checklist: Add some missing entries.
  * More debugging code when handling triggers. Use $2.
  * Updated Swedish translation of debconf templates.
    Thanks Martin Bagge (Closes: #628933).
  * postinst-compatfile.in: Fix broken upgrades from old compat
    system due to old package removal after new preinst run.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 02 Jun 2011 18:10:08 +0200

dictionaries-common (1.11.1) unstable; urgency=low

  * Re-add no-op update-openoffice-dicts. Conditional call was not
    that conditional (Closes: #628821).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 01 Jun 2011 18:09:21 +0200

dictionaries-common (1.11.0) unstable; urgency=low

  * DictionariesCommon.pm.in:
    - Support untranslated elanguages for select-default-iwrap.
    - Cosmetic changes and docstrings.
  * installdeb.in: Automatically enable elanguages if provided.
    Document this new feature feature in dictionaries-common.checklist.
  * Update ispell.el and flyspell.el to 20110524 FSF emacs bzr repo
    (bzr#r104350).
    o Patches removed. Integrated upstream:
      - 300_ispell.el_query-on-exit.
      - 480_ispell.el_fix-aspell-data-file-search
    o Patches removed. Only needed needed for FSF Emacs < 23
      - 290_ispell.el_ispell-delete-ispell-process.
      - 800_ispell.el_has-defvaralias.
      - 290_flyspell.el_with-local-quit.
      - 900_flyspell.el_has-defvaralias.
    o Patches adapted:
      - 430_ispell.el_region-p+transient.
      - 440_ispell.el_protect-translation-table.
      - 470_ispell.el_handle-non-unified-chars split into
        470_ispell.el_XEmacs-non-unified-chars-latin01 and
        472_ispell.el_protect-multibyte-string.
      - 471_ispell.el_hunspell-nil-character-mode.
      - 700_ispell.el_initial_defs.
      - 950_ispell.el_with-no-warnings.
      - 200_flyspell.el_remove-overlays.
      - 300_flyspell.el_query-on-exit.
      - 580_flyspell.el_called-interactively-p.
  * Remove obsolete update-openoffice-dicts (Closes: #619246).
  * debian/po:
    - Updated Russian translation of debconf templates.
      Thanks Yuri Kozlov (Closes: #625932).
    - Updated French translation of debconf templates.
      Thanks Christian Perrier (Closes: #626341).
    - Updated Thai translation of debconf templates.
      Thanks Theppitak Karoonboonyanan (Closes: #626491).
    - Updated Esperanto translation of debconf templates.
      Thanks Felipe Castro (Closes: #626899).
    - Updated Japanese translation of debconf templates.
      Thanks Kenshi Muto (Closes: #626910).
    - Updated Italian translation of debconf templates.
      Thanks Giuseppe Sacco (Closes: #626993).
    - Updated Dutch translation of debconf templates.
      Thanks Jeroen Schot (Closes: #627044).
    - Updated Finnish translation of debconf templates.
      Thanks Tapio Lehtonen (Closes: #627203).
    - Updated Simplified Chinese translation of debconf
      templates. Thanks yanliang tang (Closes: #627657).
    - Updated Czech translation of debconf templates.
      Thanks Miroslav Kure (Closes: #627447).
    - Updated Portuguese translation of debconf templates.
      Thanks Miguel Figueiredo (Closes: #627550).
  * debian/changelog: Fix spelling error (splitted -> split).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 31 May 2011 15:56:16 +0200

dictionaries-common (1.10.10) unstable; urgency=low

  * dictionaries-common.postinst:
    - Use $* rather that "$@" when parsing triggers, triggers
      list is passed as a second single argument.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 06 May 2011 12:19:03 +0200

dictionaries-common (1.10.9) unstable; urgency=low

  * Remove non-working code trying to trim $* (Closes: #625450).
  * dictionaries-common.templates:
    - Improve debconf templates for default "ispell dictionary"
      and "wordlist" (Closes: #619649).
  * debian/po/es.po:
    - Updated for new dictionaries-common.templates changes.
  * installdeb.in:
    - Make auto-hash feature more robust by resetting compat in
      preinst (and in postinst for reconfigure)

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 03 May 2011 18:44:43 +0200

dictionaries-common (1.10.8) unstable; urgency=low

  * Raise Standards-Version. No changes required.
  * When apt-utils is not installed, delay default settings
    until ispell dictionaries or wordlists are actually
    configured. (Closes: #621913).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 27 Apr 2011 15:30:33 +0200

dictionaries-common (1.10.7) unstable; urgency=low

  * update-default.in:
    - Warn about possible debconf database corruption and provide
      more debugging info.
    - Remove useless go() call.
    - Fix typo in message. Cosmetic changes.
  * README.problems:
    - Some improvements in the debconf database corruption section.
    - Reorganization of debugging hints. Add general debug enabling.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 26 Apr 2011 17:42:35 +0200

dictionaries-common (1.10.6) unstable; urgency=low

  * Make update-default-* to not enable triggers nor try to
    set symlinks when called fom dictionaries-common postinst
    (Closes: #619620).
  * DictionariesCommon.pm::dico_activate_trigger: Warn on
    enabling trigger on $debug.
  * dc-debconf-default-value.pl: Enable -huge and -insane as
    possible dict suffixes on default selection.
  * update-default.in:
    - Do not use Getopt::Long. Parse options directly.
    - Remove no longer used "--ignore-symlinks" external option.
    - Drop --rebuid option, rebuild always. Keep as a no-op for
      compatibility with old maintainer scripts.
    - Better manual mode handling.
    - Some code reorganization.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Mar 2011 15:51:13 +0200

dictionaries-common (1.10.5) unstable; urgency=low

  * Make `update-openoffice-dicts' a full no-op. No longer
    install debhelper snippets calling it and remove them.
    Remove `update-openoffice-dicts' trigger. Deal with ancient
    `dictionary.lst' removal directly from
    dictionaries-common.postinst (Closes: #619116).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Mar 2011 19:50:19 +0100

dictionaries-common (1.10.4) unstable; urgency=low

  * Triggerize update-default-ispell to have default symlink
    created after ispell-autobuildhash real run (Closes: #618398).
    Do the same for update-default-wordlist.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 17 Mar 2011 12:59:51 +0100

dictionaries-common (1.10.3) unstable; urgency=low

  * Implementing some suggestions and fixing some bugs, all
    reported by Robert Luberda. Thanks Robert.
  * Fix "dsdt-policy.txt" location in installdeb-* man pages
    (Closes: #618397).
  * update-default-ispell: Make sure ispell-autobuildhash is run
    before trying to symlink (Closes: #618398).
  * installdeb-{a,i}spell: Automatically create
    /usr/lib/{a,ispell}/$hash -> /var/lib/{a,i}spell/$hash
    symlinks when using 'auto-compat' (Closes: #618399).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 15 Mar 2011 17:21:00 +0100

dictionaries-common (1.10.2) unstable; urgency=low

  * installdeb.in: Make sure /var/lib/{a,i}spell directory is available.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 08 Mar 2011 10:54:48 +0100

dictionaries-common (1.10.1) unstable; urgency=low

  * debian/README.emacs:
    - ispell is no longer preferred over aspell. (Closes: #615939).
    - Document hunspell selection.
    - Refer to 'ispell-dictionary', not 'ispell-local-dictionary'
      where appropriate.
    - Document 'ispell-local-dictionary' for buffer local use.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 01 Mar 2011 11:39:39 +0100

dictionaries-common (1.10.0) unstable; urgency=low

  * update-openoffice-dicts: Mostly become a no-op besides
    dictionary.lst removal. Use strict. Use triggers.
  * Document why we do not enable and byte-compile lisp
    stuff for emacs-snapshot (Closes: #615143).
  * No longer recommend shipping empty compat and hash files
    to be regenerated via maintainer scripts. Provide
    installdeb-{ispell,aspell} with a new optional method to
    help handling that. (Closes: #593487).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Feb 2011 13:13:16 +0100

dictionaries-common (1.9.3) unstable; urgency=low

  * debian/rules: Do not use '-d' when calling dh_perl

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 10 Feb 2011 12:44:51 +0100

dictionaries-common (1.9.2) unstable; urgency=low

  * ispell-autobuildhash:
    - Cleanup tempdir by setting 'CLEANUP' when creating it.
      Do not do that if debg is enabled.
  * scripts/system/dc-debconf-default-value.pl:
    - Remove redundant (on debug) info.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 08 Feb 2011 18:58:09 +0100

dictionaries-common (1.9.1) unstable; urgency=low

  * support/emacsen/debian-ispell.el:
    - Prefer aspell over ispell (Closes: #612399).
  * debian/dictionaries-common.config-footer:
    - Fix 'uninitialized value' messages when no elements are to
      be installed for a class in first installation.
  * debian/dc-debconf-select.pl:
    - Make sure dc-debconf-default-value.pl is not loaded from
      dictionaries-common.config (Closes: #612377).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 08 Feb 2011 18:01:32 +0100

dictionaries-common (1.9.0) unstable; urgency=low

  * Use strict for the different perl scripts.
  * {a,i}spell-autobuildhash:
    - Add a dry-run option.
    - Code reorganization and clean-up.
  * Basic support for {a,i}spell-autobuildhash triggers.
  * aspell-autobuildhash: Leave --per-conf empty instead of using
    /dev/null. Helps testing in chroots.
  * ispell-autobuildhash: Use File::Temp::tempdir for temporary
    directory creation.
  * Partial reorganization of the config scripts.
  * No longer deal with emacs21 and emacs22. Add emacs20 to
    build-exclusion list. (Closes: #610574).
  * Explain patched ispell.el and flyspell.el addition (Closes: #606299).
  * debian-ispell.el: Make sure flyspell tickbox is enabled at startup
    if appropriate.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 07 Feb 2011 11:39:46 +0100

dictionaries-common (1.5.17) unstable; urgency=medium

  * RC: Fix ispell.el menu bug that can cause XEmacs blocking
    (Closes: #609623).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 12 Jan 2011 13:41:56 +0100

dictionaries-common (1.5.16) unstable; urgency=low

  * Fix FTBFS in UTF-8 systems (Closes: #603566).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 15 Nov 2010 14:16:32 +0100

dictionaries-common (1.5.15) unstable; urgency=low

  * Fix aspell data file search. Many aspell dictionaries were
    not found by ispell.el (Closes: #600717).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 20 Oct 2010 11:53:39 +0200

dictionaries-common (1.5.14) unstable; urgency=low

  * scripts/system/dc-debconf-default-value.pl:
    - Get rid of some warnings during config: fix misplaced parenthesis
      and provide a sane language default when nothing else is found
      (Closes: #596277).
    - Improve debugging messages.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 10 Sep 2010 17:09:22 +0200

dictionaries-common (1.5.12) unstable; urgency=low

  * Work around `called-interactively-p' different syntax (Closes: #592720).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 19 Aug 2010 11:59:52 +0200

dictionaries-common (1.5.11) unstable; urgency=low

  * scripts/Debian/DictionariesCommon.pm.in:
    - Do not set $userdefault if HOME is undefined, as in
      unattended upgrades. Complain if this happens in
      interactive use. (Closes: #589870).
    - Cosmetic changes.
  * debian/control:
    - Bump Standards-Version to 3.9.1. No changes required.
    - Improve readability of dictionaries-common Depends field.
  * debian/patches/950_flyspell.el_revert-sgml-lexical-context:
    - Improve regexp and comments.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 26 Jul 2010 13:12:25 +0200

dictionaries-common (1.5.10) unstable; urgency=low

  * support/emacsen/*: Remove ancient (and buggy) 'Local Variables'
    section in Debian files. Thanks Trent W. Buck for noticing and
    suggesting this.
  * Update ispell.el and flyspell.el to 20100707 FSF emacs bzr repo
    (bzr#r100743). This includes comparison of expanded directories
    (Closes: #589880).
    o Patches removed. Integrated upstream:
      - 200_ispell.el_no-idle-ispell-process
      - 280_ispell.el_default-dir-change
    o Patches removed: No longer needed:
      - 800_flyspell.el_limit-looking-back.
    o Unused patches removed:
      - 200_ispell.el.
      - 470_ispell.el_fixlatin0-1.
      - 520_flyspell.el_debian-ispell-program-name.
      - 550_ispell.el_debian-ispell-program-name.
    o Patches adapted:
      - 210_ispell.el_session-localwords.
      - 410_ispell-el_kill-ispell-if-other-frame.
      - 470_ispell.el_handle-non-unified-chars.
    o New patches:
      - 580_flyspell.el_called-interactively-p.
      - 600_flyspell.el_ispell-define-obsolete-face-alias.
      - 100_ispell.el_ispell-comment-or-string.
      - 950_flyspell.el_revert-sgml-lexical-context.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 23 Jul 2010 14:20:23 +0200

dictionaries-common (1.5.5) unstable; urgency=low

  * 200_ispell.el_no-idle-ispell-process: When spellchecking
    minibuffer contents, make sure ispell process is not restarted
    over and over every time the minibuffer is killed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 17 May 2010 12:17:53 +0200

dictionaries-common (1.5.4) unstable; urgency=low

  * scripts/debhelper/installdeb-myspell:
    - o2compat is no longer enabled by default.
  * 800_flyspell.el_limit-looking-back:
    - New patch: Pass limit args to looking-back.
  * Change patch status to 'Installed Upstream':
    - 200_ispell.el_no-idle-ispell-process.
    - 280_ispell.el_default-dir-change.
  * 210_flyspell.el_session-localwords,210_ispell.el_session-localwords:
    - Add support for preserving session localwords across
      buffer switching.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 05 May 2010 11:49:48 +0200

dictionaries-common (1.5.2) unstable; urgency=low

  * Fix harmless bogus error messages on installation due to no
    elements in a given class (Closes: #576107).
  * 280_ispell.el_default-dir-change new patch:
    - Fix personal dictionary + default directory check.
  * 200_ispell.el_no-idle-ispell-process new patch:
    - Kill ispell process when killing its associated buffer
      (Closes: #576223).
  * Add explicit debian/source/format. Will stay as 1.0 for now.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 12 Apr 2010 12:08:54 +0200

dictionaries-common (1.5.1) unstable; urgency=low

  * dc-debconf-select.pl: Lower to 'high' priority to be used
    when problems appear. Sometimes this question needs to be
    overridable (Closes: #566912).
  * Use dico_ prefix in some more exported functions.
  * DictionariesCommon.pm:
    - Make {get,set}sysdefault work for both classes.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 19 Feb 2010 17:33:53 +0100

dictionaries-common (1.5.0) unstable; urgency=low

  * Try re-guessing default when a wordlist or ispell dictionary
    class is populated for the first time with dictionaries-common
    installed. Improved comments and debugging messages.
  * More config file split for the above. Different changes in the
    config code for efficiency and better reading.
  * Makefile.in:
    - Build utf-8 policy text through iso-8859-1, so w3m does not
      add utf-8 only stuff.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 11 Feb 2010 12:57:33 +0100

dictionaries-common (1.4.1) unstable; urgency=low

  * Fix lintian 'template-uses-unsplit-choices'. Split choices
    for translators benefit.
  * debian/control. Bump Standards-Version. No changes required.
  * Fix spelling error in README.Debian.
  * Use w3m instead of elinks to build the txt version of the policy.
    Thanks Mathias Gug for the suggestion. (Closes: #566078).
  * Use UTF-8 for the txt version of the policy.
  * scripts/system/update-default.in:
    - Unset debconf value if no ispell dictionaries/wordlist are
      available, unless explicitly set to Manual.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 04 Feb 2010 13:02:02 +0100

dictionaries-common (1.4.0) unstable; urgency=low

  * Misc documentation changes.
  * installdeb-myspell:
    - No longer set dicts Mozilla symlinks in hunspell
      destdir. (Closes: #557604).
    - Make alternative symlinks optional.
    - Always install dicts in lowbar form.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 25 Nov 2009 02:23:41 +0100

dictionaries-common (1.3.2) unstable; urgency=low

  * installdeb-myspell: More on new locations
    - Basic support for automatic alternative symlinks.
    - Install mozilla symlinks in old location only of o2compat is
      enabled.
  * 440_ispell.el_protect-translation-table:
    - Use wrapper function ispell-with-no-warnings

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 07 Sep 2009 13:36:35 +0200

dictionaries-common (1.3.1) unstable; urgency=low

  * Fix mozilla symlinks creation in installdeb-myspell

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 25 Aug 2009 16:43:40 +0200

dictionaries-common (1.3.0) unstable; urgency=low

  * {ispell,flyspell}.el: Updated from FSF Emacs CVS. Updated patches.
  * Remove Rafael from Uploaders field. Thanks for all the work here
    and best wishes for your new projects.
  * Make dictionaries-comon-dev an extra package.
  * myspell/hunspell must now be installed under /usr/share/hunspell
    with compatibility symlinks. Modify policy and installdeb-myspell
    for this.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 25 Aug 2009 00:12:22 +0200

dictionaries-common (1.2.1) unstable; urgency=low

  * support/emacsen/debian-ispell.el:
    - Use `ispell-dictionary' to set default dictionary.
  * debian/po/*:
    - Added Bengali translation for dictionaries-common debconf
      templates. Thanks to Md. Rezwan Shahid (Closes: #524973).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 23 Apr 2009 12:33:58 +0200

dictionaries-common (1.2.0) unstable; urgency=low

  * scripts/maintainer/postrm*:
    - Extend #519258 fix to all postrm snippets to deal with corner cases
      where postrm snippets are run without dictionaries-common installed.
      Make it lintian happy. Keep postinst snippets failing.
  * debian/changelog: Fixing misspellings.
  * debian/{control,compat,rules}:
    - Raise debhelper compat version to 7. Use dh_prep.
  * debian/control: Raise Standards-Version to 3.8.1. No changes required.
  * {ispell,flyspell}.el: Updated from FSF Emacs CVS. Updated patches.
  * policy/dsdt-policy.xml.in:
    - Minor changes in section about myspell/hunspell dicts naming.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 13 Mar 2009 13:22:29 +0100

dictionaries-common (1.1.1) unstable; urgency=low

  * scripts/maintainer/*-myspell: add if [-x to update-openoffice-dicts
    call (closes: #519258)
  * policy/dsdt-policy.xml.in: mention that OpenOffice.org *always* needs
    aa_BB.{dic,aff}

 -- Rene Engelhard <rene@debian.org>  Wed, 11 Mar 2009 23:19:32 +0100

dictionaries-common (1.1.0) unstable; urgency=low

  * Added a new README.source file.
  * support/emacsen/debian-ispell.el:
    - Do not redefine `ispell-program-name' if already defined.
    - Improve debugging messages.
  * scripts/Debian/DictionariesCommon.pm.in:
    - Explicitly add " -d $hashname" to $ispellargs if not
      already there. Minor changes in $ispellargs handling.
  * policy/dsdt-policy.xml.in:
    - Tell people to try preserving 'Language' fields used by debconf.
    - Typo fixes
  * 471_ispell.el_hunspell-nil-character-mode.dpatch:
    - New patch to work around hunspell not ignoring
      extended-character-mode string when set from pipe mode. Will
      make sure extended-character-mode is nil for hunspell.
  * debian/dictionaries-common.templates,debian/po/*:
    - Fix lintian 'using-imperative-form-in-templates'.
    - Asturian translation for dictionaries-common debconf
      templates. Thanks to Marcos Alvarez Costales (Closes: #518980).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 10 Mar 2009 00:50:36 +0100

dictionaries-common (1.0.0) unstable; urgency=low

  * Change dictionaries-common priority to optional.
  * Support for hunspell dicts registration:
    - Add support for hunspell in scripts/Debian/DictionariesCommon.pm.in.
      New maintainer script update-dictcommon-hunspell
    - New ispell.el and flyspell.el snapshots from FSF Emacs CVS,
      with better hunspell support. Patches in debian/patches
      added/updated/removed as appropriate.
    - Add support for hunspell in debian.ispell.el.
    - Added installdeb-hunspell helper and associated debhelper
      snippets.
    - Modify policy to care of the above.
  * Document missing functions availability in different patches.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 16 Feb 2009 13:01:27 +0100

dictionaries-common (0.98.16) unstable; urgency=low

  * README.emacs: More examples for flyspell use.
  * Add 2009 to Copyright years.
  * scripts/system/update-openoffice-dicts:
    - Make sure $ooo_version_major is initialized in
      comparison (Closes: #513722).
    - Add obsolescence warning.
    - Cosmetic changes.
  * debian/control: use shorter lines in description.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 02 Feb 2009 14:29:34 +0100

dictionaries-common (0.98.14) experimental; urgency=low

  [ Agustin Martin Domingo ]
  * Fix lintian debhelper-but-no-misc-depends.

  [ Rene Engelhard ]
  * scripts/system/update-openoffice-dicts: dictionary.lst is gone and will
    not be honored anymore in OOo3. Make update-openoffice-dicts remove it if
    found (and if not, a noop)

 -- Rene Engelhard <rene@debian.org>  Mon, 19 Jan 2009 02:09:06 +0100

dictionaries-common (0.98.13) unstable; urgency=low

  * Add aspell support for the squirrelmail squirrelspell interface.
    Thanks Dmitry Katsubo for the suggestions (closes: #496675).
  * Update flyspell.el and ispell.el.
  * Update 990_flyspell.el_change-disclaimer+version.dpatch and
    add description.
  * Improved info about personal dictionaries under Emacs (Closes: #491552).
  * No more commands with path in maintainer scripts. (Closes: #499269).
  * Add pending descriptions to patches. Keep lintian happy.
  * scripts/system/{a,i}spell-autobuildhash:
    - Warn about debsums false positives and how to deal with them.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 10 Nov 2008 13:51:52 +0100

dictionaries-common (0.98.12) unstable; urgency=low

  * Updated Korean debconf translation, thanks to Changwoo Ryu
    (closes: #491517)
  * debian/patches/990_flyspell.el_change-disclaimer+version.dpatch:
    - Improve version docstring (closes: #491553)

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue,  5 Aug 2008 21:33:57 +0200

dictionaries-common (0.98.10) unstable; urgency=low

  * support/emacsen/flyspell.el: New version from FSF Emacs CVS
  * debian/control:
    - Bumped Standard version to 3.8.0
    - Use Homepage field instead of obsolete XS-Homepage.
    - Because of VCS change to git, replace XS-Vcs-Cvs field by Vcs-Git.
      Change obsolete XS-Vcs-Browser to Vcs-Browser and update it.
  * No need to call update-default-$class from remove-default-$class when
    new ispell dictionary/wordlist is installed in the same run a new one
    is installed and selected. Will be called from new package postinst
    anyway, where selected package is already unpacked.(closes: #474598)
  * policy/{dictionaries-common.checklist,policy/dsdt-policy.xml.in}:
    - New requirements for allowing standalone wamerican
    - Update Copyright years.
    - Minor changes.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 03 Jul 2008 19:17:22 +0200

dictionaries-common (0.98.9) unstable; urgency=low

  * support/emacsen/startup.el.in:
    - Make sure /v/cache/d-c/emacsen-ispell-dicts.el and debian-ispell.el
      are loaded with coding-system-for-read set to raw-text. Many thanks
      to Lionel Elie Mamane for extensive debugging and fix proposals.
      (closes: #337214)
  * scripts/system/aspell-autobuildhash:
    - Make sure no personal conf is used. Thanks to Karl Chen for
      the suggested fix. (Closes: #481984).
  * debian/changelog: Fixing some misspellings.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 21 May 2008 18:21:35 +0200

dictionaries-common (0.98.6) unstable; urgency=low

  * debian/patches/480_ispell.el_improve-popup-menu.dpatch:
    - Removed. Use eval-after-load for the same purpose.
  * support/emacsen/debian-ispell.el,
    debian/patches/495_ispell.el_ispell-set-spellchecker-params.dpatch:
    - Adapted to expected changes in upstream ispell.el.
  * scripts/Debian/DictionariesCommon.pm.in:
    - Use file globbing in updatedb. This makes code nicer and works
      around sync problems in dictionaries-common+perl5.10 upgrade.
      (Closes: #479595).
  * ispell.el and flyspell.el synced to FSF Emacs CVS:
    - 350_ispell.el_debian-set-ispell-dictionary.dpatch,
      495_ispell.el_ispell-set-spellchecker-params.dpatch,
      800_flyspell.el_debian-set-ispell-dictionary removed,
      integrated upstream.
    - 470_ispell.el_handle-non-unified-chars.dpatch,
      490_ispell.el_dicts_list.dpatch adapted.
  * support/emacsen/debian-ispell.el:
    - New way of handling default ispell-program-name

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 06 May 2008 15:18:00 +0200

dictionaries-common (0.98.5) unstable; urgency=low

  * debian/emacsen-{install,remove}:
    - Check if lisp files are already byte-compiled, so we do
      not retry.
  * debian/copyright:
    - Explicitly added ispell.el and flyspell.el copyrights. Some
      other updates.
  * scripts/system/dc-debconf-select.pl:
    - Use medium priority unless current value is no longer available.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 09 Apr 2008 21:07:11 +0200

dictionaries-common (0.98.3) unstable; urgency=low

  [ Martin Koeppe ]

  * patches for interix-i386:
    - scripts/Debian/DictionariesCommon.pm.in: New root check
      function. Used by scripts/system dictionaries-common
      scripts checking for rootness. (closes: #472458)

  [ Agustin Martin Domingo ]

  * scripts/Debian/DictionariesCommon.pm.in:
    - (parseinfo): Use local to scope IRS change in this function.
    - Remove obsolete build_pspell_support export.
    - Documenting ':all' exported functions.
    - Cosmetic changes.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 26 Mar 2008 21:20:33 +0100

dictionaries-common (0.98.2) unstable; urgency=low

  * debian/rules:
    - Make sure dictionaries-common.checklist is installed.
  * debian/dictionaries-common.{preinst,postrm}:
    - Handle diversion of /usr/share/dict/words to
      /usr/share/dict/words.pre-dictionaries-common for
      anything different from dictionaries-common. This
      will be useful in lenny+1.
  * ispell.el and flyspell.el upgraded to latest upstream
    versions from FSF Emacs CVS. Rewriting initialization in terms of
    new (still Debian only) ``ispell-set-spellchecker-params''
    function.
    - {600_flyspell,ispell}.el_fix-aspell-encoding removed,
      integrated upstream
    - 495_ispell.el_ispell-set-spellchecker-params: New patch to
      implement ``ispell-set-spellchecker-params''
    - {350_ispell,800_flyspell}.el_debian-set-ispell-dictionary
      and 490_ispell.el_dicts_list  modified to use
      ``ispell-set-spellchecker-params''
    - Renamed for clarity 370_ispell.el_fix-aspell-encoding to
      470_ispell.el_handle-non-unified-chars and adapted.
    - Updated other patches.
  * debian/dictionaries-common.templates:
    - Be more verbose with choices-c manual entry name
  * scripts/system/remove-default.in
    - Protect against warning due to packages multiply calling
      this script on removal. Check that package entry is still
      present.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 17 Mar 2008 13:28:00 +0100

dictionaries-common (0.96.1) unstable; urgency=low

  * policy/dsdt-policy.xml.in:
    - Upgrade myspell mozilla stuff to the new iceape-browser,
      iceweasel and icedove names
  * scripts/debhelper/installdeb.in:
    - Make sure $no_pre_post is defined for installdeb-aspell
      (Closes: #467344).
  * scripts/system/{a,i}spell-autobuildhash:
    - Update Copyright years and string.
    - Better info about the --debug option.
    - Removed some trailing whitespace

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 25 Feb 2008 13:40:47 +0100

dictionaries-common (0.96.0) unstable; urgency=low

  * debian/copyright: Updated years and recoded to utf8.
  * debian/control: Added a Homepage field
  * debian/dictionaries-common.postinst: Remove
    obsolete /var/cache/dictionaries-common/postinst.reconfiguring
  * debian/rules:
    - install an empty /usr/share/dictionaries-common/elanguages file
      so modified scripts can know if the elanguages feature is
      implemented. Intended for wamerican in the future.
  * scripts/debhelper/installdeb.in:
    - Default changed to not writing elanguages stuff. New
      --write-elanguages option to enable elanguages entry creation.
      --no-elanguages option disabled.
    - Do not use the __ format if there is no debian/po dir
  * policy/dictionaries-common.checklist: Updated because of the above.
  * scripts/system/dc-debconf-select.pl:
    - Fix error in (dico_get_all_choices) function that was not using
      languages fallback in case of languages/elanguages mismatch.
    - More debugging code

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 19 Feb 2008 13:35:31 +0100

dictionaries-common (0.95.2) unstable; urgency=low

  * scripts/system/dc-debconf-select.pl:
    - Make sure echoices is left in a sane C state after
      preconfiguring or reconfiguring (Closes: #465233).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 12 Feb 2008 13:14:10 +0100

dictionaries-common (0.95.1) unstable; urgency=low

  * debian/dictionaries-common.config-base:
    - Do not leave things here for postinst on package
      reconfiguration. This is no longer needed and there
      are better ways for it.
  * policy/dictionaries-common.checklist:
    - New installdeb-* options from 0.95.0
  * debian/changelog:
    - Minor fixes in previous entry

 -- Agustin Martin Domingo <agmartin@debian.org>  Sun, 10 Feb 2008 20:13:07 +0100

dictionaries-common (0.95.0) unstable; urgency=low

  * Preliminary support for fixed or internationalized language names
    under debconf, using the choices-c debconf feature and a new
    localizable $package/elanguages entry (Closes: #369172):
    - debian/dictionaries-common.templates: New choices-C field.
    - debian/control: Choices-C requires debconf (>= 1.5.5)
    - scripts/system/dc-debconf-select.pl,
      scripts/system/{remove,select,default,update}-default.in modified
      to handle this new stuff
    - debian/po/*: Updated and modified to use ${echoices}
    - scripts/debhelper/installdeb.in: handle the new entry when creating
      packages.
    - policy/dsdt-policy.xml.in: modified about this entry.
  * Makefile.in, debian/control: Use always elinks for building the package,
    8bit chars rendering in links has some problems.
  * debian/dictionaries-common.postinst: Always run
    update-default-{ispell,wordlist}, those scripts already check if there are
    elements installed.
  * debian/{rules,dirs}: Install lintian overrides to keep lintian quiet about
    our handling of postinst/postrm wrt shared questions through external
    scripts.
  * debian/README.emacs: Some tips for flyspell.
  * debian/control: Bumped standards to 3.7.3. No changes required.
  * policy/dsdt-policy.xml.in:
    - Use explicit entities rather that 8bit chars.
    - Cosmetic changes

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 08 Feb 2008 18:42:17 +0100

dictionaries-common (0.90.3) unstable; urgency=low

  * debian/patches/700_flyspell.el_flyspell-xemacs-local.dpatch:
    - New patch: Make sure flyspell-post-command-hook is not
      called for buffers with disabled flyspell-mode. Was happening
      for XEmacs. (Closes: #459044).
  * 990_flyspell.el_change-disclaimer+version:
    - New patch to make clear this is a modified file.

 -- Agustin Martin Domingo <agmartin@debian.org>  Sun, 13 Jan 2008 22:34:05 +0100

dictionaries-common (0.90.1) unstable; urgency=low

  * debian/patches/440_ispell.el_protect-translation-table.dpatch:
    - New patch: protect ispell-insert-word against unbound
      translation-table-for-input and old translate-region
      behavior (Closes: #458806).
  * debian/patches/470_ispell.el_fixlatin0-1.dpatch:
    - Was calling ispell-decode-string in the wrong place
      (Closes: #459674).
  * debian/changelog [0.81.1]: Typo fixed in dpkg version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 08 Jan 2008 14:22:39 +0100

dictionaries-common (0.90.0) unstable; urgency=low

  * ispell.el and flyspell.el updated to those of emacs22:
    Removed patches already integrated upstream, added
    new patches to work around different behaviors in XEmacs
    and older Emacs and updated other patches (Closes: #436347).
  * support/emacsen/startup.el.in:
    - Explicitly exclude emacs20 and other minor changes.
  * debian/README.emacs
    - Better document how to disable the dict-common system
  * debian/rules:
    - Minor changes for clarity.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 20 Nov 2007 13:52:20 +0100

dictionaries-common (0.86.2) unstable; urgency=low

  * debian/po:
    - New Tamil [ta] debconf templates translation,
      thanks to Tirumurti Vasudevan (Closes: #446981).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 17 Oct 2007 13:45:06 +0200

dictionaries-common (0.86.1) unstable; urgency=low

  * debian/dictionaries-common.dirs:
    - Added etc/openoffice, so dpkg knows dictionaries-common
      is also dealing with this dict (Closes: #431644).
  * debian/dictionaries-common.postrm:
    - No need to try removing /etc/openoffice dir here.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 16 Oct 2007 13:26:58 +0200

dictionaries-common (0.86.0) unstable; urgency=low

  [ Rafael Laboissiere ]
  * scripts/Debian/DictionariesCommon.pm.in:
    - Added UTF-8-aware support for aspell in JED
  * debian/control:
    - Depends on libtext-iconv-perl (needed by build_jed_support
      in DictionariesCommon.pm) to help backports.
    - Reformatted Conflicts line.
  * scripts/system/update-dictcommon.in: Call build_jed_support
  * policy/dsdt-policy.xml.in: Added a paragraph about the allowed format
    \xxx in *chars fields in the info-{i,a}spell files

  [ Agustin Martin Domingo ]
  * policy/dsdt-policy.xml.in:
    - Clarify aspell stuff (Closes: #443740).
    - Adapt to new behavior of differently handling ispell and aspell lists.
    - Removed references to obsolete (debian-ispell-add-dictionary-entry)
      function

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 03 Oct 2007 15:38:33 +0200

dictionaries-common (0.85.2) unstable; urgency=low

  * Improve independent handling of ispell and aspell
    dicts from Emacs (closes: #435545)
    - DictionariesCommon.pm.in, debian-ispell.el, README.emacs:
      + Use new `debian-{a,i}spell-only-dictionary-alist'
      + Obsoleted (debian-ispell-add-dictionary-entry)
    - debian-ispell.el, 480_ispell.el_improve-popup-menu.dpatch:
      + Handle pop-up menus only from (debian-ispell-set-startup-menu)
        and make them change according to spellchecker.
    - debian-ispell.el, 700_ispell.el_initial_defs.dpatch,
      350_ispell.el_debian-set-ispell-dictionary.dpatch,
      800_flyspell.el_debian-set-ispell-dictionary.dpatch:
      + Use new (debian-ispell-initialize-program-params)
        function to initialize spellchecker parameters and
        detect spellchecker changes.
  * DictionariesCommon.pm.in:
    - Remove obsolete availability code.
  * debian-ispell.el:
    - Remove obsolete availability code.
    - Simplify code.
  * debian/control:
    - Added XS-Vcs entries.
  * debian/rules:
    - Run 'make distclean' only if a Makefile is present. Do
      not ignore errors then.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 12 Sep 2007 02:25:09 +0200

dictionaries-common (0.82.0) unstable; urgency=low

  * scripts/system/ispell-autobuildhash:
    - Fix aff path in man page (closes: #428269).
    - Improve building message and dates
  * scripts/system/dc-debconf-select.pl:
    - Modularize priorities, critical if first time or
      current value not in new list, high otherwise.
    - Better comments
  * Add README for ispell and wordlist dirs.
  * debian/po:
    - Updated Esperanto [eo] debconf templates translation,
      thanks Serge Leblanc (closes: #428277)

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 18 Jun 2007 12:55:14 +0200

dictionaries-common (0.81.3) unstable; urgency=low

  * scripts/Debian/DictionariesCommon.pm.in:
    - Move comments after the "<?php" tag (closes: #408116).

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 01 Jun 2007 19:01:39 +0200

dictionaries-common (0.81.2) unstable; urgency=low

  * debian/dictionaries-common.preinst:
    - Do not even ask for alternatives if the alternatives file does
      not exist. Compact code, make it locale safe and a bit more
      verbose when finding obsolete alternatives.
  * debian/changelog:
    - Minor fixes in last entry

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 May 2007 17:37:54 +0200

dictionaries-common (0.81.1) unstable; urgency=low

  * policy/dsdt-policy.xml.in:
    - Upgraded to docbook-xml 4.0 (closes: #422607)
  * debian/dictionaries-common.preinst:
    - True'd update-alternatives --auto calls to work around
      update-alternatives 1.14.0 new behavior. Thanks Michel
      Dänzer for the suggestion (closes: #423012, #423124, #423163)
  * scripts/Debian/DictionariesCommon.pm:
    - Fixed squirrelmail support. Patch by Thijs Kinkhorst
      (closes: #408116)
  * policy/dictionaries-common.checklist:
    - Updated due to the squirrelmail fix.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 10 May 2007 15:01:11 +0200

dictionaries-common (0.80.1) unstable; urgency=low

  * policy/dsdt-policy.xml.in:
    - Suggest that the English part of the language name should
      preferably be unique.
    - Replace wenglish by wamerican where appropriate.
  * debian/README.problems:
    - Added hints about debugging dictionaries-common
      pre-configuration from debian-installer.
  * scripts/Debian/DictionariesCommon.pm:
    - New function `dc_get_spellchecker_params'.
    - Improved squirrelmail support, used from
      modified update-default.in (closes: #408116)
  * policy/dictionaries-common.checklist:
    - Updated due to the new squirrelmail support.
  * scripts/system/ispell-wrapper:
    - Use `dc_get_spellchecker_params'.
  * scripts/system/update-openoffice-dicts:
    - Some code reorganization.
    - Support for reading infos from different places.
    - New (-d|--dryrun) option to help testing.
  * scripts/system/dc-debconf-select.pl:
    - Some code reorganization.
  * debian/po:
    - New Marathi [mr] debconf templates translation,
      thanks to Priti Patil (closes: #416809)

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 11 Apr 2007 12:17:45 +0200

dictionaries-common (0.70.12) unstable; urgency=low

  * debian/po:
    - Updated Portuguese [pt] debconf templates translation,
      thanks to Carlos Lisboa and Rui Branco (closes: #408182)

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 24 Jan 2007 17:03:07 +0100

dictionaries-common (0.70.11) unstable; urgency=medium

  * debian/dictionaries-common.config-base,
    scripts/system/dc-debconf-select.pl:
    - More debugging info.
    - Comments improved
    - Cosmetic changes.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 11 Dec 2006 01:56:34 +0100

dictionaries-common (0.70.10) unstable; urgency=medium

  * debian/dictionaries-common.config-base:
    - Make sure charset is also stripped from language value.
    - More debugging info.

 -- Agustin Martin Domingo <agmartin@debian.org>  Sun,  3 Dec 2006 21:53:25 +0100

dictionaries-common (0.70.9) unstable; urgency=medium

  * debian/po:
    - Updated Hungarian [hu] debconf templates translation,
      thanks to SZERVÁC Attila (closes: #399220)
    - Updated Vietnamese [vi] debconf templates translation,
      thanks to Clytie Siddall (closes: #399303).
  * scripts/system/dc-debconf-select.pl:
    - Show debugging info if 'DICT_COMMON_DEBUG' envvar is set.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 24 Nov 2006 12:37:28 +0100

dictionaries-common (0.70.7) unstable; urgency=medium

  * scripts/*{pod sections}, debian/changelog:
    - Fixing more misspellings in pod sections and changelog. Thanks
      Matt Taggart for pointing out some of them (closes: #395835)
  * debian/emacsen-{install,remove}:
    - Symlink source files from target directory, so everything can be
      reached through a single path.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue,  7 Nov 2006 12:09:24 +0100

dictionaries-common (0.70.6) unstable; urgency=medium

  * debian/po:
    - de translation recoded to utf8.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 23 Oct 2006 17:09:35 +0200

dictionaries-common (0.70.5) unstable; urgency=medium

  * debian/po:
    - fix de translation, thanks Jens Seidel for the comments (closes: 393255)
  * debian/patches/550_flyspell.el_process-localwords.dpatch:
    - Fixed regexp for doublons in large regions.

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Oct 2006 23:33:03 +0200

dictionaries-common (0.70.4) unstable; urgency=low

  * debian/dictionaries-common.config-base:
    - Fix bug in symlink handling from <=woody upgrades.
    - Try LANG prior to debian-installer/{language,country} for etch.
    - If debian-installer/{language,country} is not present try also
      LC_MESSAGES and LC_ALL if no old pre-policy symlinks are there.
    - Cosmetic changes: simplified code and improved comments and
      debugging messages.
  * debian/po:
    - Updated Arabic [ar] debconf templates translation, thanks to
      Ossama Khayat and Mohammed Adnène Trojette (closes: #391622)

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 16 Oct 2006 15:02:51 +0200

dictionaries-common (0.70.2) unstable; urgency=low

  * scripts/debhelper/installdeb-myspell:
    - fix thesauri installation
  * debian/po:
    - fix variable in hu.po, thanks "zino" (closes: #379465)
    - fix missing variable in/update ar.po, thanks Mohammed Adnène Trojette
      (closes: #379467)

 -- Rene Engelhard <rene@debian.org>  Thu, 27 Jul 2006 21:47:41 +0200

dictionaries-common (0.70.1) unstable; urgency=low

  [Rafael]
  * policy/dsdt-policy.xml.in:
    - For cdbs support, build-depend on dictionaries-common-dev >= 0.70.
    - Added package example for the cdbs support (aspell6.pt >= 20060602-2).

  [Agustin]
  * policy/dsdt-policy.xml.in:
    - dictionaries-common-dev should be in Build-depends-Indep and
      debhelper in Build-depends for arch independent packages.
    - Refer to ispell-autobuildhash and aspell-autobuildhash manual
      pages to create hashes from postinst.
  * policy/dictionaries-common.checklist:
    - More historical info added

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu,  6 Jul 2006 12:57:27 +0200

dictionaries-common (0.70.0) unstable; urgency=low

  [Agustin]
  * debian/patches/550_flyspell.el_process-localwords.dpatch:
    - Add support for doublons checking from flyspell-large-region
  * debian/dictionaries-common.templates, debian/po*:
    - Minor rewording of some debconf templates.
  * debian/po:
    - New Dzongkha [dz] debconf templates translation,
      thanks to Jurmey Rabgay (closes: #376231)
  * policy/dictionaries-common.checklist: Add CDBS entry

  [Rafael]
  * scripts/cdbs/dict-common.mk: New file, containing a makefile scrap for
    use with CDBS
  * Makefile.in: Install dict-common.mk in the appropriate directory
  * debian/dictionaries-common-dev.files: Added directory
    usr/share/dictionaries-common/cdbs
  * policy/dsdt-policy.xml.in: Added instructions for the users of CDBS on
    how to use the dict-common.mk include file
  * scripts/debhelper/installdeb-myspell, scripts/debhelper/installdeb.in:
    Do not die if no debian/info-* has been found.  Instead, just output a
    warn message and quit with a success status.  This allows calling the
    installdebs-* scripts for non-relevant packages (done in dict-common.mk)
    without stopping the processing of debian/rules.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon,  3 Jul 2006 13:47:03 +0200

dictionaries-common (0.67.4) unstable; urgency=low

  [Agustin]
  * policy/dictionaries-common.checklist: New file with a
    first cut for dependencies checklist.
  * policy/dsdt-policy.xml.in:
    - Include dictionaries-common.checklist as appendix.
    - Some corrections by Rafael.
    - Update installdeb-myspell info.
    - Fix some more misspellings.
  * debian/po:
    - New Khmer [km] debconf templates translation,
      thanks to Khoem Sokhem, Poch Sokun, Auk Piseth and
      Leang Chumsoben (closes: #374920)

  [Rafael]
  * Makefile.in: Avoid Lintian warning manpage-has-errors-from-man
    on ispell-wrapper.1 by replacing an ISO-8859-1 character by a
    nroff escape sequence

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 22 Jun 2006 12:33:42 +0200

dictionaries-common (0.67.3) unstable; urgency=low

  * debian/po:
    - New Nepali [ne] debconf templates translation,
      thanks to Paras pradhan (closes: #372867)
    - Updated Swedish [sv] debconf templates translation,
      thanks to Daniel Nylander (closes: #373260)
  * scripts/debhelper/installdeb-myspell:
    - Do not try to automatically set mozilla symlinks if
      debian/$myspell_dict_package.links exists.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 20 Jun 2006 13:41:13 +0200

dictionaries-common (0.67.2) unstable; urgency=low

  * debian/po:
    - Updated Galician [gl] debconf templates translation,
      thanks to Jacobo Tarrío (closes: #371072)

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu,  8 Jun 2006 13:14:37 +0200

dictionaries-common (0.67.1) unstable; urgency=low

  * policy/dsdt-policy.xml.in:
    - Remark that #PACKAGE#/languages is not to be localized.
  * debian/po:
    - Updated Hungarian [hu] debconf templates translation,
      thanks to SZERVÁC Attila (closes: #369584).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu,  1 Jun 2006 13:12:15 +0200

dictionaries-common (0.66.2) unstable; urgency=low

  * debian/po:
    - New Thai [th] debconf templates translation,
      thanks to Theppitak Karoonboonyanan  (closes: #367488)
  * debian/control:
    - Bumped policy to 3.7.2. No changes required.
    - Moved debhelper and dpatch to Build-Depends. Both are required
      to run the clean target of debian/rules and therefore must be
      listed in Build-Depends, even if no architecture-dependent
      packages are built (Policy Manual, section 7.6). Thanks
      lintian for the check.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 24 May 2006 14:01:13 +0200

dictionaries-common (0.66.0) unstable; urgency=low

  * debian/patches/700_ispell.el_initial_defs.dpatch:
    - Make sure original elements in ispell-dictionary-alist are
      present unless overwritten by Debian dicts.
  * support/emacsen/startup.el.in:
    - Make sure flyspell-word autoloads flyspell

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 25 Apr 2006 11:59:20 +0200

dictionaries-common (0.65.7) unstable; urgency=low

  * debian/patches/600_flyspell.el_fsf-flyspell-external-point-words.dpatch,
    debian/patches/550_flyspell.el_process-localwords.dpatch:
    - Make sure search in flyspell-external-point-words and
      flyspell-process-localwords is case-sensitive.
    - Improve validation code and debugging info
  * debian/emacsen-install, support/emacsen/startup.el.in:
    - Ignore obsolete emacs19 debian-emacs-flavor.
  * support/emacsen/debian-ispell.el: Put dictionaries-common
    stuff in load-path only of not already there and using
    standard emacsen-common tools.
  * support/emacsen/debian-ispell.el, 480_ispell.el_improve-popup-menu.dpatch:
    - Make message spellcheck item visible only if in mail editing mode.
    - Make sure flyspell button works also for emacs20.
  * debian/po:
    - Updated Dutch [nl] debconf templates translation,
      thanks to Bart Cornelis (closes: #356212)

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 13 Mar 2006 19:21:38 +0100

dictionaries-common (0.65.3) unstable; urgency=low

  * debian/patches/480_ispell.el_improve-popup-menu.dpatch:
    - New patch to show a pop-up menu closer to the one shown
      before ispell.el is loaded but with the new available keys.
  * debian/po:
    - Updated Hungarian [hu] debconf templates translation,
      thanks to Hegedus Hajnalka (closes: #353029)

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 24 Feb 2006 12:51:01 +0100

dictionaries-common (0.65.2) unstable; urgency=low

  * scripts/Debian/DictionariesCommon.pm.in [dc_dumpdb]:
    - Make sure ' is escaped also in dict names (closes: #352766)
    - Simplify escaping code for dict names and keyvals

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 14 Feb 2006 13:40:55 +0100

dictionaries-common (0.65.1) unstable; urgency=low

  * scripts/system/update-openoffice-dicts:
    - No longer use File::Path, so dictionaries-common depends
      only on perl-base.
  * debian/rules:
    - add -d option to dh_perl so it checks perl-base dependency.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue,  7 Feb 2006 15:52:55 +0100

dictionaries-common (0.65.0) unstable; urgency=low

  * scripts/Debian/DictionariesCommon.pm.in:
    - Added Local Variables section setting perl indent to 2. File
      mostly retabbed to 2.
    - Removed obsolete pspell-ispell stuff.
    - New dc_dumpdb function to save dict databases as Data::Dumper did
      for dictionaries-common. No longer use Data::Dumper that will soon
      be moved away from perl-base.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 30 Jan 2006 19:29:28 +0100

dictionaries-common (0.64.2) unstable; urgency=low

  * debian/po:
    - Updated Polish [pl] debconf templates translation,
      thanks to Bartosz Fenski aka fEnIo (closes: #349042)

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 25 Jan 2006 13:18:08 +0100

dictionaries-common (0.64.1) unstable; urgency=low

  * debian/patches:
    - 270_ispell.el_ispell-kill-ispell-flyspell.dpatch.
      New patch. Update flyspell highlight if required when
      dictionary is changed, flyspell is loaded and flyspell
      mode is active.
    - 600_flyspell.el_fsf-flyspell-external-point-words:
      + Accept match as good if misspell length is higher than
        length of what flyspell considers to be the word.
        Due to boundary-chars mismatch.
      +	Use save-excursion to make sure we do not move unless
        explicitly required.
      + Improve debugging code.
  * Improve aspell default handling, asking aspell if present
    about value of its lang config value.
    - support/emacsen/debian-ispell.el: Improved debian-get-aspell-default
      function for that.
    - scripts/Debian/DictionariesCommon.pm.in: modified because
      debian-get-aspell-default no longer has arguments.
  * scripts/system/aspell-autobuildhash:
    - Fixed doc: should be .rws instead of .hash + cosmetic changes
  * debian/po:
    - Updated Greek [el] debconf templates translation,
      thanks to Emmanuel Galatoulas (closes: #344636)

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 12 Jan 2006 13:47:05 +0100

dictionaries-common (0.63.2) unstable; urgency=low

  * debian/patches:
    - 550_flyspell.el_process-localwords.dpatch: New patch.
      Improve localwords handling in large regions.
    - 600_flyspell.el_fsf-flyspell-external-point-words.dpatch:
      New patch that will replace 600_flyspell.el_old-flyspell-ext...
    - 300_flyspell.el_ignore-save-affix.dpatch: New patch
      Do not ask about accepting affix rule when what is saved is
      the plain word.

 -- Agustin Martin Domingo <agmartin@debian.org>  Sun, 27 Nov 2005 23:46:55 +0100

dictionaries-common (0.62.5) unstable; urgency=low

  * debian/control:
    - Change dictionaries-common-dev section to devel (closes: #338454)
  * debian/emacsen-install:
    - Do not byte-compile anything for emacs-snapshot.
  * debian/README.problems:
    - Mention that debconf question asked on every upgrade can be
      caused by debconf database corruption.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 14 Nov 2005 11:34:55 +0100

dictionaries-common (0.62.3) unstable; urgency=low

  * debian/README.emacs:
    - Improve customization info when extra accented characters
      are used with ispell (closes: #337687)

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue,  8 Nov 2005 00:02:15 +0100

dictionaries-common (0.62.2) unstable; urgency=low

  * debian/patches/250_ispell.el_ispell-change-dictionary.dpatch:
    - New patch. Make sure ispell-local-dictionary-alist is also
      checked for valid dicts.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu,  3 Nov 2005 18:57:35 +0100

dictionaries-common (0.62.1) unstable; urgency=low

  * debian/dictionaries-common.NEWS:
    - Remove Emacs Local Variables section (closes: #336735)

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed,  2 Nov 2005 12:34:44 +0100

dictionaries-common (0.62.0) unstable; urgency=low

  * Make sure we have a good spell-checking pulldown menu
    without actually loading ispell.el (closes: #334752)
    - support/emacsen/{startup.el.in,debian.ispell.el}:
      Moved initialization code to debian-ispell and added
      to after-init-hook, so everything is done after user
      initialization files are read. This no longer
      includes ispell.el loading.
  * support/emacsen/startup.el.in:
    - Disabled dictionaries-common initialization for
      emacs-snapshot.
  * support/emacsen/debian-ispell.el:
    - Make debian-dict-common-debug a defcustom.
    - Make debian-ispell-program-name-noauto no longer a defcustom.
  * debian/patches/700_ispell.el_initial_defs.dpatch:
    - Redefine `ispell-dictionary-alist' only if
      `debian-ispell-dictionary-alist' is bound and non nil.
  * debian/patches/{470_ispell.el_fixlatin0-1,490_ispell.el_dicts_list}.dpatch
    - Make sure `ispell-local-dictionary-alist' is correctly
      appended or tried first, so its customization works as
      expected.
  * debian/patches/500_flyspell.el_fix-aspell-l-option.dpatch:
    - (flyspell-large-region): Call ispell-check-version.
  * policy/dsdt-policy.xml.in:
    - Document that emacs-snapshot package should not be
      affected by the policy
  * debian/README.emacs:
    - debian/README.emacs: Documented ispell load on startup changes.
    - Documented changes about adding customized entries for Emacs.
  * debian/dictionaries-common.NEWS:
    - New file. Warn about non backward compatible changes.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 27 Oct 2005 19:28:25 +0200

dictionaries-common (0.60.1) unstable; urgency=low

  * support/emacsen/debian-ispell.el:
    - Improved debian-get-aspell-default function, so it
      handles double colon separated values and any envvar as
      argument. This last allows checking LC_MESSAGES or LC_ALL
      as well as LANG. Removed debian-aspell-dictionary assignation
      and function unbound, since we need it in emacsen-ispell-dicts.el.
    - Do not use ispell default if no LANG match is found for aspell.
  * scripts/Debian/DictionariesCommon.pm.in [build_emacsen]:
    - Write code to emacsen-ispell-dicts.el so we get default value
      for debian-aspell-dictionary here, once debian-aspell-equivs-alist
      is loaded.
  * debian/patches/*: Some patches renamed for clarity
    - 100_ispell.el.dpatch -> 100_ispell.el_skip_xml.dpatch
    - 300_ispell.el.dpatch -> 300_ispell.el_fix-setf.dpatch
    - 350_ispell.el.dpatch -> 350_ispell.el_debian-set-ispell-dictionary.dpatch
    - 400_ispell.el.dpatch -> 400_ispell.el_called-for-effect.dpatch
    - 450_ispell.el.dpatch -> 450_ispell.el_aspell-learn-mispellings.dpatch
    - 500_ispell.el.dpatch -> 500_ispell.el_ispell-library-path.dpatch
    - 600_ispell.el.dpatch -> 600_ispell.el_set-ispell-version.dpatch
    - 800_ispell.el.dpatch -> 800_ispell.el_allow-coding-systems.dpatch
    - 990_ispell.el.dpatch -> 990_ispell.el_change-disclaimer.dpatch
  * Updated Swedish debconf templates, thanks to Daniel Nylander (closes:
    #333808)

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 18 Oct 2005 12:14:45 +0200

dictionaries-common (0.60.0) unstable; urgency=low

  * Including flyspell into dictionaries-common
    - Added recent flyspell.el. Flyspell no longer assumes default
      dictionary is american (closes: #261669)
    - Try finding defaults after dictionaries-common selections and
      do the appropriate settings (closes: #149127, #208642)
    - 500_flyspell.el_fix-aspell-l-option.dpatch, fix aspell -l option.
      Should fix "Can't check region" error (closes: #317775)
    - 600_flyspell.el_old-flyspell-external-point-words, revert
      flyspell-external-point-words to the old (Emacs 21.4/ XEmacs 21)
      behavior to work around a bug in recent versions.
  * debian/emacsen-install: make sure dictionaries-common ispell.el
    and flyspell.el are not used for emacsen-snapshot, leave only
    debian-ispell.el for further integration (closes: #332862).
  * {520_flyspell,550_ispell}.el_debian-ispell-program-name.dpatch,
    debian-ispell.el:
    - Merged from experimental branch part of to code to try selecting
      ispell-program-name after dict availability and user preferences.
      Still disabled.
  * {700_ispell.el,490_ispell.el_dicts_list}.dpatch, debian-ispell.el
    - Renamed debian-valid-dictionary-list to
      debian-ispell-valid-dictionary-list
  * 700_ispell.el.dpatch renamed to 700_ispell.el_initial_defs.dpatch.
    Added cp1251 as a coding system alias to windows-1251 for XEmacs
  * debian/README.emacs: Added info about locally setting default
    dictionary and about spell-checking of utf-8 files

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 10 Oct 2005 10:29:26 +0200

dictionaries-common (0.50.4) unstable; urgency=low

  * debian/dictionaries-common.config-base:
    - Do not rely on obsolete dictionaries-common owned manual entry
    - Added an additional fallback mechanism in case no item is found
      for language or for English. This should avoid debconf question
      being critical unless something weird happens.
    - Added some comments for the code.
    - Cosmetic changes.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 16 Sep 2005 16:00:01 +0200

dictionaries-common (0.50.3) unstable; urgency=low

  * scripts/system/{select,remove}-default.in:
    - Simplifying code to run when no more {ispell,wordlist}
      elements are left.
  * debian/dictionaries-common.postrm: New file, make sure
    /etc/openoffice myspell stuff is removed on purge (closes: #326240)
  * scripts/maintainer/postinst.in: Use an if construction to check
    for /usr/sbin/update-dictcommon-aspell and friends availability
    with an informative message if not (closes: #326257). Partially
    done for postrm.in. Reorganized the slice stuff for better readability.
  * debian/dictionaries-common.prerm: checks improved

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon,  5 Sep 2005 14:33:26 +0200

dictionaries-common (0.50.2) unstable; urgency=low

  * debian/patches/420_ispell.el_guess-wording.dpatch: (closes: #318917)
    - New patch. Improve ispell.el wording when an affix
      composition is found.
  * scripts/system/aspell-autobuildhash:
    - Make sure $options is not empty in debugging mode
  * debian/control:
    - Add "| debconf-2.0" to dictionaries-common debconf dependency
      to unblock installation of cdebconf

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu,  1 Sep 2005 15:57:07 +0200

dictionaries-common (0.50.1) unstable; urgency=low

  * scripts/{system/update-openoffice-dicts,debhelper/installdeb-myspell}:
    - Make /etc/openoffice/dictionary.lst mention that is automatically
      updated by the update-openoffice-dicts program (closes: #321396).
    - Make --srcdir option work also with thesaurus files.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 22 Aug 2005 21:00:20 +0200

dictionaries-common (0.50.0) unstable; urgency=low

  * scripts/system/{{update,select}-default.in,dc-debconf-select.pl}:
    (closes: #314714)
    - Make sure debconf questions are not called when there are
      no more elements (ispell dicts or wordlists) installed
    - Force dictionaries-common/default-{ispell,wordlist} debconf
      setting to Manual if no elements (ispell dicts or wordlists)
      are present.
  * Bumping version, aspell-autobuildhash is working well

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 17 Aug 2005 19:50:49 +0200

dictionaries-common (0.49.2) unstable; urgency=low

  * scripts/system/aspell-autobuildhash:
    - Allow subdicts having the same lang and controlled by the
      same compat file, listed in $lang.contents file
    - Adapt documentation to the new aspell lib/dat dir location.
  * debian/control:
    - Bump Standards-Version to 3.6.2. No changes required

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 14 Jul 2005 13:25:31 +0200

dictionaries-common (0.49.1) unstable; urgency=low

  * scripts/debhelper/installdeb-myspell:
    - Fixed Mozilla symlinks creation.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu,  7 Jul 2005 17:24:47 +0200

dictionaries-common (0.49.0) unstable; urgency=low

  * Introducing aspell hash autobuild:
    - scripts/system/aspell-autobuildhash:
       New file, the basic script.
    - Makefile.in:
       Modified to install aspell-autobuildhash.
    - scripts/system/update-dictcommon.in:
       Modified to run aspell-autobuildhash.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu,  7 Jul 2005 12:47:18 +0200

dictionaries-common (0.30.2) unstable; urgency=low

  * debian/po:
    - New Bulgarian [bg] debconf templates translation,
      thanks to Yavor Doganov (closes: #315876)
    - Updated Galician [gl] debconf templates translation,
      thanks to Jacobo Tarrio (closes: #316532)

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon,  4 Jul 2005 13:41:15 +0200

dictionaries-common (0.30.1) unstable; urgency=low

  * debian/po:
    - Updated Vietnamese [vi] debconf templates translation,
      thanks to Clytie Siddall (closes: #313525).
    - Updated German [de] debconf templates translation,
      thanks to Jens Seidel (closes: #313685)

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 15 Jun 2005 13:42:38 +0200

dictionaries-common (0.30.0) unstable; urgency=low

  * scripts/debhelper/installdeb-myspell:
    - Modified to also install openoffice hyphenation files if called
      from the hyphenation package (closes: #299816).
  * debian/po:
    - Updated traditional Chinese [zh_TW] debconf templates translation,
      thanks to Tetralet (closes: #311584).
    - Updated Ukrainian [uk] debconf templates translation,
      thanks to Eugeniy Meshcheryakov (closes: #311841).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue,  7 Jun 2005 12:45:48 +0200

dictionaries-common (0.25.13) unstable; urgency=medium

  * debian/po:
    - Updated Bahasa Indonesia [id] debconf templates translation,
      thanks to Arief S Fitrianto (closes: #310970).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 30 May 2005 12:14:33 +0200

dictionaries-common (0.25.12) unstable; urgency=high

  * debian/po/{fi,it,pl}.po
    - Fixed some incorrect variable substitutions. Thanks to
      Evguenyi Mescheriakov for his check_var.pl script and
      to Christian Perrier, who pointed me to it.
  * Urgency set to high, so the pass to sarge is faster if approved.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 19 May 2005 12:19:25 +0200

dictionaries-common (0.25.11) unstable; urgency=high

  * debian/po:
    - Updated French [fr] debconf templates translation,
      thanks to Christian Perrier (closes: #309541)

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 18 May 2005 12:38:54 +0200

dictionaries-common (0.25.10) unstable; urgency=high

  * debian/po:
    - Updated Russian [ru] debconf templates translation,
      thanks to Yuri Kozlov (closes: #307679)

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 12 May 2005 11:43:09 +0200

dictionaries-common (0.25.9) unstable; urgency=low

  * debian/po:
    - Added Vietnamese [vi] debconf templates translation,
      thanks to Phan Vinh Thinh and Clytie Siddall (closes: #307011).
  * debian/dictionaries-common.templates, debian/po/*: (closes: #307030)
    - Removed some extra trailing whitespace in templates file
    - Unfuzzied translations for this harmless change.

 -- Agustin Martin Domingo <agmartin@debian.org>  Sat, 30 Apr 2005 17:04:59 +0200

dictionaries-common (0.25.8) unstable; urgency=low

  * debian/po:
    - Updated Albanian [sq] debconf templates translation,
      thanks to Elian Myftiu (closes: #306570)

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 27 Apr 2005 17:33:50 +0200

dictionaries-common (0.25.7) unstable; urgency=low

  * debian/po:
    - Updated Simplified Chinese [zh_CN] debconf templates
      translation, thanks to Hiei Xu and Carlos Z.F. Liu.
      (closes: #306408)

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 26 Apr 2005 20:38:38 +0200

dictionaries-common (0.25.6) unstable; urgency=low

  * debian/po:
    - Updated Romanian debconf templates translation,
      thanks to Sorin Batariuc (closes: #305892)
    - Updated Basque debconf templates translation,
      thanks to Iñaki Larrañaga and Piarres Beobide
      (closes: #306048)

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 25 Apr 2005 11:57:03 +0200

dictionaries-common (0.25.5) unstable; urgency=low

  * Fixing a couple of changelog entries for missing info.
    - 0.25.4: --ignore-symlinks stuff
    - 0.25.0: /var/cache/dictionaries-common lisp stuff

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 18 Apr 2005 12:30:56 +0200

dictionaries-common (0.25.4) unstable; urgency=low

  * Make translatable the manual entry choice in debconf
    template dictionaries-common/languages. Thanks to
    Denis Barbier for the hint (closes: #299541)
    - debian/dictionaries-common.templates updated to the
      new string, manual string moved from to
      dictionaries-common/default-{ispell,wordlist} template
      from dictionaries-common/languages. Removed old
      system templates.
    - debian/dictionaries-common.config-base:  Unregistering
      no longer used dictionaries-common/languages and
      dictionaries-common ownership of two shared
      questions (shared/packages-{ispell,wordlist})
    - Updated {ar, bs, ca, cs, da, el, es, eu, fi, fr, he,
      it, ja, ko, lt, nb, nn, pt, pt_BR, sk, tl, tr}
      debian/po files with localizations for this string.
      Thanks to all who contributed. Other po files
      updated to the new structure, but still with this
      string untranslated.
    - scripts/system/*: dc-debconf-select.pl,
      remove-default.in and update-default.in updated to
      the new system.
  * scrips/system/remove-default.in:
    - Make sure update-default-* is called with --ignore-symlinks
      when there are no more members in a class (ispell dict/wordlist)

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 11 Apr 2005 13:29:31 +0200

dictionaries-common (0.25.3) unstable; urgency=low

  * 370_ispell.el_fix-aspell-encoding:
    - New patch. Make sure aspell uses ispell.el dict encoding,
      not someone taken from the environment (closes: #299725)
  * debian/README.emacs:
    - Document how to select aspell for ispell.el.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri,  8 Apr 2005 12:34:01 +0200

dictionaries-common (0.25.2) unstable; urgency=low

  * debian/README.{Debian,problems,emacs}:
    - Moved info about possible errors related to debconf
      type 1 db corruption to README.problems.
    - Moved emacsen stuff to README.emacs
    - Typo fix [coment->comment], thanks to
      Reuben Thomas who noticed it. Some more typos detected
      and fixed and a LocalWords section added.
      (closes: #299720)
    - Document how emacsen entries can be customized.
  * debian/dictionaries-common.docs:
    - New file to install README.{problems,emacs}

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 30 Mar 2005 13:42:36 +0200

dictionaries-common (0.25.0) unstable; urgency=low

  * scripts/system/update-default.in:
    - Put a list of installed ispell dicts in file
      /var/cache/dictionaries-common/ispell-dicts-list.txt.
  * scripts/system/update-default.in,
    support/emacsen/debian-ispell.el:
    - Simplify the lisp files at /var/cache/dictionaries-common.
      debian-ispell-add-dictionary-entry calls and
      debian-aspell-equivs-alist now go into a single file.
  * debian/README.Debian:
    - Added info about possible errors related to debconf
      type 1 db corruption.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 14 Mar 2005 16:52:36 +0100

dictionaries-common (0.24.11) unstable; urgency=low

  * Put aspell-locales stuff into emacsen-ispell-dicts.el:
    - dictionaries-common.postinst: Remove obsolete file
      /var/cache/dictionaries-common/emacsen-aspell-equivs.el
    - debian-ispell.el: do not try to load emacsen-aspell-equivs.el
    - DictionariesCommon.pm: generate aspell-locales stuff in
      build_emacsen_support function.
    - update-dictcommon.in: removed old aspell-locales stuff
  * emacsen support: show entries for all {i,a}spell registered dicts
    (closes: #284746, 294961):
    - 490_ispell.el_dicts_list: New patch for valid-dictionary-list
      function. Will add dict to function result if present in
      debian-valid-dictionary-list
    - 700_ispell.el patch modified to make sure
      debian-valid-dictionary-list is not void.
    - debian-ispell.el: debian-ispell-add-dictionary-entry function
      modified to add emacsen dicts names to
      debian-valid-dictionary-list

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri,  4 Mar 2005 13:23:47 +0100

dictionaries-common (0.24.10) unstable; urgency=low

  * debian/po:
    - Updated Galician debconf templates translation,
      thanks to Jacobo Tarrio (closes: #296305).
    - Added new Tagalog debconf templates translation,
      thanks to Eric Pareja (closes: #296411)
  * scripts/system/update-ispell-hash:
    - Added to the CVS and the sources, but not yet installed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Feb 2005 15:45:08 +0100

dictionaries-common (0.24.9) unstable; urgency=low

  * debian/dictionaries-common.config-base:
    - Deal with debian-installer/language values using @ variant.
  * Introducing a manual mode so administrators are allowed
    to preserve their personal settings (closes: #293926):
    - debian/dictionaries-common.templates:
      + Declare itself as an ispell dictionary and wordlist with a
        manual value, so a manual option is added to the debconf
        selection menu.
    - scripts/system/{update,remove}-default.in:
      + Behavior adjusted when debconf selection is ~manual~ to not
        try setting symlinks.
    - debian/dictionaries-common.config-base:
      + Make sure shared question is prompted if ~manual~ is not yet
        one of the options.
      + Force question be prompted if ispell/wordlist alternative was
        set in manual mode.
    - debian/dictionaries-common.preinst:
      + Make sure old alternatives are removed when in manual mode.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 14 Feb 2005 16:25:21 +0100

dictionaries-common (0.24.7) unstable; urgency=low

  * debian/patches/470_ispell.el_fixlatin0-1.dpatch:
    - Completely modified to use Emacs 21 patch by Kenichi Handa.
      If ucs-mule-8859-to-mule-unicode is not available our
      previous workaround will be tried.
    - Extend our previous hack to XEmacs, where mime-charset is not
      a coding-system property.
  * debian/patches/201_ispell.el_ispell-looking-at.dpatch.
    - New patch by Kenichi Handa to deal with some misalignments
      caused by new look of 470 patch. Will use a new
      ispell-looking-at function to compare ispell output and
      buffer contents pointers.
    - Define a dummy encode-coding-string function for emacsen
      flavours where it is not available (emacs19 and some of the
      xemacs21-nomule).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed,  2 Feb 2005 15:36:29 +0100

dictionaries-common (0.24.5) unstable; urgency=low

  * debian/patches/470_ispell.el_fixlatin0-1.dpatch:
    - Use condition-case also for checking that
      buffer-file-coding-system is not nil. This will also be
      a workaround for some XEmacs versions (xemacs21-nomule)
      where coding-system-get is not available. (closes: #287553)

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu,  6 Jan 2005 00:39:49 +0100

dictionaries-common (0.24.4) unstable; urgency=low

  * support/emacsen/debian-ispell.el:
    - Misplaced parenthesis produced some variables not being made
      local by let.
    - Minor change in the debugging message.
  * debian/patches/470_ispell.el_fixlatin0-1.dpatch:
    - Make sure buffer-file-coding-system is not nil before calling
      coding-system-get. Thanks to Kenichi Handa for pointing out
      this.
    - condition-case the debugging code for systems where
      debian-ispell.el is not loaded and debian-dict-common-debug
      is not available. (closes: #287174)

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 28 Dec 2004 19:09:45 +0100

dictionaries-common (0.24.3) unstable; urgency=low

  * 470_ispell.el_fixlatin0-1.dpatch: (New patch)
    - Redefine ispell-get-coding-system function in ispell.el so
      if Emacs buffer-file-coding-system is set to iso-8859-15 and
      ispell-coding-system is selected as iso-8859-1, this last is
      set to iso-8859-15. This should work around the iso-8859-{1,15}
      Emacs unification problem. (closes: #130397, #190242, #285746)

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 20 Dec 2004 22:14:09 +0100

dictionaries-common (0.24.2) unstable; urgency=low

  * debian/dictionaries-common.config-base:
    - Added new Tagalog entry to the %equivs hash.
      There is an ITP on itagalog
  * debian/po:
    - Added Romanian debconf templates translation,
      thanks to Sorin Batariuc (closes: #283207)

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu,  9 Dec 2004 17:08:58 +0100

dictionaries-common (0.24.1) unstable; urgency=low

  * debian/po:
    - Added Turkish debconf templates translation,
      thanks to Mehmet Turker (closes: #281420)

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 23 Nov 2004 19:15:47 +0100

dictionaries-common (0.24.0) unstable; urgency=low

  * policy/dsdt-policy.xml.in,debian/patches/800_ispell.el.dpatch:
    - Allow any charset supported by {X}Emacs as a possible value of
      Coding-System. Thanks to Joao Cachopo for the patch. (closes: #278747)
    - Warn about possible problems about that in the policy document,
      and explain when is a new dependency needed

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 11 Nov 2004 16:27:40 +0100

dictionaries-common (0.23.1) unstable; urgency=low

  * Arabic debconf translation update,
    thanks to Ossama M. Khayat (closes: #279835)

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri,  5 Nov 2004 12:42:34 +0100

dictionaries-common (0.23.0) unstable; urgency=low

  * debian/patch:
    - New 450_ispell.el.dpatch. Original patch by Christopher J. Madsen,
      to make aspell aware of the replacements made, so it can improve
      the suggestion list in the future.
  * debian/control: versioning dpatch Build Dependency to (>= 2.0.9),
    since created patches now use dpatch-run.
  * debian/po:
    - Added Indonesian debconf templates translation,
      thanks to Parlin Imanuel (closes: #277632, #277752)
    - Added zh_TW Chinese debconf translation,
      thanks to Tetralet (closes: #279310)
  * scripts/ispell-wrapper:
    - Fail gracefully with a message if ispell is not installed
      (closes: #278251)
    - Removed piping code. Was redundant and worked worse than the
      original code.
    - Some code modularization.
    - Make sure messages go to STDERR.
    - Ignore data from the dicts database if -d option is
      explicitly given from the command line.
    - Do not add a d_option from the hashname if already given in
      Ispell-Args.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue,  2 Nov 2004 23:21:15 +0100

dictionaries-common (0.22.59) unstable; urgency=low

  * debian/po:
    - Added Basque debconf templates translation,
      thanks to Piarres Beobide Egaña (closes: #275903)
    - Fixed typo in Polish translation of debconf templates,
      causing dictionaries-common not to show error messages.
      Patch by Robert Luberda (closes: #276567)

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 15 Oct 2004 19:25:44 +0200

dictionaries-common (0.22.58) unstable; urgency=low

  * scripts/system/{remove-default.in,dc-debconf-select.pl}:
    - Make sure leading and trailing whitespace are removed from
      'languages' string. Was only trimming leading ones.
  * scripts/system/remove-default.in:
    - Partially rewritten to use hashes rather than arrays to
      check for entries existence.
  * debian/po:
    - Updated Hebrew debconf templates translation,
      thanks to Lior Kaplan (closes: #275265)
    - Added Arabic debconf templates translation,
      thanks to Ossama M. Khayat (closes: #275349)

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu,  7 Oct 2004 18:40:26 +0200

dictionaries-common (0.22.55) unstable; urgency=low

  * scripts/system/update-default.in:
    - Added '\n' to the die strings. Messages look better this way.
  * scripts/system/remove-default.in:
    - Do not call select-default-* or update-default-* in the normal
      way if there are no more ispell/wordlists left. Use the
      --ignore-symlinks variant in this case (closes: #272530)
    - Remove appropriate symlinks from /etc/dictionaries-common dir when
      no more ispell/wordlists are present.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 23 Sep 2004 16:42:21 +0200

dictionaries-common (0.22.54) unstable; urgency=low

  * debian/po:
    - Updated Catalan debconf translations,
      thanks to Jordi Mallach (closes: #270916)
    - Updated Hebrew debconf translation,
      thanks to Lior Kaplan (closes: #271168)

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 16 Sep 2004 15:12:51 +0200

dictionaries-common (0.22.53) unstable; urgency=low

  * scripts/system/*
    - Use debconf flag 'seen->false' instead of deprecated
      'isdefaut->true' (This dir was forgotten when fixing
      #231560)
  * debian/po:
    - Add Norwegian nynorsk translations,
      thanks to	Håvard Korsvoll (closes: #269966)
  * debian/dictionaries-common.dirs:
    - Added 'var/cache/dictionaries-common' so we make sure it is always
      present and removed on package removal (closes: #265087, #270567)

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed,  8 Sep 2004 21:07:51 +0200

dictionaries-common (0.22.52) unstable; urgency=low

  * debian-installer/language uses LANG like strings like
    "de_DE:de_DE:de:en_GB:en" while the code for selection of
    ispell/wordlist default values expected a single iso-639 two
    letters language code. Fixed config script to also deal with
    this. (closes: #263402)

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 23 Aug 2004 20:20:13 +0200

dictionaries-common (0.22.50) unstable; urgency=low

  * policy/dsdt-policy.xml.in:
    - Fixed ispell dict packages architecture in the policy document.
      When ispell hash files are built from dictionary postinst it
      should be all. Thanks to Jonas Smedegaard for pointing out
      this. (closes: #265505)
  * debian/po:
    - New Albanian localization, thanks to Elian Myftiu (closes: #261920).
  * debian/changelog:
    - Bumped version to make room for sarge only releases.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 18 Aug 2004 10:50:44 +0200

dictionaries-common (0.22.30.1) unstable; urgency=high

  * Urgency to get this in before the standard freeze
  * fix typos in de.po, thanks Georg Neis (closes: #261272)

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Jul 2004 00:33:07 +0200

dictionaries-common (0.22.30) unstable; urgency=low

  * debian/po:
    - Updated Finnish translation,
      thanks to Tapio Lehtonen (closes: #257319)
  * scripts/system/ispell-autobuildhash:
    - Updated copyright date
    - Use debconf seen->false flag instead if deprecated isdefault->true.
    - Make dictionaries-common/ispell-autobuildhash-message template
      substitute ${xxpell} by "ispell" and ${XXpell} by "Ispell" instead
      of using plain text ispell and Ispell as before.
  * debian/dictionaries-common.templates, debian/po/*.po:
    - Modified to use ${xxpell} and ${XXpell} in
      dictionaries-common/ispell-autobuildhash-message template instead
      of plain {i,I}spell. Manually fixed localized templates.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue,  6 Jul 2004 16:36:31 +0200

dictionaries-common (0.22.29) unstable; urgency=low

  * scripts/debhelper/installdeb.in:
    - Move debhelper snippets creation after info file is parsed. This
      might be better for aspell, depending on the final implementation
      of aspell-autobuildhash (still undecided).
  * Adding default dictionary selection for aspell:
    - support/emacsen/debian-ispell.el,
      scripts/system/update-dictcommon.in,
      policy/dsdt-policy.xml.in:
        debian-get-aspell-default function will guess aspell default
        dictionary after data in emacsen-aspell-equivs.el, that will be
        created by update-dictcommon-aspell after data provided by aspell
        dict maintainers. Set ispell-local-dictionary to
        debian-get-aspell-default if returns non nil and aspell is selected.
    - support/emacsen/debian-ispell.el:
        New debian-dict-common-debug variable to decide if we want
        debugging info.
  * Fixed XSI:ism in debian/dictionaries-common.postinst. Thanks to
    David Weinehall for pointing out this and for the supplied patch
    (closes: #256501)

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri,  2 Jul 2004 19:17:58 +0200

dictionaries-common (0.22.28) unstable; urgency=low

  * policy/dsdt-policy.xml.in:
     - Some cleanups by René
  * debian/po:
     - Added Hebrew debconf translation,
       thanks to Lior Kaplan (closes: #253183)
     - Added partial Bosnian translation for the debconf templates,
       thanks to Safir Šećerović (closes: #254203)
     - Added Korean translation for the debconf templates,
       thanks to Changwoo Ryu (closes: #254587)
  * debian/dictionaries-common.config-base:
     - An extra whitespace in REC_FLAG opening was causing
       dpkg-reconfigure to fail in woody.
     - Added Ukrainian to the %equivs list (#254053 is an ITP on it)
  * support/emacsen/startup.el.in:
     - XEmacs gnome packages set window-system to 'gtk. Taking
       care of this.
  * debian/emacsen-{install,remove}:
     - Rewritten in a somewhat different way. This should mostly
       be cosmetic.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 18 Jun 2004 16:48:56 +0200

dictionaries-common (0.22.27) unstable; urgency=low

  * Some experimental code to avoid continuous ispell
    restart when using flyspell. (closes: #251222)
    - debian-ispell.el: New function debian-set-ispell-dictionary
      that will try setting ispell-local-dictionary after debconf
      selected ispell default if ispell-local-dictionary is not
      defined.
    - 350_ispell.el: Call debian-set-ispell-dictionary at the
      beginning of ispell-word and ispell-region functions.
  * debian/po:
     - Updated Italian debconf translations,
       thanks to Giuseppe Sacco (closes: #252363)

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri,  4 Jun 2004 13:14:00 +0200

dictionaries-common (0.22.26) unstable; urgency=low

  * debian/po:
    - Added Lithuanian localization,
      thanks to Kęstutis Biliūnas (closes: #250298)
    - Updated Norwegian bokmål po-debconf translation
      thanks to Håvard Korsvoll and Bjørn Steensrud (closes: #251112)
    - Updated Polish translation
      thanks to Artur Szymański. (closes: #251421)
  * scripts/system/update-default.in:
    - Use hash-name if emacsen-name is not present when setting the
      default for ispell under Emacs. Set debian-ispell-dictionary to
      nil if no good guess is found or it has the 'emacs-display=no'
      tag set (closes: #251722)

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed,  2 Jun 2004 12:34:00 +0200

dictionaries-common (0.22.25) unstable; urgency=low

  * policy/dsdt-policy.xml.in: minor sentence fix
  * debian/po:
    - Added new Ukrainian templates,
      thanks to Eugeniy Meshcheryakov (closes: #248672)
    - Updated Russian templates,
      thanks to Nikolai Prokoschenko (closes: #249302)
    - Updated Dutch templates, thanks to
      Bart Cornelis and the debian-l10n-dutch team. (closes: #249612)
  * debian/patches:
    - 990_ispell.el.dpatch, containing info in ispell.el header about
      Debian modifications is split from 800_ispell.el.dpatch and updated.
    - 700_ispell.el.dpatch: Set debian-ispell-dictionary and
      debian-aspell-dictionary to a safe value (nil) if
      debian-ispell-dictionary-alist assignment fails.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 21 May 2004 10:51:36 +0200

dictionaries-common (0.22.24) unstable; urgency=low

  * debian/patches/700_ispell.el.dpatch:
    - Use condition-case when trying to set ispell-dictionary-alist
      to debian-ispell-dictionary-alist (closes: #248537)

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 12 May 2004 14:40:37 +0200

dictionaries-common (0.22.22) unstable; urgency=low

  * debian/patches/700_ispell.el.dpatch: Some cleanup.
  * support/emacsen/debian-ispell.el->debiandc-exec-installed-p function:
    - Make local variables really local with let and make function
      return true if file is found instead of full filename.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 12 May 2004 11:46:29 +0200

dictionaries-common (0.22.21) unstable; urgency=low

  * Reorganized and modified code for better handling of ispell defaults
    in Emacs ispell.el:
    - scripts/system/update-default.in:
      Will write the default emacsen-name to a new file
      emacsen_ispell_default in /var/cache/dictionaries-common in
      the appropriate format (setting the debian-ispell-dictionary
      variable).
    - support/emacsen/debian-ispell.el:
      + Removed all the symlinks stuff. We now try to read the
        default directly from the file written by update-default-ispell
        on packages configuration. This makes things much simpler.
      + Modified the use of debiandc-exec-installed-p function. It
        will do a setting (to aspell) only if ispell is not present.
        This should not interfere with future ispell-prefers-aspell
        upstream variable.
    - debian/patches:
      + 350_ispell.el.dpatch:
        New patch that will set ispell dictionary to the value of
        debian-ispell-dictionary if defined and ispell is selected.
      + 700_ispell.el.dpatch:
        Reimplemented in a rather different way,
        just setting ispell-dictionary-alist to
        debian-ispell-dictionary-alist if defined.
  * debian/po:
    - New Slovak debconf templates translation. Thanks to
      Peter Mann and Miroslav Kure (closes: #246100)

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu,  6 May 2004 19:46:09 +0200

dictionaries-common (0.22.10) unstable; urgency=low

  * Some cosmetic changes in the doc files, thanks to Dan Jacobson
    for the suggestion.
  * debian/emacsen-remove:
    Test for existence of dictionaries-common subdirectory for Emacs
    flavor before trying to remove it. (closes: #245397)

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 23 Apr 2004 12:33:35 +0200

dictionaries-common (0.22.9) unstable; urgency=low

  * support/emacsen/startup.el.in:
    Will now load the emacsen cache file only if debian-ispell.el
    is present. Otherwise means that dictionaries-common is removed
    but not purged. Will issue an informational message in this case.
    Thanks to Guilherme Pereira de Freitas for pointing out this.
  * debian/po:
    - Updated Hungarian localization, thanks to
      VEROK Istvan (closes: #242904)
    - Added simplified Chinese translation, thanks to
      Carlos Z.F. Liu (closes: #243506)
    - Added Greek localization, thanks to
      Konstantinos Margaritis (closes: #243553)

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 19 Apr 2004 12:46:40 +0200

dictionaries-common (0.22.8) unstable; urgency=medium

  * Urgency because the openoffice.org-updatedicts fix really has to be in
    sarge...
  * Updated Portuguese po templates, thanks Nuno Sénica (closes: #242320)
  * Removed no.po (thanks dh_installdebconf)
  * Conflicts:/Provides:/Replaces: on openoffice.org-updatedicts which is
    used in OOo 1.1[,.1] woody backport and contains
    /usr/sbin/update-openoffice-dicts to ensure smooth upgrades to
    sarge/sid
  * policy/dsdt-policy.xml.in: update; use should/must/could etc.
    consistently on the right places and emphasize the must's with using must;
    little cleanup and updates..; no substantial changes and all myspell-*
    packages already comply...

 -- Rene Engelhard <rene@debian.org>  Thu,  8 Apr 2004 03:27:26 +0200

dictionaries-common (0.22.7) unstable; urgency=low

  * support/emacsen/debian-ispell.el:
    - New function 'debiandc-exec-installed-p': Based in apel
      'exec-installed-p' functions, but simplified (we do not need that
      portability).
    - 'ispell-program-name' will fallback to aspell if ispell is not
      present (using 'debiandc-exec-installed-p' to check that). Will
      undefine 'debiandc-exec-installed-p' once the check is complete.
  * Updated Swedish po templates, thanks to André Dahlqvis (closes: #241527)
  * support/emacsen/startup.el.in:
    - Do not load ispell.el at startup if {X}Emacs is called from the
      console. People using it from the console very rarely need the
      pop-up menus (closes: #222423)

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri,  2 Apr 2004 21:20:58 +0200

dictionaries-common (0.22.6) unstable; urgency=low

  * support/emacsen/startup.el.in, New 500_ispell.el.dpatch:
    - Reverted #223640 fix. Will now fix it in a similar way in
      ispell.el with code shamelessly borrowed from FSF Emacs CVS.
      That makes 500_ispell.el patch.
  * New 100_ispell.el.dpatch:
    - Add xml to the skip-html list

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 30 Mar 2004 12:19:13 +0200

dictionaries-common (0.22.5) unstable; urgency=low

  * Modified to use dpatch for ispell.el maintenance:
    - Modified debian/rules to use dpatch and made debian/control
      build-depend on it
    - Reverting ispell.el back to upstream 3.6
    - Generate appropriate patches {200,300,400,600,700,800}_ispell.el}
    - Keep 200 disabled until I can test it with a utf-8 capable ispell
      dict.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 24 Mar 2004 10:24:14 +0100

dictionaries-common (0.22.4) unstable; urgency=low

  * support/emacsen/ispell.el:
    - Added iso-8859-7 (Greek) to the list of allowed encodings.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 15 Mar 2004 11:45:11 +0100

dictionaries-common (0.22.3) unstable; urgency=low

  * debian/emacsen-remove: Remove dictionaries-common dir after
    *.elc removal. Thanks to Kevin Ryde for pointing out this.
    (closes: #236949)

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 10 Mar 2004 12:39:01 +0100

dictionaries-common (0.22.2) unstable; urgency=low

  * debian/dictionaries-common.config-base:
    - Set $debug to "yes" if environment variable 'DICT_COMMON_DEBUG'
      is defined.
    - When guessing defaults after woody pre-policy symlinks, check if
      we are in a plain dist-upgrade or new dictionaries are being added
      at the same time by checking the existence of a .list file under
      /var/lib/dpkg/info for each owner. Set priority to critical if this
      latter is the case. Also deal with the wenglish->wamerican renaming
      in this case.
  * scripts/system/ispell-autobuildhash:
    - Do not try to chomp $dict_compat if void.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue,  2 Mar 2004 17:31:43 +0100

dictionaries-common (0.22.0) unstable; urgency=low

  * debian/dictionaries-common.config-base:
    - Merged experimental branch code to guess defaults after woody
      pre-policy symlinks.
    - Unless priority is critical, set dictionaries-common/default-$class
      seen flag to true if a good value has been found and question has
      been skipped because of a low priority. Otherwise
      ispell dictionaries and wordlists would trigger the skipped
      questions later when called with critical priority. This and
      0.21.0 should really (and hopefully) close the
      dictionaries-common & debian-installer bug (closes: #228837).
    - Some code reorganization.
    - Fix bug in dc_set function, was checking the wrong value.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 26 Feb 2004 13:30:02 +0100

dictionaries-common (0.21.0) unstable; urgency=low

  * debian/dictionaries-common.config-base:
    - Merged code to guess defaults after debian-installer language
      and country settings. Will also deal with pre-seeded values
      (closes: #228837).
    - Priority is now in a hash, not in a string, so different values
      can be assigned for ispell dicts and wordlists.
  * scripts/debhelper/installdeb.in:
    - Set a new template $package/defaults entry if something is to be
      preferred as first Debian install default and set through
      debconf-default. I hope people do not put so many menu entries that
      this becomes ever needed, but here it is just in case. (Useful ONLY
      for first Debian install using new debian-installer, and ONLY in
      some very specific situations). It will not be added unless
      specifically requested.
  * debian/dictionaries-common.postinst,
    debian/dictionaries-common.config-base:
    - Do not call update-default-ispell with the --ignore-symlinks
      option if we are reconfiguring. This way symlinks will be set as
      expected. Call update-default-wordlist at reconfigure in the same
      way. Not completely removing this option since we could have
      problems if dictionaries-common is configured before the other
      dicts are installed in the same run, as would happen if some ispell
      dict/wordlist erroneously predepends on dictionaries-common.
      Since postinst is never called with the reconfigure option, adding
      a hack to dictionaries-common.config-base (touch a file named
      /var/cache/dictionaries-common/postinst.reconfiguring, whose
      existence can be tested from postinst) to run this code only on
      reconfiguring the package.
  * scripts/debhelper/installdeb-myspell:
    - No need to jump over all the language_COUNTRY variants pointing to
      the same dictionary. End scanning the info-myspell file when first
      non '#' or whitespace line is found. We should have got the dict
      name at that time.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 20 Feb 2004 12:32:53 +0100

dictionaries-common (0.20.2) unstable; urgency=low

  * Updated Danish translation, thanks to Claus Hindsgaul (closes: #233201)

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 20 Feb 2004 11:31:15 +0100

dictionaries-common (0.20.1) unstable; urgency=low

  * Implementing a new .config system where all IDWP call a common
    function from its config files. This should make maintainers
    life much easier with respect to bug fixes and improvements in
    the common code since this should not require more package
    rebuilds.
  * Makefile.in: Changed xml.decl location from
    /usr/lib/sgml/declaration/xml.decl to
    /usr/share/sgml/declaration/xml.decl. docbook-xml no longer
    provides the former link.
  * Use debconf flag 'seen->false' instead of deprecated
    'isdefaut->true' (closes: #231560)

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon,  9 Feb 2004 11:10:52 +0100

dictionaries-common (0.16.4) unstable; urgency=low

  * Added initial Czech translation of dictionaries-common debconf
    messages, thanks to Miroslav Kure (closes: #230719)
  * scripts/system/ispell-wrapper:
    - Will now be used as a pipe to ispell when -a, -A, -l, -e* and -c
      ispell options are passed. This should make the script to be
      a fully featured ispell wrapper.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed,  4 Feb 2004 13:00:08 +0100

dictionaries-common (0.16.3) unstable; urgency=low

  * Add new version of pt_BR.po, thanks Andre Luis Lopes (closes: #228098)

 -- Rene Engelhard <rene@debian.org>  Fri, 16 Jan 2004 18:38:15 +0100

dictionaries-common (0.16.2) unstable; urgency=low

  * debian/rules: Added dh_fixperms to fix files having wrong mode.
    Thanks to Ethan Benson for pointing out this (closes: #224683)

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 22 Dec 2003 11:44:19 +0100

dictionaries-common (0.16.1) unstable; urgency=low

  * Use debian/compat instead of DH_COMPAT=n in debian/rules. Set to 4.
  * ispell-autobuildhash:
    - Rebuild hash files also if the ispell and dict compat strings are
      different, not only if dict one is smaller than ispell one. This
      should allow even ispell downgrading for autobuildhash aware dicts.
    - A couple of missing chomps added.
  * support/emacsen/startup.el.in, debian/README.Debian:
    - Documenting better how to avoid ispell.el be loaded at startup
  * support/emacsen/startup.el.in:
    - Deal with check-ispell-version failing if ispell is not installed
      or cannot be found. Thanks to Rafael Laboissiere for the patch
      (closes: #223640)
  * policy/dsdt-policy.xml.in:
    - Documenting the {debconf,emacs,jed}-display entries for the info
      file.
    - Documenting the installdeb-myspell script in the policy document
    - Added information about how to make Debian ispell dictionaries
      available to enchant.
  * enchant.mapping:
    - New file with the locales, hash names and encodings expected by
      the enchant ispell interface.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 12 Dec 2003 19:45:22 +0100

dictionaries-common (0.16.0) unstable; urgency=low

  * Included installdeb-myspell script and associated debhelper
    snippets. Makefile.in modified to install them
  * Dictionaries-common.pm, installdeb-{ispell,aspell,wordlist}:
    New {ispell,aspell,debconf} possible info entries
    ({debconf,emacs,jed}-display). Anything different from "no"
    (even its absence) will be considered as "yes".

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 10 Nov 2003 13:48:30 +0100

dictionaries-common (0.15.7) unstable; urgency=low

  * debian/dictionaries-common.{config,postinst}:
    - No longer create the /usr/dict symlink. To avoid too much
      debconf black magic and preserve it possibly being reset by
      a sysadmin, it is not automatically removed unless the package
      is purged (closes: #206074)
  * debian/po:
    - Added new Dutch templates, thanks to Bart Cornelis and the
      debian-l10n-dutch team (closes: #217037)
    - Updated de.po templates, thanks to Rene Engelhard.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 24 Oct 2003 20:31:36 +0200

dictionaries-common (0.15.5) unstable; urgency=low

  * scripts/Debian/DictionariesCommon.in:
    - Ignore ~ backup files at /var/lib/dictionaries-common/{$class}
  * Fix problems caused by packages providing a list of languages with
    leading/trailing whitespace: (closes: #211608)
    - scripts/system/remove-default-*: Remove also if language name has
      leading or trailing whitespace.
    - scripts/maintainer/config.in: strip leading/trailing whitespace
      from the list of languages provided by a package.
    - scripts/system/update-default-*: when trying to look for allowed
      'language' values test after the list provided by the debconf
      choices (stripped of leading/trailing whitespace) and see if has
      an entry in our internal database, instead of reproducing it from
      the keys at our database. When completed and more tested, this should
      allow having in the internal database more language names than in the
      debconf list, to be used for other purposes (e.g., Emacs only, or
      ispell-wrapper only)
  * po-debconf is now the preferred way of handling localized additional
    templates, and dh_installdebconf is expected to use it internally:
    - scripts/debhelper/installdeb.in: Do not explicitly call po2debconf,
      put instead the contents of po-master file into config and expect
      dh_installdebconf to internally call po2debconf. Warn that the use
      of the old 'templates.in' format is deprecated.
    - debian/control: Raise debhelper dependency to (>= 4.1.13) so we
      are sure that dh_installdebconf uses po-debconf internally.
  * dictionaries-common.templates,debian/po:
    - Improved dictionaries-common/move_old_usr_dict template after
      Joey Hess suggestion (closes: #215022)
    - Since it is mainly English wording improvement, there is no need
      to update translations, so fr.po, ja.po, pt_BR.po and es.po
      sections for this template are unfuzzied.
    - Minor obvious corrections to outdated entries in the pt_BR.po
      and de.po files.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 13 Oct 2003 12:23:49 +0200

dictionaries-common (0.15.4) unstable; urgency=low

  * debian/po:
    - Updated Japanese templates, thanks to Kenshi Muto (closes: #211895)
    - Updated french templates, thanks to Christian Perrier and the
      debian-l10n-french mailing list contributors (closes: #212665)
  * debian/dictionaries-common.postinst: Make sure /etc/jed-init.d is
    removed if empty (jed-extra and jed-common also use it). dpkg does
    not remove it properly when upgrading from 0.10.4 since
    50dictionaries-common.sl is removed in the postinst and the dir
    is tried to clear in the install stage. (closes: #213168).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 29 Sep 2003 15:39:16 +0200

dictionaries-common (0.15.3) unstable; urgency=low

  * debian/dictionaries-common.prerm:
    - Take care of removing etc/dictionaries-common/ispell-default
      on package remove|deconfigure.
  * debian/dictionaries-common.postinst:
    - Run update-openoffice-dicts, too.
    - Make sure obsolete 50dictionaries-common.sl removal message
      goes to stderr.
  * scripts/system/update-default.in:
    - Some minor changes to improve readability of the die messages.
  * scripts/maintainer/config.in:
    - Modified so 'dpkg-reconfigure an_{ispell_dict,wordlist}'
      prompts again the debconf question about default selection.
      This will slowly propagate to the packages.
  * debian/dictionaries-common.config:
    - Modified so 'dpkg-reconfigure dictionaries-common' will show a
      debconf note about how to change default values for ispell
      dictionary and wordlist. This should not be an abuse of debconf
      notes since it will only be called when dpkg-reconfigure is called.
      Trying to make it change the selections directly had side effects
      in some cases. (closes: #201635)
  * debian/dictionaries-common.templates: A couple of new templates
    (sorry, translation teams)
    - dictionaries-common/remove_old_usr_dict_link:
       Message to be shown when /usr/dict is to be removed. This is
       currently not used, but will help translation efforts to be in
       sync when that removal is done.
    - dictionaries-common/selecting_ispell_wordlist_default:
       Debconf note explaining how to change ispell dictionary or
       wordlist default selection. Intended for use only with
       dpkg-reconfigure.
  * debian/po:
    - Add Japanese debconf translation, thanks Kenshi Muto (closes: #210729)
    - Updated Spanish templates.
  * debian/changelog:
    - Added Emacs settings to use utf-8. Put again some non ASCII7 chars.
  * debian/control:
    - Bumped policy to 3.6.1 now that changelog is utf-8 and has some
      settings for that.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 16 Sep 2003 12:36:07 +0200

dictionaries-common (0.15.2) unstable; urgency=low

  * Makefile.in:
    - Renamed doc_dir to policy_dir (was used only for policy documents)
      and set to $(share_dir)/doc/dictionaries-common-dev
  * Migrated to DH_COMPAT=3 after Rafael suggestion.
  * debian/dictionaries-common.{postinst,preinst,config}:
    - Moved old alternatives removal to the preinst (closes: #207594)
    - Removing also the dictionary alternative (closes: #203520)
    - Changed /usr/dict symlink to be relative.
  * support/emacsen/ispell.el:
    - Added iso-8859-3 to the list of valid coding systems
  *  policy/dsdt-policy.xml.in:
    - Added a list of valid coding systems for the info file.
  * scripts/maintainer/postrm.in:
    - Removed redundant "purge" from the "case" statement. There is
      always a "remove" before the "purge" and that does the work

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon,  8 Sep 2003 14:05:36 +0200

dictionaries-common (0.15.0) unstable; urgency=low

  *  policy/dsdt-policy.xml.in:
     - Removed some obsolete stuff remaining from old first
       dictionaries-common implementation. For a long time we do
       not set any link under /usr/lib/ispell.
     - Typo fixes
  * A lot of changes by Rafael Laboissiere regarding jed support:
    - Makefile.in, configure.in:
       Removed jed support.
    - debian/control:
       Suggests jed-extra instead of jed-common.
    - debian/README.jed-support:
       Added warning about removal of jed support from
       dictionaries-common.  The text must be improved.
    - debian/dictionaries-common.conffiles:
       Removed the jed-init.d entry (BTW, if we move to DH_COMPAT=3
       or higher, then this file will be useless, since dh_installdeb
       flags automatically all the files under /etc as conffiles.)
    - scripts/Debian/DictionariesCommon.pm.in:
       Applied patch to add OtherChars field to the list of arguments
       of ispell_add_dictionary
       (thanks to Paul Boekholt <p.boekholt@hetnet.nl>).
    - debian/dictionaries-common.postinst:
       Remove obsolete jed startup file, if it exists.
  * support/mutt/ispell-init: Added doc string to "I" macro and make it
    menu generic.
  * system/scripts/update-openoffice-dicts*, Makefile.in:
    - Renamed update-openoffice-dicts.in to update-openoffice-dicts
    - Removed old hack in Makefile.in
  * debian/changelog:
    - Changed non 7bit characters to the 7bit character that looks closer.
  * debian/po:
    - Updated french po file, thanks to Christian Perrier and the
      debian-l10n-french mailing list contributors (closes: #201665)
    - Updated Portuguese (Brazilian) po file, thanks to Andre Luis Lopez
      (closes: #207964)

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon,  1 Sep 2003 11:30:49 +0200

dictionaries-common (0.10.4) unstable; urgency=low

  * support/emacsen/ispell.el:
    -- Fixed a typo in upstream ispell.el 'ispell-change-dictionary' function
       (setf->setq). (closes: #203445)

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 27 Aug 2003 11:27:15 +0200

dictionaries-common (0.10.3) unstable; urgency=low

  * scripts/system/update-openoffice-dicts.in:
    -- Use ($< != 0) instead of ($ENV{"USER"} ne "root") to test
       if user is not root. devscripts 'debi' install packages
       via 'debpkg', a wrapper to 'dpkg' that cleans environment
       before running 'dpkg' to avoid accidents, but in this case
       the 'accident' is that $ENV is not available.
  * debian/dictionaries-common.templates
    -> dictionaries-common/invalid_debconf_value:
      -- Some grammatical corrections thanks to agcosta (closes: #200098)
      -- Added a warning about the possibility of this error message
         being triggered by packages renaming, like wenglish->wamerican
    -> dictionaries-common/ispell-autobuildhash-message:
      -- Minor change in first line.
  * debian/po:
    -- Propagated changes in the templates to the po files.
    -- Updated Spanish po file.
  * support/emacsen/ispell.el
    -- Commented get-buffer-window line. That was being called for effect
       without that effect being used. Upstream will remove that in next
       ispell.el release. Thanks to Kalle Olavi Niemitalo for letting us
       know about this and about the fix (closes: #194194)

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 10 Jul 2003 13:27:04 +0200

dictionaries-common (0.10.2) unstable; urgency=low

  * Handling ispell-autobuildhash errors with debconf. Problems
    no longer trigger an error but a debconf note. This way
    DEBIAN_FRONTEND="noninteractive" works and a full
    installation is not broken by a problem autobuilding a
    single ispell dictionary. This is still experimental and
    needs more testing:
    -- scripts/system/ispell-autobuildhash modified for that.
    -- debian/dictionaries-common.templates:
       new 'dictionaries-common/ispell-autobuildhash-message' template.
  * debian/control:
   -- Mention myspell dictionaries in package descriptions too
  * support/jed/{startup.sl.in,ispell.sl}, debian/README.jed-support:
    -- Changed ispell_dictionary to ispell_change_dictionary in jed
       support to avoid namespace corruption with custom variable in
       P. Boekholt's ispell jed mode (closes: #199502). Thanks to
       Guenter Milde for noticing this problem and for letting us know
       about P. Boekholt's ispell jed mode, and to P. Boekholt for his
       offer of adapting his package to work out of the box in Debian.
  * scripts/system/ispell-wrapper:
    -- New option --emacs, allowing language to be selected also through
       its exact Emacs name. Although many Emacs names already give the
       right value with --language, this can help in some other situations,
       e.g. when selecting 'castellano' having also 'castellano8'.
    -- Some minor code beautification.
  * policy/dsdt-policy.xml.in:
    -- Added 'update-openoffice-dicts' to the command summary at the end
       of the document.
    -- Changed ispell_dictionary to ispell_change_dictionary in jed support
       section (See above for the reasons).
    -- ispell now depends on ispell-dictionary.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon,  7 Jul 2003 11:36:01 +0200

dictionaries-common (0.10.1) unstable; urgency=low

  * debian/control:
    -- add myself to Uploaders:
    -- add dh_perl call for scripts/system/* and add ${perl:Depends}
    -- remove dh_shlibdeps since we have no binaries here..
  * policy/dsdt-policy.xml.in
    -- add myspell stuff
  * scripts/system/*:
    -- add myspell stuff (update-openoffice-dicts)
  * debian/po: add pt_BR.po - thanks Andre Luis Lopez (closes: #197515)
  * Standards-Version: 3.5.10 (no changes needed)

 -- Rene Engelhard <rene@debian.org>  Wed, 18 Jun 2003 03:10:50 +0200

dictionaries-common (0.9.51) unstable; urgency=low

  * scripts/ispell-autobuildhash:
    -- Checking for ispell existence before doing anything else.
       Was failing in systems without ispell installed. (closes: #196025)

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed,  4 Jun 2003 11:09:08 +0200

dictionaries-common (0.9.50) unstable; urgency=low

  * Installing ispell-autobuildhash, a tool to build ispell hash
    files from ispell dictionaries postinst in packages designed
    to use it:
    -- Makefile.in:
       Modified to install ispell-autobuildhash
    -- scripts/system/update-default.in:
       Modified ispell section to call ispell-autobuildhash
    -- scripts/system/ispell-autobuildhash:
       Rewritten in perl. New debug option.
  * support/emacsen/ispell.el:
    -- Upgraded to upstream version 3.6. Debian patches merged.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue,  3 Jun 2003 11:59:51 +0200

dictionaries-common (0.9.6) unstable; urgency=low

  * debian/dictionaries-common.templates:
    Typo fixed as well as wording improved. Thanks to Christian
    Perrier for pointing out this and for his suggestions
    (closes: #190283, #190284)
  * Updated french po file thanks to Christian Perrier and the
    Debian french translation team. (closes: #191732)
  * system/{remove-default.in,select-default.in,update-default.in,
    update-dictcommon.in}:
    -- Added a short manual page to these programs
  * debian/README.Debian:
    -- Added a minor thing about libtext-iconv-perl
    -- upgraded project address to alioth's
  * debian/{README.Debian,control}:
    -- Including more information about naming conventions and tests
       for ispell dicts and wordlists availability (closes: #191228)

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon,  5 May 2003 17:05:02 +0200

dictionaries-common (0.9.5) unstable; urgency=low

  * The po-debconf migration release:
    -- Created debian/po files with debconf-gettextize and some minor
       edition. Removed old templates.
       debian/dictionaries-common.templates master file added.
    -- debian/rules modified to no longer use debconf-mergetemplate.
       Cleaned some obsolete stuff.
    -- debian/control Build-Depends-Indep: Removed debconf-utils and
       raised debhelper version to >= 4.1.16.
  * Migrated the CVS to Debian alioth. This should not be any problem,
    but put here just for record.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon,  7 Apr 2003 16:04:40 +0200

dictionaries-common (0.9.4) unstable; urgency=low

  * Added some localized templates from the DDTP site. Thanks to the
    (unknown) translators:
    -- misc templates localized to German.
    -- ispell template localized to Danish.
  * policy/dsdt-policy.xml.in:
    -- Removed the verbatim of the new design. It should be already in
       the policy document and even more up to date.
    -- Removed the emacsen historical section. Some things in it are
       already obsolete and is more a historical document than a policy
       one. It is saved as emacsen.historic to the source package for
       archival purposes.
    -- Added update-dictcommon-aspell to the internal section. Some
       minor fixes in that section.
    -- Reminding maintainers to put appropriate po-debconf dependencies.
  * scripts/debhelper/installdeb.in:
    -- Included stuff in the pod section about the use of po-debconf.
  * scripts/maintainer/config.in,scripts/system/select-default.in:
    -- Added a "Dictionaries-common" header to the debconf title.
       This will slowly propagate to the ispell dictionaries and
       wordlist packages as they are rebuilt, but at least will work
       from select-default-* right now (closes: #166680)

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 13 Mar 2003 15:46:18 +0100

dictionaries-common (0.9.3) unstable; urgency=low

  * debian/templates-l10n/*:
    -- Changed Esperanto encoding name from latin3 to ISO-8859-3.
    -- Changed Russian encoding name from KOI8R to KOI8-R
  * scripts/debhelper/installdeb.in:
    -- Experimental compatibility with po-debconf generated local
       templates.
    -- Minor reorganization to make things more readable.
  * policy/dsdt-policy.xml.in:
    -- Fixed some things about how to check the names of the
       aspell hash for use under Emacs.
    -- Draft for use of this system together with po-debconf.
    -- Stripped down the background section. The list of old style
       packages is not up to date and is no longer needed

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon,  3 Mar 2003 13:46:48 +0100

dictionaries-common (0.9.2) unstable; urgency=low

  * policy/dsdt-policy.xml.in:
    -- Tentatively documenting how to register aspell dicts for use
       under Emacs.
    -- Removed a lot of obsolete definitions from the document header.
    -- Removing a lot of stuff that was still in the document, although
       commented.
    -- Removing the 'wait until this policy is approved'
    -- Cosmetic changes (indentation and so on).
  * scripts/system/update-{default,dictcommon}.in:
    -- Removed call to build_pspell_support
  * scripts/debhelper/installdeb.in:
    -- Removed pspell related stuff
  * debian/*:
    -- dictionaries-common.links: Removed region-to-spelling.map symlink
    -- dictionaries-common.{preinst.postrm}:
       + Removed, they had only region-to-spelling.map diversion stuff.
    -- dictionaries-common.postinst:
       + Changed update-default-aspell to update-dictcommon-aspell
       + Removed region-to-spelling.map diversion and associated stuff in
         the configure target after adding some checks and some things from
  	 dictionaries-common.postrm.
    -- dictionaries-common.dirs: Removed usr/share/pspell entry
    -- control: Removed libpspell-ispell1 conflict

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 10 Feb 2003 12:50:55 +0100

dictionaries-common (0.9.1) unstable; urgency=low

  * debian/control:
    Some improvements to package descriptions after suggestions by
    Filip Van Raemdonck (closes: #176976)
  * debian/policy/dsdt-policy.xml.in:
    Explicitly saying that the policy does not cover aspell or
    myspell and where to find more info about them.
  * Split aspell stuff from 'scripts/system/update-default.in' to
    a new 'scripts/system/update-dictcommon.in' file.
    'update-default-aspell' is renamed to 'update-dictcommon-aspell'
    (it really updated no default value). A symlink with the old name
    is provided for temporary backwards compatibility. Also changed
    Makefile.in, links file and debhelper postinst and postrm snippets.
    This is still undocumented in the policy document.
  * Added a 'rm -rf autom4te.cache/' to the clean target in debian/rules.
    Seems that some versions of autoconf are leaving this dir behind

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 31 Jan 2003 12:39:54 +0100

dictionaries-common (0.9.0) unstable; urgency=low

  * Removing aspell and pspell stuff from the policy document. Added
    a warning about this in the top of the document. This starts the
    0.9.0 series.
  * Removed libpspell4 dependency from dictionaries-common-dev package.
    This is no longer possible once the new aspell is uploaded.
  * scripts/debhelper/installdeb.in: Changed 'pspell-config pkgdatadir'
    to "/usr/share/pspell". This was the only thing requiring the
    dependency on libpspell4 for dictionaries-common-dev. All remaining
    pspell stuff will be removed in next releases.
  * Added a mention about packages like ipolish that build the ispell
    hash file in the postinst and so are really 'Arch: all' packages.
  * Removed &lt; and &gt; from our email addresses. <email></email>
    already puts them.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 15 Jan 2003 16:25:23 +0100

dictionaries-common (0.8.99) unstable; urgency=low

  * Simplifying pspell stuff generation in
    'scripts/Debian/DictionariesCommon.pm.in' build_pspell_support function.
  * Allowing '/var/lib/dictionaries-common/aspell' info entries to generate
    appropriate emacsen as well as ispell info entries. Modified
    'scripts/system/update-default.in' and
    'scripts/Debian/DictionariesCommon.pm.in' build_emacsen_support function.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 10 Jan 2003 12:14:18 +0100

dictionaries-common (0.8.9) unstable; urgency=low

  * scripts/maintainer/postrm.in: Changed remove|deconfigure) to
    abort-install|purge|remove). postrm is never called with deconfigure.
    policy/dsdt-policy.xml.in modified also for this purpose.
    Thanks to Davide Salvetti for pointing out this.
  * debian/control: Fixed some typos
    (split->split, dependences->dependencies, worlist->wordlist)
  * Changed Rafael email address to the Debian one in some files:
    -- support/emacsen/{debian-ispell.el,startup.el.in}
    -- support/jed/startup.sl.in
    -- Makefile.in

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 10 Jan 2003 11:31:25 +0100

dictionaries-common (0.8.8) unstable; urgency=low

  * Handling invalid debconf values in 'update-default.in'. Will
    set debconf 'value' and 'choices to a safe value, warn the user
    about the problem with a debconf note and ask him for a new
    selection. (closes: #167523).
  * DictionariesCommon.pm.in: In function parseinfo reset the input
    record separator to its previous value after doing the job. Was
    confusing debconf.
  * New Galician templates for ispell and wordlist selection thanks
    to Ramon Flores d'as Seixas.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 18 Nov 2002 13:23:56 +0100

dictionaries-common (0.8.7) unstable; urgency=low

  * Fixing typo in Spanish ispell debconf template. Thanks to Carlos
    Valdivia for pointing out this.
  * Verifying that emacsen packages are installed and
    configured (by checking the existence of
    /var/lib/emacsen-common/installed-flavors) before calling
    emacs-package-{install,remove}. Debhelper snippets will
    no longer be used for the emacsen section, but some modified
    ones. Modifying debian/rules, debian/dictionaries-common.{postinst,prerm}
    (closes: #167239)

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon,  4 Nov 2002 09:55:06 +0100

dictionaries-common (0.8.6) unstable; urgency=low

  * support/emacsen/startup.el.in:
      -- Changed 'flavor' to 'debian-emacs-flavor'

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Oct 2002 15:58:13 +0100

dictionaries-common (0.8.5) unstable; urgency=low

  * Switched Uploaders and Maintainer fields.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 24 Oct 2002 15:01:29 +0200

dictionaries-common (0.8.4) unstable; urgency=low

  * scripts/maintainer/config.in: Sorted @choices before being
    passed to debconf. Done as non case-sensitive. This should
    sort debconf menus in a per-language basis instead of in a
    per package basis as before.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Oct 2002 16:17:58 +0200

dictionaries-common (0.8.3) unstable; urgency=low

  * Just adding a single space after each version relationship
    and before a version number where it did not exist
    previously. This seems to fix 'dictionaries-common:
    continuously upgrading'. (closes: #165785)
  * Bumped policy to 3.5.7

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Oct 2002 14:10:32 +0200

dictionaries-common (0.8.1) unstable; urgency=low

  * debian/templates-l10n/{wordlist,ispell,misc}.
    Some changes due to a debconf update:
    - Adding the C template to all localizations.
      debconf-mergetemplate is now more rigid about that and
      will ignore that localizations otherwise.
    - Merged base templates from misc, ispell and wordlist into
      a single master templates file at
      debian/templates-l10n/templates.base.C. Otherwise
      debconf-mergetemplate complains about outdated templates.
    - Modified Russian koi8-r templates to have as identifier
      koi8r. Otherwise debconf complains.
    - Modified Esperanto templates to use only eo.latin3. New
      debconf also does not like iso8859-3 string. Do not know how
      it will work
    - Added a Spanish templates file to debian/templates-l10n/misc
      with localization for the extra questions.
  * debian/rules:
    - Modified call to debconf-mergetemplates to have as last
      argument the master templates file at
      debian/templates-l10n/templates.base.C
  * debian/control:
    - Added priority 'Standard' to package sources entry. When I
      modified dictionaries-common-dev entry left this wrong.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 18 Oct 2002 16:05:49 +0200

dictionaries-common (0.8.0) unstable; urgency=low

  * First dictionaries-common official Debian package,
    containing the new policy for ispell dictionaries and
    wordlist packages and the required support files for
    its implementation.
  * debian/control:
    - Removed warning about the alpha character of the package
      and some other obsolete stuff
    - Added version to Conflict on {w,i}bulgarian (<=2.0-2)
    - Lowered priority of dictionaries-common-dev to optional, as
      for policy documents and most developers only stuff

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 18 Oct 2002 12:30:27 +0200

dictionaries-common (0.7.2) unstable; urgency=low

  * debian/control:
    - Put myself as a co-maintainer for this package
      adding my name to a new Uploaders field.
    - Raised conflict for iczech to (<=20020628-1). Package
      has been taken by a new maintainer.
    - Added ibulgarian and wbulgarian to the conflicts line
  * policy/dsdt-policy.xml.in:
    - Lowered IDWP dependency on dictionaries-common from
     'Pre-Depends' to a simple 'Depends'.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 16 Oct 2002 11:06:57 +0200

dictionaries-common (0.7.1) unstable; urgency=low

  * Bumped conflicting versions of idutch and wdutch to (<=1:0.1e-20).
    This way there is more room for maintenance releases by dutch dicts
    maintainer.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue,  3 Sep 2002 16:51:31 +0200

dictionaries-common (0.7.0) unstable; urgency=low

  * WARNING: THIS IS A HIGHLY EXPERIMENTAL VERSION
    USE WITH A LOT OF CARE!
  * Added experimental code for dealing with aspell dictionaries
    registering in the regions-to-spelling.map file, as well as
    using an installdeb-aspell helper. I hope this do not break
    anything previous.
  * scripts/system/update-default.in:
    Added a new --ignore-symlinks option to update-default.in. If
    this option is enabled all the section about setting symlinks
    is skipped.
  * debian/dictionaries-common.postinst:
    update-default-ispell is now called also with --ignore-symlinks
    option.
  * support/emacsen/ispell.el: The variable ispell-version is now modified
    to indicate that this is a version patched for Debian.
  * policy/dsdt-policy.xml.in:
    More general things about aspell dictionaries included. Tried to make
    more sections of the document consistent with aspell. Added a
    region-to-spelling.map section.
  * Makefile.in,
    debian/dictionaries-common.dirs,
    debian/dictionaries-common.links:
    region-to-spelling.map link creation moved from Makefile.in to
    debian/dictionaries-common.links. /usr/share/pspell dir creation
    moved from Makefile.in to debian/dictionaries-common.dirs. This
    saves one lintian warning.
  * debian/emacsen-install, support/emacsen/flyspell.el:
    Removed flyspell.el. All Emacs packages currently in Debian already
    provide one.
  * debian/control:
    - Bumped conflicting versions of ispell, iamerican, ibritish and wbritish
      to (<=3.1.20.0-1) due to a new package being uploaded to official
      debian repository.
    - Bumped conflicting versions of idutch and wdutch to (<=1:0.1e-13) due
      to a new package being uploaded to official debian repository.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon,  2 Sep 2002 12:21:03 +0200

dictionaries-common (0.6.5) unstable; urgency=low

  * Just a minor change. I forgot to put the template line
    for the new 'nb' locales added in 0.6.4

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 10 Jul 2002 11:05:22 +0200

dictionaries-common (0.6.4) unstable; urgency=low

  * In Norwegian ispell and wordlist templates copied 'no' entries
    to be also 'nb' entries. 'nb' is replacing 'no' as language
    code for Norwegian 'bokmål'

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 10 Jul 2002 10:56:19 +0200

dictionaries-common (0.6.3) unstable; urgency=low

  * ispell-wrapper:
     - Make sure options are always long.
     - Added a new --dry-run option to show what would have done.
     - Made options -c and -l trigger an error. These ispell
       options are for use only when ispell reads from stdin
  * policy/dsdt-policy.xml.in:
     - pspell pwli files section now covers also pwli files for
       aspell dictionaries. Also added how to name a pwli file
       when spelling is left out but the jargon is not.
     - Added a 'Locale' entry description. Put a Locale entry
       in the info file example.
     - More aspell stuff: installation directories for aspell hashed
       files, data files and soundslike file, as well as
       relationships for aspell dictionaries. Also a big warning
       about these additions is placed at the top of the document.
     - Reminding that ispell dictionaries must depend on ispell and
       aspell dictionaries on aspell. Also reminding to set appropriate
       build dependencies on ispell and/or aspell.
     - Changed " to &quot; when used standalone to keep the Emacs
       colorizer happy. Also changed a\" in "Extended-Character-Mode"
       description to a&quot;
     - Added a clarification about which fields are needed for wordlist
       packages, only "Language" and "Hash-Name".
  * debian/control:
     - Bumped conflicting ifrench to <=1.4-13
     - Bumped conflicting ifrench-gut to <=1:1.0-9

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue,  9 Jul 2002 13:09:51 +0200

dictionaries-common (0.6.2) unstable; urgency=low

  * Rafael added more things on experimental support for Pspell
    regions-to-spelling.map file:
    - Makefile.in: Install symbolic link regions-to-spelling.map in
      directory /usr/share/pspell/ pointing to
      /var/cache/dictionaries-common/regions-to-spelling.map.
    - debian/dictionaries-common.preinst:  Added file.  Divert file
      region-to-spelling.map from libspell4 package.
    - debian/dictionaries-common.postrm: Remove diversion for file
      region-to-spelling.map.
    - scripts/Debian/DictionariesCommon.pm.in: Added subroutine
      build_pspell_support, which automatically generates the
      /var/cache/dictionaries-common/regions-to-spelling.map using the
      informations provided by the fields "Locale" and "Pspell-Ispell" in
      the debian/info-ispell files.
    - scripts/system/update-default.in: Added call to build_pspell_support.
  * scripts/Debian/DictionariesCommon.pm.in: Rafael added a generate_comment
    subroutine for uniformization of comments in autogenerated files (in
    /var/cache/dictionaries-common/).  Call it from
    build_{emacsen,jed,pspell}_support.
  * debian/dictionaries-common.postinst: Added call to
    'update-default-ispell --rebuild' when configuring, such that all
    automatically generated files exist even when no dictionary package is
    installed. This way any change in the format of ispell files under
    /var/cache/dictionaries-common will automatically be propagated.
  * scripts/system/ispell-wrapper: Now copes with ispell's -T option when
    the field Extended-Character-Mode is defined for the chosen language.
    Also, allow the extra arguments to ispell-wrapper to be really passed
    to ispell.  Minor corrections in the POD section.
  * debian/control:
    - Raised irussian conflict to (<=0.99f0-1). Dmitry Borodaenko is
      going to take the package.
    - Added conflict on ispell-ga. It is currently in unstable and is old
      policy.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 24 Jun 2002 15:23:04 +0200

dictionaries-common (0.6.1) unstable; urgency=low

  * scripts/debhelper/installdeb.in:
    - Modified by Rafael to use slice [I:   ...  :] constructs instead
      of testing the variable $class for "ispell" (not "wordlist")
      specific actions. He also added a pointer to further documentation
      of the dictionaries-common Policy to the POD section "SEE ALSO".
  * debian/control:
    - Changed conflicts for {i,w}catalan to (<= 0.1-4) due to a new
      version uploaded to Debian.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 14 Jun 2002 11:50:24 +0200

dictionaries-common (0.6.0) unstable; urgency=low

  * Minor addition in the policy document. When fiddling with the
    Norwegian package I realized that the dict-common system is
    compatible with the way localized templates are put in the
    debian subdir for use of dh_installdebconf. Just added some
    lines about this possibility for extra templates localizations.
    Also added ihungarian to the list of ispell dictionaries.
  * Changed {i,w}swedish conflict to (<=1.4.2).
  * Changed ihungarian conflict to (<=0.84-1).
  * Experimental support for pspell-ispell added by Rafael. This
    bumps policy to 0.6.0:
    - policy/dsdt-policy.xml.in:
      Modified to take care of pspell-ispell compatibility. Added a
      "The pspell-ispell pwli file for ispell dictionaries" section
      and description for the "Pspell-Ispell" field in the
      info-ispell file.
    - scripts/debhelper/installdeb.in:
      Code for automatically generation/installation
      of Pspell-ispell support files (*.pwli) from the info-ispell
      files.
    - debian/control:
      + Added libpspell4 to dictionaries-common-dev Depends. This is
        needed because the script pspell-config is called from
        installdeb-ispell. The pspell-config script should be in the
        libpspell-dev, such that the dependency would not be to the
        library (versioned) libpspell4 package.
      + Added Conflicts with libpspell-ispell1 (<<0.12-6). This is
        required since previous libpspell-ispell1 removed all ispell
        pwli files and rebuild them from their data. That way, for
        ispell dict packages not in their list their entries would
        have been removed and not recreated.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 11 Jun 2002 11:48:36 +0200

dictionaries-common (0.5.9) unstable; urgency=low

  * debian/control:
    - Added {i,w}danish (<<1.4.22-2.1) to the Conflicts line.
    - Added {i,w}faroese (<=0.1.16-2) to the Conflicts line.
    - Added miscfiles (<<1.3-2.1) to the Conflicts line.
    - Added witalian (<=1.6) to the Conflicts line.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon,  3 Jun 2002 12:39:28 +0200

dictionaries-common (0.5.8) unstable; urgency=low

  * debian/control:
    - Versioned {i,w}norwegian (<<2.0-6.1) are back in the
      Conflicts: line. I finally had time to update
      {i,w}norwegian packages. Also added a versioned
      entry for {i,w}dutch (<<1:0.1e-12.1).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 28 May 2002 17:47:21 +0200

dictionaries-common (0.5.7) unstable; urgency=low

  * debian/control:
    - Changed conflicting versions for {i,w}norwegian to 'all'. I will
      add again versions when I have time to prepare a new experimental
      release with changes from official package merged.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 29 Apr 2002 09:36:50 +0200
dictionaries-common (0.5.pre7) unstable; urgency=low

  * jed support README added by Rafael:
    --	debian/README.jed-support: Added file.
    --	debian/rules: Install README.jed-support.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 28 Apr 2002 15:45:50 +0200

dictionaries-common (0.5.6) unstable; urgency=low

  * debian/control:
    - Bumped conflicting versions for {i,w}polish to (<<20011004-2.1)
      due to new official release.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 11 Apr 2002 09:43:15 +0200

dictionaries-common (0.5.5) unstable; urgency=low

  * debian/control:
    - Bumped conflicting versions for {i,w}norwegian to (<<2.0-5.1)
      due to new official release.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon,  8 Apr 2002 11:51:39 +0200

dictionaries-common (0.5.4) unstable; urgency=low

  * debian/control:
    - Bumped conflicting versions for ibrazilian to (<<2.4-5.1).
    - Bumped conflicting versions for ifrench to (<<1.4-12.1).
    - Bumped conflicting versions for ifrench-gut to (<<1:1.0-8.1).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue,  2 Apr 2002 16:04:08 +0200

dictionaries-common (0.5.3) unstable; urgency=low

  * Added conflicting versions for {i,w}swedish and ihungarian
    - ihungarian (<< 1:0.0)
    - {i,w}swedish (<<2)
  * Added missing epoch to ifrench-gut conflicting version
    - ifrench-gut (<<1:1.0-7.2)

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 21 Mar 2002 18:59:20 +0100

dictionaries-common (0.5.2) unstable; urgency=low

  * Bumped {i,w}polish conflicting version to (<<20011004-1.1). There
    are new official packages available at Debian.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 14 Mar 2002 12:50:17 +0100

dictionaries-common (0.5.1) unstable; urgency=low

  * Set in control Conflicts line: irussian (<< 0.99e6-10). Was in
    previous changelog entry but I forgot to really change it in the
    control file.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed,  6 Mar 2002 10:25:24 +0100

dictionaries-common (0.5.0) unstable; urgency=low

  * debian/control Conflicts Line: Bumped conflicting versions to put
    debian/control in sync with the MAXSTRINGCHARS=128 built ispell
    dictionaries. Although not required by this change, wordlist versions
    are also bumped if they have the same source as the ispell package:
    - ibrazilian (<< 2.4-4.3)
    - iczech (<<20010104-2.2)
    - icatalan, wcatalan (<< 0.1-3.2)
    - iesperanto (<<2.1.2000.02.25-6)
    - ifinnish, ifinnish-large, ifinnish-small, wfinnish (<<0.7-3.4)
    - ifrench (<<1.4-11.2)
    - ifrench-gut (<<1.0-7.2)
    - iitalian (<<2.20-1.2)
    - ingerman, wngerman (<<20010414-2)
    - inorwegian, wnorwegian (<<2.0-4.2)
    - ipolish, wpolish (<<1.0.20000401-1.3)
    - iportuguese (<< 19980611-8)
    - irussian (<< 0.99e6-10)
    - ispanish (<<1.7-5)
  * support/emacsen/startup.el.in: Modified by Rafael to be compliant with
    latest version of Debian Emacsen Policy as regards adding components to
    load-path.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 28 Feb 2002 18:36:29 +0100

dictionaries-common (0.4.99.14) unstable; urgency=low

  * scripts/Debian/DictionariesCommon.pm.in: Modified the emacsen build
    routine to have the menus alphabetically sorted.
  * debian/control:
    - Added autoconf to Build-Depends line.
    - Raised ifrench version in Conflicts line to <=1.4-11
    - Raised ifrench-gut version in Conflicts line to <=1.0-7
    - Added ihungarian to Conflicts line. There is an ITP (128786) on it.
  * Added Hungarian templates thanks to Pásztor György.
  * debian/rules: Will now call autoconf.
  * Dealing with obsoletes /usr/dict stuff and /etc/dictionary link.
    Modified dictionaries-common.config, dictionaries-common.postinst
    dictionaries-common.prerm and rules, added new debconf templates
    file at templates-l10n/misc
  * debian/dictionaries-common.postinst: Removed obsolete, commented code
    for jed support.
  * scripts/system/ispell-wrapper: Removed a gratuitous call to "die" just
    before the important call to "system ispell".  This is probably an old
    experiment that has never been cleaned up.  Also, added some comments
    to the Perl code.
  * policy/dsdt-policy.xml.in: Removed some old stuff. Added a reference
    to the new string length of ispell hashes.
  * debian/control: ( ** Important change ** )
    - Raised ispell iamerican, ibritish and wbritish versions in Conflicts
      line to <<3.1.20-30. The reason for this is that from this version
      on ispell MAXSTRINGCHARS value will be set to 128 instead of 100.
      This will provide compatibility with abiword and other distros,
      but will require rebuilding of all the dictionaries.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 15 Feb 2002 11:20:27 +0100

dictionaries-common (0.4.99.13) unstable; urgency=low

  * policy/dsdt-policy.xml.in:
    - Added the need to create and install an info file to the guidelines
      for the impatient maintainer.
    - Added debhelper to the Build-Depends line that packages using
      dictionaries-common-dev helpers should use. This keeps lintian
      happy and makes things easier if at some time we decide to relax
      the debhelper dependency of dictionaries-common-dev to a Recommends.
  * debian/control: Raised conflict due to minor changes after the mass
    spelling check of package descriptions.
    - icatalan and wcatalan to (<= 0.1-3).
    - ifrench (to <=1.4-10),
    - ifrench-gut (to <=1.0-6)
    - irussian (to <= 0.99e6-1)
  * debian/control:
    - Removed wdutch version in Conflicts line. It was
      not removed in 0.4.99.8.
    - Lowered conflict for inorwegian and wnorwegian from 2.0-4.1 to
      2.0-4. It was wrong previously.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 14 Jan 2002 13:53:37 +0100

dictionaries-common (0.4.99.12) unstable; urgency=low

  * Moved policy documents to dictionaries-common-dev. This will keep the
    maintainer stuff together and in a developers area.
  * Written a README.Debian more verbose containing the relevant user
    information and pointers to developers information.
  * debian/control and debian/rules modified for that. Removed
    dictionaries-common-dev.links.
  * policy/dsdt-policy.xml.in:
     - Modified to take care of changes above.
     - Added info about naming rules for the info file when the
       dictionaries-common-dev helpers are used.
     - In the 0.4.99 series there is no longer an examples directory.
       Removed references to files in it.
     - Minor changes.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 11 Dec 2001 14:05:28 +0100

dictionaries-common (0.4.99.11) unstable; urgency=low

  * debian/rules: removed erroneous "rm -f templates" in the 'clean' target.
    That job is done by the rm -f $(templates) few lines above
  * debian/rules: Added a line to remove the doc dir in
    dictionaries-common-dev installation dir before the links are done by
    dh_link. Otherwise link in /usr/share/doc from dictionaries-common-dev
    to dictionaries-common is not properly set.
  * policy/dsdt-policy.xml.in Extensive changes to the policy document. (AMD)
    - NEW-DESIGN document has been moved to an appendix.
    - Merged NEW-DESIGN contents into main document.
    - Added some things not covered by the NEW-DESIGN document
      (e.g. templates.in, config.in)
    - Some reorganization of the document.
  * Added versioned conflict for iitalian dict. (AMD)

 -- Rafael Laboissiere <rafael@debian.org>  Wed,  5 Dec 2001 01:00:13 +0100

dictionaries-common (0.4.99.10) unstable; urgency=low

  * support/jed/ispell.sl: Fixed typo when composing the options passed
    to ispell, resulting in collated Ispell_Options with Ispell_Hash,
    which triggered errors in jed.

 -- Rafael Laboissiere <rafael@debian.org>  Sun,  2 Dec 2001 19:13:52 +0100

dictionaries-common (0.4.99.9) unstable; urgency=low

  * Added versioned conflicts for some dictionaries and wordlists already
    uploaded to sourceforge:
      - ifrench, ifrench-gut, wfrench
      - ingerman, wngerman
      - wenglish, wbritish, iamerican, ibritish
   (by Agustin Martin)
  * scritps/Debian/DictionariesCommon.pm.in, support/jed/startup.sl.in,
    support/jed/ispell.sl: jed support makes use now of
    Extended-Character-Mode and Ispell_Args.  This was necessary to get
    some languages like german-new8 working correctly in jed.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 30 Nov 2001 22:08:38 +0100

dictionaries-common (0.4.99.8) unstable; urgency=low

  * debian/control: Added versioned conflicts for icatalan and wcatalan
    for new dictionaries in sourceforge. Added versioned conflicts for
    irussian for new dictionary in sourceforge.  Added versioned conflicts
    for wspanish, iczech, ipolish and wpolish, just installed in
    sourceforge.  Removed versioned conflict for idutch and wdutch. The
    maintainer has  changed and I prefer to contact him first. Increased
    number of conflicting version for inorwegian, since there is a new
    package at Debian. (Agustin Martin).
  * debian/templates-l10n/*/templates.*: Replaced occurrences of
    "default-*" by "select-default-*".  I have screwed that up in a
    previous release and have not corrected it.
  * scripts/Debian/DictionariesCommon.pm.in (setuserdefault): Only iterate
    through the list of choices if the user default is set.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 29 Nov 2001 14:58:10 +0100

dictionaries-common (0.4.99.7) unstable; urgency=low

  * scripts/system/ispell-wrapper: Implemented use of the --language
    option, as well as of the environment variable ISPELLDEFAULT.
    Explained how the language is determined in the POD section.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 29 Nov 2001 11:18:13 +0100

dictionaries-common (0.4.99.6) unstable; urgency=low

  * debian/control:
      - (RL) Updated very old description of the packages.
      - (AGM) Added versioned dependencies in the control file for idutch,
        wdutch, iesperanto, ifinnish, ifinnish-large, ifinnish-small,
        wfinnish, inorwegian, wnorwegian and ispanish
  * Makefile.in: Fixed rule distclean to really delete dsdt-policy.xml.
  * scripts/Debian/DictionariesCommon.pm.in: Finally found a way to parse
    correctly empty fields and suppress them from the resulting hash.
  * NEW-DESIGN: Added a note about empty fields in the info file.  Also
    updated the example for the prerm script.
  * scripts/maintainer/postrm.in: This script has been renamed from
    prerm.in.  The remove-default actions should be taken after removal of
    the package, otherwise files will be floating around in
    /var/lib/dictionaries-common and wrong things will be rebuild.
    Also, db_purge is now called *after* the remove-update script,
    otherwise the <package>/languages question would be purged from the
    Debconf database and the code would fail.
  * scripts/debhelper/installdeb.in: Install scrap of code in maintainer
    postrm instead of prerm.
  * scripts/system/update-default.in: Only update things if the value of
    the dictionaries-common/default-$class question is different from the
    empty string (this happens for the last dictionary being removed, and
    was triggering an illegitimate error message on package removal).
    Another change: if rebuild is asked, it happens anyway, regardless of
    the fact that there is no dictionary package in the system.  This is
    necessary to purge the cache database when removing the last
    dictionary package.
  * scripts/system/remove-default.in: Fixed a very stupid bug that made
    the choices of languages to be updated to the languages provided by
    the package being removed.  It should be just the other way around.
  * policy/dsdt-policy.xml.in: Changed entities pointing to prerm to
    postrm.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 28 Nov 2001 20:12:13 +0100

dictionaries-common (0.4.99.5) unstable; urgency=low

  * Changed versioned Conflicts: to ibrazilian to <= 2.4-4.  This is the
    most recent version in Debian  unstable.  I uploaded to the
    dict-common.sf.net staging area a new 2.4-4.1 ibrazilian package.
    This should fix the upgrade interference problems with Debian unstable.
  * policy/dsdt-policy.xml.in:  Source NEW-DESIGN into the Policy document
    and put a Warning before "Introduction".  Like that, we can keep
    updating the NEW-DESIGN file and it will be reflected into the Policy
    html and txt files.  This is a temporary solution, of course.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 27 Nov 2001 22:56:07 +0100

dictionaries-common (0.4.99.4) unstable; urgency=low

  * Debian/DictionariesCommon.pm.in (build_emacsen_support): The
    Coding-System is not put between quotes when written to the elisp
    file.  (parseinfo): Change regexp to cope with empty entries in the
    info file. The field names are converted to lower case now.  I am
    doing this because I am sure that someone will be bitten by that in the
    future and imposing capitalized names is a unnecessary constraint.
    This does not change anything in the interface for the package
    maintainer and we will still encourage the use of capitalized words
    for better readability.
  * scripts/system/update-default.in: Make error message to symlink
    failure more verbose.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 27 Nov 2001 21:59:23 +0100

dictionaries-common (0.4.99.3) unstable; urgency=low

  * NEW-DESIGN: Added descriptions for the fields in the language control
    file debian/info-(ispell|wordlist).
  * scripts/Debian/DictionariesCommon.pm.in: In parseinfo(), checks for
    the mandatory Hash-Name field. build_emacsen_support() and
    build_jed_support() are now uncommented and should do the proper job
    for the add-on support.
  * support/emacsen/startup.el.in and support/jed/startup.sl.in: New files
    renamed from old ones.  Some strings are AC_SUBSTituted by configure.
  * scripts/sytem/update-default.in: Call build_emacsen_support and
    build_jed_support if option --rebuild is given.
  * Removed files debian/60dictionaries-common.el and
    debian/emacsen-startup.  These files have been merged and, after
    inclusion of a load call to the emacsen cache file (in /var/cache,
    generated automatically), the whole e-lisp program has been renamed to
    support/emacsen/startup.el.in.  This file has the .in suffix, because
    startup.el is generated from configure (to get the right cache
    pathname).
  * configure.in: Added AC_SUBSTitution for EMACSENSUPPORT and
    JEDSUPPORT.  Added startup.el and startup.sl to AC_OUTPUT list.
  * Makefile.in: Install the emacsen startup file in the
    /etc/emacs/site-start.d directory.  This has been done in the past by
    debian/rules, but it is more appropriate to be done here.  Install the
    jed startup file in the /etc/jed-init.d/ directory.  Install mutt
    support. Also, distclean removes support/emacsen/startup.el and
    support/jed/startup.sl.
  * debian/rules: Call dh_installemacsen.
  * debian/dictionaries-common.conffiles: Added 50dictionaries-common.{e,s}l.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 27 Nov 2001 12:53:23 +0100

dictionaries-common (0.4.99.2) unstable; urgency=low

  * scripts/maintainer/prerm.in: Purge all the questions of the dictionary
    package being removed (this addresses a bug report sent by Agustin
    Martin).  I tried to unregister "#PACKAGE#/language" from
    scripts/system/remove-default.in by calling unregister, but this does
    not work.  It seems that the UNREGISTER command only works in
    dpkg-{rep,re}configure, because somehow the configmodule gets the
    package name when created.  This never happens when calling the
    standalone script /usr/sbin/remove-default-*.  I think that this is a
    wanted limitation of Debconf.  At any rate, there is now two extra
    lines to the prerm script:
        . /usr/share/debconf/confmodule
        db_purge
    and the maintainer have to take include them in prerm (unless he/she
    uses installdeb-*).
  * scripts/debhelper/installdeb.in: Applied patch by A. Martin.  (That
    stupid $policy variable popped out from nowhere...)
  * scripts/Debian/DictionariesCommon.pm.in: I am going to slowly improve
    the Perl code in the core system, while learning some more hash
    manipulation and regexp expressions.  The function parseinfo shrank now
    to the half of its size, and is more robust.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 26 Nov 2001 22:42:12 +0100

dictionaries-common (0.4.99.1) unstable; urgency=low

  * The behavior of ispell-wrapper is nearly correct now.  It checks first
    the user default (~/.default-ispell) and if there is none, it takes
    the system default (/etc/dictionaries-common/default-ispell). The
    select-default-* scripts used to be in /usr/bin, but they are now in
    /usr/sbin, since they only give meaningful results if run by root.  A
    new script has been added (scripts/system/select-default-iwrap) that
    is user specific.
  * Makefile.in: Take care of the changes above.
  * debian/rules: Proper generation of dictionaries-common.templates file
    from l10n translations.  No messing with options to the command
    "echo".  Also the "clean" rule does a better job now.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 23 Nov 2001 14:36:46 +0100

dictionaries-common (0.4.99.0) unstable; urgency=low

  * Bumped the micro release number to 99, as an indication that this is a
    pre-0.5.0 release.
  * NEW-DESIGN: This file explains the New Design of the
    dictionaries-common package and is the candidate for the next Policy
    document.  The package has been overhauled.
  * Almost all files changed names.  There is also a new directory layout.
    I was annoyed by the directory organization of dictionaries-common.
    There were many inconsistencies and anachronisms, mainly due to the
    fact that work on it has been quite hackish over the last years.  Now
    that the New Design is implemented, it is a good moment for
    restructuring things.  Also, it is a good indication for outsiders
    that things are getting better :-).  Here is how the package is now
    organized:
      scripts/
        maintainer/: Contains the files that should go into the debian/
                     directory of dictionary packages (used to be the
                     top-level examples.in/).
            system/: Scripts that will be installed in the system either
                     in /usr/bin or /usr/bin.  These are both intended for
                     package installation (like in postinst scripts) or
                     general use (like ispell-wrapper).
            Debian/: Contains the Perl library module
                     DictionariesCommon.pm.
         debhelper/: Contains the debhelper-like installation script
                     installdeb.in, that will be transformed into
                     ispell_installdeb and wordlist_installdeb (these used
                     to be called idict_debinst and words_debinst).
      support/
        emacsen/: Emacsen support files (used to be in top-level directory
                  emacsen-support).
            jed/: JED support files (used to be in top-level directory
                  jed-support).
           mutt/: Mutt support files (used to be in top-level directory
                  mutt-support).
      policy/: Contains the Policy XML document and the associated DSSSL
               style sheet.  They used to be in the top-level directory.
               The Policy document file is now called dsdt-policy.xml
               (dsdt stands for "Debian Spell Dictionaries and Tools).
      debian/
        templates-l10n/: Contains the translated templates for the
                   dictionaries-common debconf question.  The subdirs are
                   now ispell and wordlist (instead of idict and words).
                   These subdirs used to be in the top-level templates/
                   directory.
  * Makefile: Has also undergone a major overhaul.  The tag dependencies
    now work much better.  For instance, all the targets are real files
    now, not the *-stamp generated as before.  The rules are much cleaner
    (well, some of the variable generations at the top of the file are
    more complex, but I am taking heavily advantage of make substitution
    capabilities).  The debian/templates file generation from the
    l10n translations is now generated in debian/rules, since this is a
    specific Debian-package related file.  Also, there is not install-dev
    target anymore.  Distribution of files between the dictionaries-common
    and dictionaries-common-dev packages is a Debian packaging specific
    task and is taken care by debian/rules & friends.
  * There is also now a minimal configure script. It does
    AC_SUBSTitution of some variables that are shared by the Makefile,
    the DictionariesCommon Perl module, and the dsdt-policy.xml document.
    It also parses the debian/changelog  file to get the release number
    and date.
  * Everything is written in Perl now.  The man pages are obtained from
    the pod sections of the perl files, which are just boilerplate
    for now.
  * The emacsen, jed and mutt support is broken in this version.  In am
    releasing it such that Agustin Martin can make some tests.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 22 Nov 2001 14:00:13 +0100

dictionaries-common (0.4.9) unstable; urgency=low

  * First implementation of the new design scheme.  Now, idict_debinst
    will grok if there is no debian/[package.]ispell-info file present in
    idct-* packages.  This makes this version of dictionaries-common
    incompatible with most of the current idict-* packages.  This is still
    experimental, but everything is in place for the new design.
  * debhelper/dh_install.in: In the idict_debinst slice, added code for
    checking and installing the debian/[package.]ispell-info file.
  * perl/idict-select, perl/ispell-wrapper:  These scripts are installed
    in /usr/bin and the user will now take advantage of all packages that
    have the ispell-info file.  Mutt support should work now.
  * Makefile: install the Perl module DictionariesCommon.pm, as well as
    the mutt-support file mutt/ispell-init.
  * scripts.in/update-default: Make a call to updatedb to update the
    database in /var/cache/dictionaries-common.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 18 Nov 2001 18:07:14 +0100

dictionaries-common (0.4.8) unstable; urgency=low

  * Moved policy XML source and html.dsl stylesheet into policy/.
  * policy/debian-spell-policy.xml: Corrected paths in entities to
    ../examples and ../templates.
  * Makefile: $(policy) variable has the leading "policy/" directory now.
    Also created variable $(stylesheet), used in pattern rule %.html.
  * debian/docs: add "policy/" to html and txt files.
  * Added mutt-support/ and perl/ directories.  The files in them do
    nothing for now.  They are here just be be CVS committed.  New design
    of dictionaries-common coming soon.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 18 Nov 2001 00:26:57 +0100

dictionaries-common (0.4.7) unstable; urgency=low

  * debian/dictionaries-common-dev.manpages: Removed file.
  * debian/{idct,words}_debinst.1: Removed files.
  * debhelper/dh_install.man: Added this template file to replace the two
    above.
  * Makefile (debhelper-stamp): Generate {idict,words}_debinst.1
    man pages from debhelper/dh_install.man through slice. (install-dev):
    Install man pages in $(share_man).
  * debian/dictionaries-common-dev.dirs: Removed file to reflect the
    changes done in Makefile.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 17 Nov 2001 15:56:44 +0100

dictionaries-common (0.4.6) unstable; urgency=low

  * templates/idict/templates.{fr,pt}: Fixed typos.  (I think I would
    better use ispell before cvs committing...)
  * debian-spell-policy.xml: Added Agustin Martin Domingo as author and
    copyright holder.  Changed e-mail address of David Coe to the Debian
    one. Added 2000 and 2001 as copyright years.
  * debian/dictionaries-common.manpages: Removed file.
  * debian/select-{ispell,wordlist}-default.1: Removed files.
  * scripts.in/select-default.man: Added file to replace the two
    above. Fixed typos and removed mention to Debian-only page.  The date
    is now in the YYYY-MM-DD format, complying with the International
    Standard ISO 8601.
  * Makefile (scripts-stamp): Generate select-{ispell,wordlist}-default.1
    man pages from select-default.man through slice. (install): Install
    man pages in $(share_man).  All the destination directories are now
    created with mkdir -p.  This is much more logical than relying on
    debian/*.dirs files, since now the information is not scattered in
    different places, but all directories are defined in the Makefile.
  * debian/dictionaries-common.dirs: Removed lines to reflect the
    changes done in Makefile.
  * debian/dictionaries-common-dev.dirs: Removed file.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 17 Nov 2001 14:18:56 +0100

dictionaries-common (0.4.5) unstable; urgency=low

  * Added Italian ispell dictionary template thanks to Francesco Tapparo.
  * After suggestion from Peter Novodvorsky added Russian templates
    recoded to cp1251 codepage from koi8-r ones
  * Renamed Description-ru and Choices-ru to Description-ru_RU.KOI8-R
    and Choices-ru_RU.KOI8-R in russian koi8-r templates. This needs
    confirmation from Peter Novodvorsky, but I think it do not hurt in
    any case

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 15 Nov 2001 13:45:36 +0100

dictionaries-common (0.4.4) unstable; urgency=low

  * Made remove-*.default more verbose if PACKAGENAME is not defined in
    the prerm script. Also make error message go to STDERR.
  * Added locale code to the Choices and Description tags for Portuguese and
    french templates. This will stop lintian complaining about partially
    translated templates and make the localized Description behave as expected.
  * Added Russian templates thanks to Peter Novodvorsky.
  * Makefile: removing some obsolete commented code for old templates
    installation.
  * scripts.in/update-default: Check presence of the ispell dictionary
    or wordlist before linking, and exit with error if not. Also make
    error message to go to STDERR.
  * examples.in/config.in: Simplified the sed expression that gives
    CHOICES from OWNERS

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 12 Nov 2001 11:50:51 +0100

dictionaries-common (0.4.3) unstable; urgency=low

  * Much improved jed support.  I am relying in a possible upcoming
    change in the jed-common package (cf Bug#119196), in which the script
    jed-update-startup will not exist anymore.
  * jed startup file name starts now with "40", instead of "50".  This
    file runs before the idict packages files, whose names must start with
    "50".
  * Corrected name of jed startup file.
  * debhelper/dh_install.in: Added code for installing
    debian/[package.]jed-startup file when present in idict package.  This
    is enclose in [I: ... :], so that it only goes into idict_debinst.
  * debian/dictionaries-common.postinst: Removed call to
    jed-update-startup and generation of ispell_dicts.sl.
  * debian/dictionaries-common.postrm: Removed call to
    jed-update-startup.
  * debian/dictionaries-common.prerm: No need to remove ispell_dicts.sl,
    since this file is not used anymore.
  * jed-support/jed-startup.el: Define now the S-Lang function
    ispell_add_dictionary, which will be called by the startup file of
    each idict package providing jed support.
  * jed-support/ispell.sl: Improved version that can have different
    letters sets and description names for each idict package.
  * scripts.in/update-default: Removed generation of ispell_dicts.sl file.
  * debian/idict_debinst.1: Fixed typo (this is unrelated to the jed
    support improvement).
  * debian-spell-policy.xml: Updated section on jed support.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 12 Nov 2001 03:15:49 +0100

dictionaries-common (0.4.2) unstable; urgency=low

  * Added Portuguese (Brazilian) and French templates in templates/idict
    and templates/words.
  * Use slice instead of substitute.pl.  This has been since a long time
    in my todo list.  With this change, instead of specifying
    substitutions in the Makefile, they are all in the source files
    themselves, which is much more logical.  Use the slice tag [I: ... :]
    for ispell-related substitutions and [W: ... :] for wordlist-related
    ones.  Files in examples.in and scripts.in, as well as
    debhelper/dh_install.in, have been changed. The Makefile now is much
    simpler, cleaner, and shorter.
  * debian/control: Added slice to Build-Depends:.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Nov 2001 23:54:51 +0100

dictionaries-common (0.4.1) unstable; urgency=low

  * Written manpages for idict-debinst and words-debinst. Now using
    dh_installman and dictionaries-common{-dev}.manpages. No more
    dh_undocumented is needed.
  * quoted $1 and configure in examples.in/postinst.in. Just a
    cosmetic question
  * scripts.in/select-default: Added a line after db_go to restore
    "choices" properly as the contents of "owners", not as the strings
    without PREFIX.
  * scripts.in/remove-default: Rewritten more closely after debconf
    example for removal of shared questions. This avoid entries in
    choices for packages already removed. Now this script requires
    PACKAGENAME be defined in the prerm to the package name, and
    will fail if empty.
  * examples/prerm.in: Modified the template to add PACKAGENAME
    definition with the right automatic substitution.
  * Cleaning the source of no longer used files templates-idict,
    templates-words and templates.in.
  * debian-ispell-policy.xml:
    - Minor changes
    - Added how packages building hash file at install time should
      behave (like the ipolish package).
    - Some clarifications about the polish package
    - Added reference to the modifications in prerm.in.
  * More templates and changes in templates:
    - Changed Esperanto latin5 locale to es_XX.ISO-8859-5.
    - Added Swedish templates thanks to Mikael Hedin.
    - Added polish templates thanks to Piotr Roszatycki
    - Added Finnish templates thanks to Antti-Juhani Kaijanaho

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue,  6 Nov 2001 17:10:20 +0100

dictionaries-common (0.4.0) unstable; urgency=low

  * Bumped the minor version of the package.  Agustin Martin has done a
    great work, specially for the integration into woody, and such a bump
    is warranted.
  * debian/control: Added links, jade, and docbook-dsssl to Build-Depends:.
  * Makefile: Use links instead of lynx to generate the ascii version of
    the Policy.  Also, filter those annoying ^M characters from the
    output.

 -- Rafael Laboissiere <rafael@debian.org>  Tue,  6 Nov 2001 02:26:49 +0100

dictionaries-common (0.3.6.0amd14) unstable; urgency=low

  * Added iesperanto to the list of old style dictionaries. Although not
    available from Debian, debian packages are available from
    http://www.sciuro.demon.co.uk/debian/ thanks to Duncan Thomson
    <thom-ci0@paisley.ac.uk>. Mentioned also in the policy document
  * debian/control: Added miscfiles to the conflicts line. It provides a
    wordlist (web2) and installs it using the update-alternatives old
    method
  * Added Italian wordlist template thanks to Davide Salvetti
  * Added Esperanto templates thanks to Duncan Thomson

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 18 Oct 2001 12:15:46 +0200

dictionaries-common (0.3.6.0amd13) unstable; urgency=low

  * Fixed typo in Norwegian template
  * Moved localized templates to individual files under
    templates/{idict,words} that are merged at build time by debconf-
    mergetemplates. Changed Makefile and added Build Dependency on
    debconf-utils

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue,  9 Oct 2001 13:20:17 +0200

dictionaries-common (0.3.6.0amd12) unstable; urgency=low

  * Added Norwegian localized templates thanks to Tollef Fog Heen
  * Reverted change to seen false in debconf db_fset calls. Now
    isdefault true will be used again, although is deprecated. This
    makes system work again in potato, just in case somebody wants to
    use it there
  * debian-spell-policy.xml:
    - Added more references to dictionaries-common-dev
    - Now only the code for the canonical C templates is shown to
      avoid including in the policy document a too large templates
      file as more localizations are added.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon,  8 Oct 2001 13:42:12 +0200

dictionaries-common (0.3.6.0amd11.1) unstable; urgency=low

  * Upgrade flyspell.el to version 1.6a.
  * Add autoload of flyspell-prog-mode to emacsen-startup.
  * Simplify (and correct?) setting the load-path in emacsen-startup.
  * Remove bashism from Makefile.
  * Added German translation to the wordlist/ispell templates files.
  * Added choices (untranslated) for different languages to template
    files, to make lintian happy.

 -- Roland Rosenfeld <roland@debian.org>  Fri,  5 Oct 2001 23:04:41 +0200

dictionaries-common (0.3.6.0amd11) unstable; urgency=low

  * scripts.in/update-default: Check if $OWNERS is defined and get
    if not, as happens if invoked from dictionaries-common postinst.
    This is required only to completely rebuild the jed /etc stuff
    if these new dictionaries-common packages with the /etc symlinks
    are installed after the dictionaries.
  * dictionaries-common.postinst:  now sources the update-*-default
    scripts to make sure links and jed stuff is rebuilt if the new
    dictionaries-common is installed after the dictionaries and
    wordlists.
  * templates are no longer autogenerated from templates.in but directly
    installed from different files. This makes localization easier. Old
    templates.in substituted by different templates for words and
    idict with an additional Description-es entry.
  * debian-spell-policy.xml: Added the need to look for the very latest
    dictionaries-common-dev to use the very latest localized templates
    files
  * Fixed typo in debian/dictionaries-common.prerm
  * Added catalan templates thanks to Jordi Mallach
  * debian/control: Added icatalan, ifaroese, ifinnish, ifinnish-large,
    ifinnish-small, irussian, wcatalan, wdanish, wfaroese and wfinnish
    to the Conflicts line
  * debian-spell-policy.xml: Added icatalan, wcatalan, ifaroese,
    wfaroese, ifinnish, ifinnish-large, ifinnish-small, wfinnish,
    irussian and wdanish to the list of dictionaries and wordlists

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri,  5 Oct 2001 13:13:33 +0200

dictionaries-common (0.3.6.0amd10) unstable; urgency=low

  * Changing "isdefault true" to "seen false" in debconf calls.
    "isdefault true" is deprecated.
  * Raised policy version to 3.5.6. Did not require any change

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri,  7 Sep 2001 15:40:32 +0200

dictionaries-common (0.3.6.0amd9) unstable; urgency=low

  * renamed 50idict-zzzzz.el to 60dictionaries-common.el
  * debian/dictionaries-common.prerm: Fixed to remove links in
    /etc/dictionaries-common on removal
  * debian-spell-policy.xml: {idict,words}_debinst are now in
    dictionaries-common-dev
  * Added simple manpages for select-ispell-default and select-wordlist-
    default
  * Added idict-debinst and words_debinst as undocumented with
    dh_undocumented
  * debian/control: made Conflicts entry a single line entry to fix
    lintian error report. Also put ispell (<= 3.1.20-1) as the first
    conflict to fit my taste

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri,  7 Sep 2001 13:32:22 +0200

dictionaries-common (0.3.6.0amd8) unstable; urgency=low

  * Changing the default symlinks location to somewhere under /etc/
    (/etc/dictionaries-common), to allow its change in systems with /usr
    mounted read-only, as well as for jed support.
      This means changes in:
      - Makefile: changing location of file in JED_SUPPORT
      - debian/scripts.in: changing location of links
      - debian/dictionaries-common.{postinst,prerm}: changing location of
             jed stuff
      - debian/dictionaries-common.links: Added to reflect new links to the
        /etc/dictionaries-common directory
  * Added build dependence on debhelper
  * Added 50idict-zzzzz.el to the emacsen startup code

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon,  3 Sep 2001 17:50:54 +0200

dictionaries-common (0.3.6.0amd7) unstable; urgency=low

  * Trying with a more recent ispell.el (3.5)

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 19 Jul 2001 19:09:20 +0200

dictionaries-common (0.3.6.0amd6) unstable; urgency=low

  * Experimenting with ispell.el.
  * Upgrading to an upstream ispell.el, whose version is the same as the
    already installed, but whose date is more recent, and as a matter of
    fact is a bit different. Nothing important, just the sorting of some
    things and some comments modified.
  * BIG BINGO!. Moving "(run-hooks 'ispell-load-hook)" just after
    ispell-load-hook definition makes the menu system to work again.
    However it is not shown until ispell is loaded. This can be solved by
    loading ispell from a file like /etc/emacs/site-start.d/50idict-zzzzz.el
    at the price of loading always ispell, even if it is not to be used
    in that Emacs session

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 19 Jul 2001 19:08:38 +0200

dictionaries-common (0.3.6.0amd5) unstable; urgency=low

  * A lot of changes:

  - scripts.in/update-*-default: Questions remain for
    .config. Here we will only set the appropriate links.
  - scripts.in/update-*-default: removed #!/bin/sh. This should never be run
    standalone but sourced from other scripts.
  - scripts.in/remove-*-default: removed #!/bin/sh. This should never be run
    standalone but sourced from prerm script.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 12 Jul 2001 14:26:59 +0200

dictionaries-common (0.3.6.0amd4) unstable; urgency=low

  * Cleaned the debian/dirs files to avoid empty directories.
  * examples/templates.in: Added Spanish template.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 12 Jul 2001 12:10:47 +0200

dictionaries-common (0.3.6.0amd3) unstable; urgency=low

  * debian/prerm: Added upgrade option to do nothing to avoid complaints
    during upgrading
  * debian/control: Fixed typo Conflicts inorwegian -> inorwegian

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 10 Jul 2001 17:41:16 +0200

dictionaries-common (0.3.6.0amd2) unstable; urgency=low

  * split idict_debinst and words-debinst to a dictionaries-common-
    dev package, as well as debhelper autoscripts.
    This allows to handle better their dependencies on debhelper
  * linked documentation dir to dictionaries-common documentation dir.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 15 Jun 2001 15:16:12 +0200

dictionaries-common (0.3.6.0amd1) unstable; urgency=low

  * Personal release to check a couple of fixes
  * scripts.in/update-default: Commented exit 0 line and set #!/sh -e
  * scripts.in/select-default: Commented exit 0 line and set #!/sh -e
  * debhelper/dh_install.in Changed line loading perl functions to the
    debhelper standard for versions >=2.0.89
  * debian/control: Added Build-depends: docbook-xml
  * debian/rules: option --number of dh_installemacsen has been changed
    to --priority

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Mon, 22 Jan 2001 16:48:35 +0100

dictionaries-common (0.3.6) unstable; urgency=low

  * debian/prerm: remove "upgrade" from case conditions to avoid symlinks
    being removed and not rebuilt at upgrade (thanks to Roland Rosenfeld
    <roland@spinnaker.de>).
  * Makefile: now installing ispell.el (thanks again to Roland).
  * debian-spell-policy.xml: Added a note about the allowed character sets
    when calling debian-ispell-add-dictionary-entry.
  * emacsen-support/flyspell.el: Added file, with a 1-line patch from
    Roland.
  * debian/emacsen-install: Added flyspell.el to $files.
  * emacsen-support/debian-ispell.el: Added support to flyspell.el.
  * debian/emacsen-startup: autoload for flyspell-mode.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Wed,  3 Nov 1999 15:12:34 +0100

dictionaries-common (0.3.5) unstable; urgency=low

  * Makefile:
      - Changed the name of the debhelper scripts from dh_* to
        *_debinst, as these scripts are not officially part of debhelper.
      - Emacsen support files are installed in
        /usr/share/emacs/site-lisp/dictionaries-common.
  * debian-spell-policy.xml: Changed references to the new "dh_*" scripts
    to "*_debinst".
  * debian/dirs: Added usr/share/emacs/site-lisp/dictionaries-common.
  * emacsen-support/ispell.el: Patched file (version 3.3) containing
    "ispell-load-hook".
  * emacsen-support/debian-ispell.el: Added hook for setting variables
    after loading of ispell.el.  No more needs a "require 'ispell)".
  * debian/emacsen-install: Added file ispell.el to $files.
  * debian/emacsen-{install,remove}: Install .elc files in the right dir.
  * debian/control: Depends: debconf (>= 0.2.9).

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Wed,  3 Nov 1999 10:55:12 +0100

dictionaries-common (0.3.4) unstable; urgency=low

  * examples.in/emacsen-startup.ex.in: Added colon in local variables
    entry.
  * emacsen-support/debian-ispell.el: removed "(provide 'debian-ispell)".
    Does not seem to be useful at all.
  * [For all the following changes, a big thanks to Roland Rosenfeld
    <roland@spinnaker.de>.]
  * Makefile: Fixed sed replacement in /usr/sbin/select-wordlist-default
    and /usr/share/dictionaries-common/update-wordlist-default
    ("wordlist-" instead of "words-").
  * examples.in/prerm.in: removed "upgrade" from the case list.
  * debian/postinst: will not source
    /usr/share/dictionaries-common/update-ispell-default anymore.
  * emacsen-support/debian-ispell.el: added "(require 'ispell)" when
    running under Emacs.  This is not needed for XEmacs.  Also replaced a
    "push" by an "append", making loading more robust.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Tue,  2 Nov 1999 17:01:25 +0100

dictionaries-common (0.3.3) unstable; urgency=low

  * scripts.in/{select,remove}-default: Sourcing confmodules instead of
    confmodules.sh + getting rid of db_exist: debconf 0.2 compatibility.
  * examples.in/prerm.in: Replaced stupid "fi" by "esac" at the end of
    "case" statement.
  * examples.in/templates.in: Better text (less UI dependent).  Thanks to
    David Coe <david@someotherplace.org>.
  * The {update,remove}-{idict,words}-default scripts go now into
    /usr/share/dictionaries-common, instead of /usr/sbin.  All the other
    scripts sourcing them have been changed accordingly.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Tue,  2 Nov 1999 10:55:08 +0100

dictionaries-common (0.3.2) unstable; urgency=low

  * Makefile (scripts-stamp): the prefix for the wordlist packages
    is now correctly set to "words-" when generating the config script.
  * debian-spell-policy.xml:
      - Change checklist at the beginning to reflect the inclusion of the
        new debhelper scripts included in the dictionaries-common package.
      -	postrm & prerm descriptions have references to
        dh_{idict,words}. Besides, the description of prerm is more
        accurate now, and it is stated that those scripts should _source_
       {remove,update}-{ispell,wordlist}-default.
      - Changed the example with Norwegian to Italian, just to avoid that
        linguistic mess.
      -	Small typo "worlist" fixed.
      - Added a note about the conflict between the select-*-default
        and dpkg-configure.
      - Remove some references to the debian/ directory for holding the
        control scripts.  They should actually be in debian/tmp/DEBIAN
        directory at build time and only if we are using debhelper should
        them be in debian/.
      - Corrected wrong name of emacs-lisp function
        debian-ispell-add-dictionary-entry (was
        debian-add-ispell-dictionary-entry)
      - Cleanup of some old questions.
  * debian/emacsen-startup: Autoload debian-ispell.el when calling
    debian-ispell-add-dictionary-entry, instead of requiring it.  Should
    speed up emacsen startup.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Mon,  1 Nov 1999 20:26:40 +0100

dictionaries-common (0.3.1) unstable; urgency=low

  * Several changes in the Policy
      - Use <legalnotice> for Legal Notice.
      - For consistency, get really rid of all references to old
        "ispell-dic" and "wordlists" prefixes.  Also, the examples go in
        directories idict/ and words/.
      - CVS version 1.18 (David Coe <david@someotherplace.org>):
         + Clarified reason for suggesting English-only names in packages;
         + Added note about debconf/dictionaries-common restrictions
           preventing multiple dictionaries in a single binary package;
         + Removed internal note about need to obtain Policy support for
           virtual package ispell-dictionary; that's done.
         + Add suggestion from Charles Briscoe-Smith <cpbs@debian.org> to
           ensure "replaces" and "conflicts" are properly set.
         + Add note from cpbs about wenglish being 'standard' priority.
         + Removed old internal comments about already-solved debconf
           problems and templates Description.
         + Explained the need to use dh_installdebconf or do the equivalent.
      - CVS version 1.17 (D. Coe):
         + Corrected a formatting mistake in one of my recent additions
      - CVS version 1.16 (D. Coe):
         + changed ispell-dic- and wordlist- to idict- and words-, to have
           somewhat shorter names;
         + changed suggestions about multi-part language names to put
            more-specific parts first (american-english rather than
            english-american);
         + added note from joey about debconf selection dialog
         + removed some resolved problems, obsolete notes;
         + other minor adjustments
      - CVS version 1.15 (D. Coe):
         + debian-spell-policy.xml: Fixed small typo.
  * html.dsl: added support for <legalnotice>.
  * Added debhelper support.  There is now a new debhelper command called
    dh_idict for helping to generate the control scripts for ispell
    dictionaries packages.
  * debian/dirs: Added usr/share/debhelper/autoscripts and usr/bin.
  * Fix typo in examples.in/emacsen-startup.ex.in (thanks to
    Roland Rosenfeld <roland@spinnaker.de>).
  * emacsen-support/debian-ispell.el:
      - Provide debian-ispell (suggested by R. Rosenfeld).
      - Removed "(require 'ispell)" : there is no need to pre-loading the
        ispell.el code.
      - Fixed problem with "default" target being showed twice at
        startup.
  * (Re)introduced test for UID==0, but avoiding bashism this time
      [ $(id -u) != 0 ].
  * Make dictionaries-common "Priority: standard" (suggested by
    C. Briscoe-Smith).
  * Compliance with version 0.2.0 of debconf:
      - Sourcing confmodule instead of confmodule.sh.
      - debian/control: depends on debconf (>= 0.2.0)
  * examples.in/{postinst,prerm}.in:
      - Much simplified, for use with debhelper script dh-{idict,words}.
      - Source {update,remove}-*-default: this should avoid some problems
        related to debconf registration. (suggested by R. Rosenfeld).
      - Does not test for existence of scripts in dictionaries-common, as
        the idict-<language> packages should depend on it (suggested by
        C. Briscoe-Smith).

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Mon,  1 Nov 1999 12:40:36 +0100

dictionaries-common (0.3.0) unstable; urgency=low

  * Bump to version 0.3.0, to reflect many changes due to the feedback of
    other Debian maintainers.
  * Policy:
      - examples.in/emacsen-startup.ex.in: included example from
        ispell-dic-german-new, for which there are two entries in
        ispell-dictionary-alist (7- and 8-bit).
      - examples.in/prerm.in: New simplified example.  Calls
        remove-*-default to avoid duplication of code.  Thanks to Joey
        Hess <joeyh@debian.org>.
      - debian-spell-policy.xml:
          + Removed <caution> about Jed startup.  Bug#47961 has been
            closed.
          + Including code from ispell-dic-german-new as the
            emacsen-startup example (thanks to Roland Rosenfeld
            <roland@debian.org>).
          + Added further documentation on the behavior of
            debian-add-ispell-dictionary-entry when several entries in
            ispell-dictionary-alist refer to the same symlink in
            /usr/lib/ispell.
  * Emacsen support:
      - debian/emacsen-startup: It is now just a loader for
        debian-ispell.el.
      - emacsen-common/debian-ispell.el:
          + New directory and file.
          + Contains the initialization code for emacsen support.  Will
            be byte-compiled at dpkg installation.
          + There is now a definition for the function
            symlink-expand-file-name, lacking in Emacs20.
          + The "default" ispell-dictionary-alist entry has now a extra
            "nil" element.  This avoids an error that was produced in
            Emacs20.
      - debian/emacsen-{install,remove}: new scripts.
      - Makefile: Install emacsen-support/debian-ispell.el in
        /usr/share/emacs/site-lisp.
  * Jed support:
      - Now complying with new startup strategy of jed-common (0.99.9-5).
      - There is no need anymore for jed-support/install-ispell-jed.
      - jed-support/jed-startup.sl: new file.
      - Makefile: installs the new startup file.
      - debian/{postinst,postrm}: call /usr/sbin/jed-update-startup.
      - debian/{postinst, prerm}: removed call to
        /usr/sbin/install-ispell-jed.
      - jed-support/ispell.sl: Put some comments at the beginning about
        the origin of this file and what has been changed for the Debian
        system.
      - debian/conffiles: Added /etc/jed-init.d/50dictionaries-common.sl.
  * scripts.in/remove-default: new script template to be called in prerm
    package scritps.
  * debian/rules: Uses PREFIX instead of DESTDIR in "install" target.
  * debian/dirs: Added etc/jed-init.d and usr/share/emacs/site-lisp.
  * debian/postinst: Creates /usr/share/dictionaries-common/dict_ispell.sl
    if it does not exist yet.
  * debian/postrm: New file.
  * debian/control:
      - Fixed misspelling of ibritish and added wngerman to Conflicts.
      - Suggests emacsen-common and jed-common.
  * scripts.in/select-default: removed $UID bashism.
  * Makefile: Removing emacsen-startup.ex from examples/wordlist.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Tue, 26 Oct 1999 14:22:37 +0200

dictionaries-common (0.2.4) unstable; urgency=low

  * debian-spell-policy.xml: Corrected bug # (in the http link) against
    jed-common.
  * Makefile: HOME=/dev/null when launching lynx to avoid reading the
    maintainer's ~/.lynxrc.
  * debian/control: Now with the right conflict with ispell (<= 3.1.20-1).

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Fri, 22 Oct 1999 15:14:33 +0200

dictionaries-common (0.2.3) unstable; urgency=low

  * debian/emacsen-startup:
    - Improved debian-ispell-add-dictionary-entry by setting the default
      ispell-dictionary if the entry corresponds to default.hash.
    - Created constant debian-ispell-default-symlink to help with this.
    - Added documentation.
  * examples.in/emacsen-startup.ex.in: changed accordingly to the above.
  * debian-spell-policy.xml:
    - Added documentation on the above.
    - Added a <caution> block at the Introduction with a "Quick checklist
      for the impatient maintainer".  Added several "id"s to the <sect>s.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Fri, 22 Oct 1999 11:02:26 +0200

dictionaries-common (0.2.2) unstable; urgency=low

  * Corrected bug number against jed-common.
  * Reincluded debian/postinst in the package (was mistakenly excluded be
    CVS in last version).
  * debian/prerm:
      - Corrected path to update-ispell-jed in debian/prerm.
      - Also erasing ispell_dicts.sl, which is not a file in the package
        (it is automatically generated).
  * scripts.in/update-default: fixed setting of CHOICES, what was
      preventing the jed support from working.
  * Makefile: make dirs under scripts.in to avoid CVS mess with empty
    dirs (Oh, I love PRCS...).  Also rm them in clean target.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Thu, 21 Oct 1999 23:52:05 +0200

dictionaries-common (0.2.1) unstable; urgency=low

  * debian-spell-policy.xml: added missing </para> in line 994.
  * Makefile: now making symlink under examples/*/, because I do not know
    how to commit symlinks in CVS.
  * debian/control: Conflicts with the w<language> packages.
  * debian/dirs : Added usr/share/dict (do not know if this is a good
    thing).

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Thu, 21 Oct 1999 15:44:57 +0200

dictionaries-common (0.2.0) unstable; urgency=low

  * debian-spell-policy.xml: Integrated David Coe's last changes.  From
    the CVS changelog:
      - changed many of our comments and questions to <caution> blocks, to
        make them easy to find and externally visible for now
      - made the legal notice visible by changing it to another
        <releaseinfo> block.
      - added a Background section to describe the-way-it-is-today
      - added notes about what Polish does
      - added notes about what debconf could do better
      - changed footnotes to notes, i think i like them better inline.
      - added more explanations about the package Relationships, and added
        a new one (ispell dictionary suggests corresponding wordlist)
      - added note/question about wordlist-english and priority standard
      - removed some more obsolete comments
      - added note/todo about emacsen support syntax
  * Added support for wordlists.  This was tricky, because support for
    wordlist is pretty the same as support for ispell dictionaries.  I
    have then create a substitute.pl script to create scripts and examples
    on the fly from *.in templates.  See examples.in/, scripts.in/ and how
    substitute.pl is called in the Makefile.
  * Makefile: added some cosmetic things like new variables, .PHONY target
    and an enhanced clean target.
  * debian/control: changed Architecture to "all".
  * Added jed support (preliminary) under jed-support/.
  * debian-spell-policy.xml: (Rafael's changes)
      - Added examples for wordlist packages.
      - Changed section on jed support.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Thu, 21 Oct 1999 14:15:17 +0200

dictionaries-common (0.1.4) unstable; urgency=low

  * debian/control:
      - Conflicts ispell (<= 3.1.20-2).
      - Suggests ispell.
  * debian/postinst: Removes alternatives to ispell-dictionary.has, as
      the Policy made them obsolete.
  * examples/config: Added "set -e".

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Wed, 20 Oct 1999 11:17:35 +0200

dictionaries-common (0.1.3) unstable; urgency=low

  * debian-spell-policy.xml: Integrated David Coe's last changes.  From
    the CVS changelog:
      - few spelling corrections
      - changed <literal> to <filename>, <function> or <command> in places
        where (in my opinion) those are more appropriate.
      - minor markup changes (<replaceable>, etc.)
      - added another advantage to the new naming scheme
      - made the note about conflict between old and new style packages a
       <note>
      - clarified that multiple *binary* packages are required from
        multi-dictionary source packages (though that was probably
        obvious).
      - changed the symlinks norsk example from inorsk (old style names)
  * debian-spell-policy.xml:
      - Created xml ENTITies old-dic-name and new-dic-name.
      - Changed "ispell-dic-<name-in-english>" to &new-dic-name;.
  * html.dsl:
      - Made width of verbatim boxes equal to 0% (looks better in
        Netscape).
      - Set %generate-legalnotice-link% to #f, but this still does not
        make the legalnotice appear. :-(

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Wed, 20 Oct 1999 10:15:24 +0200

dictionaries-common (0.1.2) unstable; urgency=low

  * debian-spell-policy.xml:
      - Cleaned up some old commentaries.
      - Changed some "should" to "must".
      - Added a requirement that the files under /usr/lib/ispell must have
        the same root name as the package name without "ispell-dic-".
  * Makefile: added definition for DESTDIR.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Tue, 19 Oct 1999 16:10:39 +0200

dictionaries-common (0.1.1) unstable; urgency=low

  * Added <releaseinfo> tag to debian-spell-policy.xml.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Tue, 19 Oct 1999 14:50:39 +0200

dictionaries-common (0.1.0) unstable; urgency=low

  * Initial Release.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Mon,  4 Oct 1999 10:17:27 +0200

Local Variables:
coding: utf-8
End:

   LocalWords:  emacsen symlinks openoffice org updatedicts sarge backport sid
   LocalWords:  myspell Engelhard CVS xml html dpatch utf dict iso wordlist jed
   LocalWords:  dicts postinst config installdeb symlink debhelper dpkg postrm
   LocalWords:  changelog autobuildhash dictcommon dirs usr libpspell pspell po
   LocalWords:  dev deconfigure lintian flyspell iamerican ibritish wbritish de
   LocalWords:  idutch wdutch Sep debian Eugeniy Meshcheryakov Prokoschenko Liu
   LocalWords:  aspell alist debiandc debconf  iesperanto ifinnish wfinnish dh
   LocalWords:  inorwegian wnorwegian ispanish distclean dsdt prerm ibrazilian
   LocalWords:  elisp idict ipolish icatalan ifaroese irussian wcatalan wdanish
   LocalWords:  wfaroese wordlists debinst Rosenfeld agmartin rene iportuguese
   LocalWords:  ifrench iitalian ispell perl README DictionariesCommon XEmacs
   LocalWords:  installdebconf OpenOffice hunspell squirrelmail Emacs
